commit 1c168fe3ed3a185efeaec7559f3c451a190707e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 31 18:58:27 2023 +0100

    1.21.0

commit d1c45eadbdcb4c0f4a761437cffa4f486825026a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 24 09:20:25 2023 +0100

    Simplify test_filter_frontend_net (#26)

commit a50be1a7446444b2504870e7b0c34f8b4290a0d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 23 15:58:58 2023 +0100

    frontend_net: 0 limit means no connections allowed (#22)
    
    Co-authored-by: Wayne Schneider <wayne@indexdata.com>

commit 181920da17503a89d391702840fd4b81c331902d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 23 10:15:04 2023 +0100

    Copyright year 2023 (#25)

commit 2cd7fbe7350416815c137fe2bcef2c3f658bf887
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 23 10:04:06 2023 +0100

    Avoid deprecated headers in unit tests (#24)
    
    Require Boost 1.34 or later. Until now, Boost 1.33 was still supported.

commit 2e0e02cddc7fc9d35e9d3b8a57c05e7ac939f1c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 23 08:56:25 2023 +0100

    gitignore updates (#23)

commit e536183540eda549969a36c7e37e1910e8cec9e8
Merge: 00d75df 5b154bd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 14:17:13 2022 +0100

    Merge pull request #21 from indexdata/release-1-21-1
    
    Release 1.20.1

commit 5b154bd15f113246d3caa0d2437a96f10d202c2b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 13:56:41 2022 +0100

    Version 1.20.1

commit df25ad262c5ea1b5bdd646e9c49cb8c2b37a9daf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 13:55:21 2022 +0100

    Copyright year 2022

commit 4c5cc53225ef89f458631b66cb5e82697236c156
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 13:55:14 2022 +0100

    No Debian jessie

commit 00d75df9191496504cbba6be62e055570506cee6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 2 18:59:40 2022 +0100

    Add Visual Studio Code settings (#20)

commit 6050127c3af0e2daae8c878514fa3e08383ece5c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 21 12:09:58 2022 +0100

    apt update (#19)

commit be3dba233538c4bc6180a2f2cbf61b250381e2c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 10 12:48:49 2022 +0100

    Workflow (#18)

commit 3a4de13da2b8428909ae6df26726e7f2138c6d2f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Oct 8 21:07:03 2022 +0200

    Update m4

commit 8ea93c8afc6f6a7345549836c0c09c85e53a833b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 18 10:33:20 2022 +0200

    Only Ubuntu LTS

commit 4b9e4ef505b6055c570c1eac00e642c99c1d2937
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 17:19:57 2022 +0200

    Upgrade m4 (quoting fixes)

commit 258f71ae6b5c1a67e36ab3b4d225ac6386903058
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 16:50:47 2022 +0200

    Upgrade to autoconf 2.69
    
    Remove use of obsolete macros.

commit 9ab77f6b33a323a4919c1407ce4e7c2a9a110503
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 23 14:39:34 2022 +0100

    Mention http-req-max is number per minute

commit 6d71aab0756d2e8373f367ff2f6f2ff65f894a82
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Oct 17 12:49:35 2021 +0200

    Force compression type xz

commit d627f3af3057ecc43dfb38297edc6dedbcfe7cc7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Oct 17 12:48:57 2021 +0200

    Add Ubuntu impish

commit 3da97793ce49fb30d5fd3d1dbf5ffe3b2ab17719
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:59:06 2021 +0200

    Version 1.20.0

commit 28f8bdf06b50cb46b528abb279d43d1240c92ce1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:52:25 2021 +0200

    Add comment abt Boost libs

commit 0c1786f5e14c8a3af9867965bd74100ca2d32b32
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:41:49 2021 +0200

    Update yazpp.m4

commit 82ca1cf5f62d2bd11fa764c5ae6989c566284260
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:41:16 2021 +0200

    Provide metaproxy.pc

commit 5284c03398aff13936faf9cd1c357135776f8cf4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:09:05 2021 +0200

    Add Debian bullseye, Ubuntu hirsute

commit 74a92c9ff48e541e081c0ba259eb24dcd40e5bdd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:04:16 2021 +0200

    Use yazpp.pc (which omits -lpthread)

commit effb1a64e536928189310438b3887a1b97b29f92
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 28 15:11:04 2021 +0200

    Version 1.19.4

commit 3450acbce382968162cefe8fa626a631a4938f31
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 28 15:05:15 2021 +0200

    YAZ 5.31.0 header files now in src\yaz

commit 0f64c1d12e5c80f217ba75b8c1d61e77caf81915
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 28 15:04:31 2021 +0200

    record_transform: Fix largeSetLowerBound when disabling piggyback

commit 3a3a347f987a36ececa39863d3c263a8958cfda1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Mar 21 13:30:53 2021 +0100

    Bump year

commit 4d15e415c44501f6a25e94aadf794c80dd0c892b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 19 17:26:30 2021 +0100

    Version 1.19.3

commit d4e9d73dc9e726baa3738335473b760221174319
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 19 17:24:12 2021 +0100

    record_transform: simple search if no piggyback

commit 6e2670b44532a498b32baf9a7cb0de1dce07f490
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 19 15:53:18 2021 +0100

    Version 1.19.2
    
    And remove centos6.

commit c27c4f672276bcb36d026f3e65ee60383580e009
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 19 15:41:51 2021 +0100

    Happy new year

commit a0348cea57cf45d29f403b80cb62f8a0ad0719a5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 18 15:13:35 2021 +0100

    Update m4

commit e946751bf280ed5528f68c09648622d00e69fc00
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 14 16:04:28 2020 +0200

    Update for --with-yaz=pkg round 2

commit 63d3f3556a9399296aa6a0885e92b159329589fd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 12 18:38:47 2020 +0200

    Version 1.19.1

commit 59aec0e4840b0ebd40d38b3758dc266893225e8f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 12 18:37:28 2020 +0200

    Add test_util; sort file names in Makefile

commit e6b2ed72f0c8b0fe387bb2fb07f40a8a2f49a5c2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 12 18:21:00 2020 +0200

    Move it declaration closer to loop

commit 0e74926a9f0996f05ebd458cebffc05fbf69120e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 12 15:55:29 2020 +0200

    Ignore Ignore ::ffff: to match IPV4 addresses MP-671
    
    That's for the ip properties for connect-max, connect-total, timeout
    in frontend_net filter.

commit 73e5a3b721dfa9ad46b42ca4571ce478747881ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 11:49:45 2020 +0200

    Version 1.19.0

commit db61a9f23277390309c22e7298f81a5100cdd272
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 11:04:49 2020 +0200

    Add Ubuntu focal

commit f08ff042887a46cf64278aa0ade15ab034c1823e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 4 17:12:18 2020 +0200

    frontend_net filter with timeout with ip attribute MP-670
    
    Just like connect-max, connect-total configuration.

commit 15d9a8bc98b50f448619873bd725bd9ab54d4ea3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 15:28:53 2020 +0200

    Version 1.18.0

commit 00ca0c13941e1f8b6671efb5d06f677247738ebd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 14:34:05 2020 +0200

    Use libyazpp7

commit 8c087d8035e2eaf09f4ea8131bf699a0fb3caf9a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 13:41:00 2020 +0200

    remove debian/tmp from install dirs

commit 8c9026c79629f73bf273ca8c89c3e24331669648
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 13:40:41 2020 +0200

    Bump copyright year

commit 90320934d6a98ba64f7a072360dc43bf8328e04a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 13:39:09 2020 +0200

    No build directories in metaproxy-config

commit 564f6d68fd3297d03a2dc130601fea6d5699229f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 13:38:56 2020 +0200

    Depend on debhelper 9

commit c02caf921c00846ffb67ef5cd1abb371c052bb8a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 13:09:40 2020 +0200

    Mention distros with most recent first

commit 8a757645501ba40eccebee2bbc1fec4394951872
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 12:46:30 2020 +0100

    Version 1.17.2

commit 44a5a7c75ffaf3c4db582e3efb68cd50d8348bf8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 12:44:12 2020 +0100

    Fix OPAC encoding WRT charset and leaderspec MP-669

commit 11dab7b62e4be160b59668dafb5c92bac3b5a02b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 17:48:52 2020 +0100

    Bump year

commit cbdb2c652b5269e0bebd5aba0eae38ff77ace6c0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 22:20:28 2019 +0100

    Add Centos 8

commit fbb597673c12d8dedf21040f12f87713edab1c3f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 8 14:48:22 2019 +0100

    Version 1.17.1

commit 7c796f7e88d7b45a9f061e27a7e2f4ad824185bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 8 14:28:50 2019 +0100

    On SIGTERM do not call ThreadPoolSocketObserver destuctor MP-668
    
    It is believed that stopping of ThreadPoolSocketObserver is the
    problem.

commit 75c58cde794f95585aae720135a575189cfe1ad7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 15:23:00 2019 +0100

    Fix SEGV in load_balance filter MP-667
    
    Ensure only one writer of m_target_stat.

commit 420c5760dfc6eecdc60d6ecd8cbef023f3badb83
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:08:58 2019 +0200

    Version 1.17.0

commit 3e78105f1f74b83948d08c8395d149fc282d471b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:04:33 2019 +0200

    New facility ignore-auth MP-666
    
    This is a new configuration for session_shared to make it
    ignore authentication info sent by clients and, thus, increase
    session reuse.

commit 0601bb8db6ed4e18a0d9d529f46993a2b5f9c96f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 19:19:37 2019 +0200

    More 1.16.2 NEWS

commit 40f46115ebeda786f6dfad9bdf00230294e848dc
Merge: 6cebca1 ef14d24
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 19:17:53 2019 +0200

    Merge branch 'master' of github.com:indexdata/metaproxy

commit ef14d2435d0aa9eed674fe5563092bcc312a1f12
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 19:17:16 2019 +0200

    virt_db: reuse session when when overriding result-set

commit 6cebca178b57e2b6034a92407c00a136fb93c0ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 16:54:32 2019 +0200

    Version 1.16.2

commit 39901932c2bb07ef2e9e6d81ab549b49f123586a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 16:27:24 2019 +0200

    Remove log stmt from mp::util::match

commit c16393fb590725a818080b9a437ed9fc4b7a1c88
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 16:27:12 2019 +0200

    Log when session_shared expire instances

commit a8459b884611c8064b42644329762f1f53322a6f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 15:40:51 2019 +0200

    More logging for config-loc sample

commit 101b96855b28a58d95982e7531f411090daa77f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 15:39:29 2019 +0200

    Case insensitive database list comparison
    
    This should improve session usage for systems that use
    mixed-case for databases.

commit 840d8c4b9f7ae905420fbaa195027946f6a937a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 16 13:36:44 2019 +0200

    session ttl 15 in config-loc.xml

commit e2e4c6119afddfdcc6782ed628f9fa5e4e2204bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 16 13:35:43 2019 +0200

    load_balance: load sessions pr target

commit 13f0058b9367d90b02db8f51a24ce5f7c65097d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Sep 14 13:59:11 2019 +0200

    Log number of idle sessions

commit f8f9058ff15711a677171054f568f1a64da53669
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Sep 14 13:57:35 2019 +0200

    Fix un-init variable max-sockets-timeout
    
    The defualt value is 15 seconds.

commit 69c8386ce781a5a41cd22937957b9e4fc529c71d
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Jun 26 13:23:17 2019 +0200

    Version 1.16.1

commit 084a8c82340b1c3c4fc531b2c052415a3e230350
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Jun 26 13:16:19 2019 +0200

    Document http_rewrite

commit 5e53ebae3685c02af234e585b4c171f521343fbe
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Tue Jun 25 13:34:57 2019 +0200

    Fix one more 'http' in http_rewrite

commit 29f60072c1063f42694670e538a2e4248a55bb42
Merge: 540d76d 2219a87
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Jun 14 14:15:12 2019 +0200

    Merge branch 'master' of github.com:indexdata/metaproxy

commit 540d76dab3310644081d142e57b1e95149095aec
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Jun 14 14:13:56 2019 +0200

    Fix MP-663: Skiplink handling for https pages

commit 2219a8791edfb57f9313b17dba4beaec36ff1384
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 20 14:23:15 2019 +0200

    Update doc URLs

commit 039af67da7fc425c4801f8b057ff4a4e9acfd40c
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed May 15 14:20:42 2019 +0200

    Remove Debian/Wheezy

commit 7d52b8c583ebbc920f085a23efe2e09c5491aa58
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed May 15 11:14:19 2019 +0200

    1.16.0

commit 7db0cba34d1c5206d08233c1fe40d42c78a10f63
Merge: 4f69270 2f658ce
Author: Heikki Levanto <heikkilevanto@users.noreply.github.com>
Date:   Wed May 15 11:07:22 2019 +0200

    Merge pull request #16 from indexdata/mp-662-proto
    
    Fix MP-662: Handle relative request line in http_rewrite correctly

commit 2f658cedcebc2a648457be4612df5c74b49f25de
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Tue May 14 13:45:16 2019 +0200

    Fix MP-662: Handle relative request line in http_rewrite correctly

commit 4f692702bb03220612d087ceea9f0869f85ca348
Merge: 0b88b51 f89dc68
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 24 15:30:16 2019 +0200

    Merge branch 'master' of github.com:indexdata/metaproxy

commit 0b88b51403f3531130552aa7167915050ccb9442
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 24 15:29:59 2019 +0200

    Fix make distcheck

commit f89dc6831a719d3d6bc238a9ecc6191b26857f01
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Apr 10 12:28:08 2019 +0200

    Fix MP-660: Better handling of https links
    
    Consider the request URL relative if it does not start with "http://" or
    "https://" If relative, turn it into absolute by prepending the right
    prefix, depending on the spec of the listening port.

commit 7ed48b984389c4a1e34e66b2ad91840906f887cd
Merge: 13fe8f0 f6a4063
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 11:41:09 2019 +0100

    Merge branch 'master' of github.com:indexdata/metaproxy

commit 13fe8f0b3b7034bfe971bf6a638412f73f16f75f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 11:39:33 2019 +0100

    Add Debian Buster

commit f6a4063844dc3e4b7ddc8c367ba291dd92460afa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 18 21:47:24 2019 +0100

    Bump copyright year

commit e0f446a78bc41af40010b149a1a77bf00b02b890
Merge: cf72ccb 5227147
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 18 21:41:32 2019 +0100

    Merge branch 'master' of github.com:indexdata/metaproxy

commit cf72ccbaf6ff3cb5e2313a1943ae7105d758631a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 18 21:38:35 2019 +0100

    Mention that Boost 1.69 is working

commit 186513e6205c6b0216e727907aa9e8d7b162f070
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 18 21:25:59 2019 +0100

    Include noncopyable.hpp when using noncopyable
    
    It was not needed for older versions Boost (probably included
    by other Boost header by coincidence).

commit 52271477df4a80d2a2864ccad2ec6839a8defa6b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 12:21:53 2018 +0200

    Version 1.15.0

commit 6f0411ffe547235b946412f7c85f811eecd0eec0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 10:30:57 2018 +0200

    Option -s sets file number limit (ulimit -n) MP-659

commit 4c161830618117f346c0b6ce6492836af55b29e1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 14:57:16 2018 +0200

    Version 1.14.0

commit 923724599ec703a754ca2b5459db14af5a22c273
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 13:38:47 2018 +0200

    Describe connect-total

commit 8deff0b5a0e5b68d174c23c114b1be3a4fca6ab3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 13:33:36 2018 +0200

    Allow number of sessions(sockets) to be controlled MP-657
    
    This is achived with a new configuration element connect-total
    which is otherwise similar to connect-max.

commit 90eb98d4e1244dbb1f6ff2e3b798b7e1fcbf594d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 13:32:55 2018 +0200

    Update to confirm with schema

commit 525de5e43eeab0bdc310e58d3b7451806eebf157
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 13:30:47 2018 +0200

    frontend_net: Process all items in output queue at once
    
    This is to prevent cases where output (result) queue is piling up.

commit 41e3bd8923edcf3ac2f21893a19533bb53fe5bcc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 13:30:21 2018 +0200

    Fix condition in pipe test

commit a95b31b172c7eddc2fedadf389732a497591db92
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun May 20 13:46:49 2018 +0200

    Add Ubuntu bionic

commit f9314ab05b61429e4ffd985c9be9301be48741eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun May 20 11:05:21 2018 +0200

    Version 1.13.1

commit c66529bee8be3c96253c3d22617a638469270f54
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun May 20 11:02:57 2018 +0200

    Bump year to 2018

commit 6d5d45aa5d1e6dc81170b023a54c3870765d5f73
Merge: a6bb583 0c036b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun May 20 10:59:32 2018 +0200

    Merge branch 'master' of github.com:indexdata/metaproxy

commit a6bb58349c0883de0947d148e401b0ded2dba73a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun May 20 10:57:16 2018 +0200

    Fix Unknown route exits MP at run time MP-656
    
    In reality this shouldn't happen as routes are checked before
    Metaproxy starts operating.

commit 0c036b24cbd3e29b2eeb59b8254878eaf7f4984a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:30:21 2018 +0200

    Remove ubuntu yakkety + precise

commit b686693aeb827e63c0c7e9c87ba2035636b40e28
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 1 11:45:46 2017 +0200

    Version 1.13.0

commit 74bee576bfc82fd687541186ad1e1e1bceb78189
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 1 11:44:59 2017 +0200

    Update NEWS

commit 9531a8792ed5aeb082d9c365ee0cf3f7678e52e5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 1 11:41:28 2017 +0200

    sru_z3950: avoid suffix slash after parsing x-target

commit a98e69bd343b7a861f93042f58db6323669dfaa4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 1 11:41:00 2017 +0200

    Revert "sru_z3950: avoid suffix slash after parsing x-target"
    
    Wrong file
    
    This reverts commit b78f1e1d97527e732bddb8ed750f34d8403e3d7f.

commit b78f1e1d97527e732bddb8ed750f34d8403e3d7f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 1 11:38:29 2017 +0200

    sru_z3950: avoid suffix slash after parsing x-target

commit 37e6e883f99736b4daad713a81dde1771581fca8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 31 13:50:58 2017 +0200

    session_shared: relay diagnostics better MP-654

commit 40a33b2d79f8f7ce1b8869ba755b7360065b7365
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 30 15:07:54 2017 +0200

    z3950_client: configurable max-sockets-timeout

commit ba7182d61a42c83c59c721d09fb44041495c15ed
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 29 20:37:13 2017 +0200

    Export multi.pdf straight with inkscape

commit d0a13610ac7474f22d9c503e0f86b7c808e6344a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 29 20:10:36 2017 +0200

    Version 2.12.2

commit 41e3d5ce1af9c9afffcd728abf96807067fbf30f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 29 20:09:01 2017 +0200

    Fix z3950_client: incorrect waiting for max-sockets condition MP-652
    
    The z3950_client could in some cases wait a very long time for a free
    Z39.50 socket. The proper behavior is to give up after 15 seconds.

commit 86580661c70bca604df96126734f06c2e88774b1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 17 16:17:59 2017 +0200

    Mention Boost version tru 1.62 works

commit 201bb1e59060813aa34fe7575874556df7b636a4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 16 11:27:15 2017 +0200

    Version 1.12.1

commit 1fc9725c35276c024674f5b33a31c6e411401665
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 16 11:23:35 2017 +0200

    Update NEWS

commit a79025f545e4748139a50e3a892ade168fa873bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 15 13:47:09 2017 +0200

    session_shared: fix 0 hits for search timeout MP-649

commit 1bdcdf207b4817ddb13f6588f6005dbdb2f8eac4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 14 13:03:53 2017 +0200

    Fix stack-size setting has no effect MP-648

commit 00a53cf1e861fbef454936544eca27710e03763a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 20 14:04:27 2017 +0200

    Version 1.12.0

commit 9c802b261a4ddb974c2cbccfd39dcb5951e14b69
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 20 13:53:58 2017 +0200

    zoom: Attribute element_marcxml enables MARCXML fetch MP-646
    
    Also with this change element pattern may include leading ? - which
    will make it match the omitted actual element set as well.

commit 25d148bddac4ac72e6d67167dfe5e60dc84a5b26
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 15 13:22:13 2017 +0200

    Version 1.11.10

commit eebb4b3f9964f2e0ec4ef611ef4007cf9d6f1f5f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 15 13:21:55 2017 +0200

    Add Debian stretch

commit 32c07c7de18cae5f99c734be6ef80be70b671839
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 15 13:15:58 2017 +0200

    Ignore deb-src and build

commit e79b922197966bea5280cd11a2c751fb36c4a48b
Merge: 3c3f34a c19625d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 15 11:39:02 2017 +0200

    Merge pull request #15 from indexdata/mp-645-start-route-has-no-effect
    
    Mp 645 start route has no effect

commit c19625deeb5cd5cf100874491bd54f1d942ca822
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 15 11:12:32 2017 +0200

    Report when start route is not found
    
    Rather than just stop without reporting a reason.

commit d3284f2e58e06af76f86efc925c95b6872be46c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 15 11:12:19 2017 +0200

    Fix start route config has no effect

commit 3c3f34af6960b84bc3049ba5cf7250f50ad6daf5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 4 11:50:15 2017 +0200

    Use ifstream for reading auth_simple config. Closes #14

commit b2a36e9111e2edcaf02ca668e3c1336cbeaa8fbd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 3 11:36:20 2017 +0200

    CentOS 5 no longer supported

commit b3171d3e37254cda2efc01e18562150f048b9d09
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 21 09:23:36 2017 +0100

    Ubuntu: +Yakkety -Wily

commit 31b2240e75049afcbe02abbb8f69982832e7b027
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 11:50:32 2017 +0100

    RPM: use make_build if defined (parallel builds)

commit 8fb462e93863a59e7e89749cc73dc892bde2cb26
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 11:49:32 2017 +0100

    Debian: parallel builds

commit fe2395a4a7289ffa923e0c2caa2cee40a3370a89
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 14 16:54:49 2017 +0100

    Fix version

commit 87cb65a44b3f466d9eaeb95b725daa5d7f5f3e3e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 14 16:22:38 2017 +0100

    Version 1.11.9

commit 49276deed1e2263df7c09178bbb7f4cfdb47c92a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 14 16:22:02 2017 +0100

    Happy new year

commit a451409dbe8e0d738f344489ca7a7752f50aa39c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 14 16:17:26 2017 +0100

    Use printf to get version in configure.ac YAZ-883

commit c2621971ec74ffbc7d6b469c0e6f144ffbf06a5b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 9 16:06:23 2017 +0100

    zoom: recognize noCproxy from Torus MP-633

commit 4455bc2a08af5f04cec4da25738cc0bf9b3ff487
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 29 11:13:01 2016 +0000

    Version 1.11.8

commit 75d9b296f5c26d41c9585d51881f1b684f4a15c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 29 11:54:34 2016 +0100

    Require YAZ 5.18.0

commit c77543b65869d0a00530d770230203ddcfb93602
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Dec 15 16:27:10 2016 +0000

    MacOS: build documentation with local docbook-xsl installation, YAZ-874

commit 528b853cd44280316328bc4177d0bbcefb3dafcb
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Nov 20 15:19:51 2016 +0000

    test only the default macos / xcode version

commit 121574193cb90e26e9c89549045cb3beb23e94d7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 16 09:49:11 2016 +0000

    Version 1.11.7

commit 72ddbf6308bcd5d6c6361ffa93aa0a104f92d617
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 16 10:12:36 2016 +0100

    frontend_net: report malloc and nmem status
    
    Requires YAZ 5.18.0 with new function nmem_get_status.

commit e53b317266983d471ab269403d178efd73260894
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 16 10:00:10 2016 +0100

    frontend_net: /fn_stat allowed if message is defined

commit 053889a3e693d0103727c45faec3aa602f2a7b4c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 16 09:59:23 2016 +0100

    Fix indentation of fn_stat response

commit 2cd3abe01a9a3d7c6d9645f0f3677e27e9fd9ae5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 28 08:22:03 2016 +0000

    Version 1.11.6

commit b78254ccd3b3894d7b4b9bf6c651f8a717d25e0b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 26 16:23:48 2016 +0200

    Fix leak when reporting statistics MP-638

commit eb5ffa709a46c45260af3cc238e0587f69ac0ae4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 26 16:17:20 2016 +0200

    Fix leak when http-req-max limit is met MP-637

commit d219fb898638981cfa7d1b5420e76b8fd7b4f3f0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 26 14:38:02 2016 +0200

    z3950_client: schema+doc for max-sockets

commit d27fd9c26510c65580bcf1f14d318f4cede44c98
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 14 11:14:04 2016 +0200

    Allow limit to retrieval for sru_z3950 module
    
    Using <limit retrieve="no"/> will limit maximumRecords returned
    to "no". Default is no limit (unlimited).

commit 14c4c34e49c7cc8941869229a49cbdab6268dd2e
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Fri Sep 9 15:16:33 2016 +0200

    test with Xcode6 (osx 10.9), Xcode7 (osx 10.10), Xcode 7.3/8 (osx 10.11)

commit dd384971e303501c33a5ed0d10030aadee9cb06d
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Fri Sep 9 14:59:29 2016 +0200

    re-install libtool

commit 61b988f34d8626c9c6a41636d3eb5f577caaea9e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 10:47:52 2016 +0000

    Version 1.11.5

commit be2c8cdf850a6be6a435e856ecd5af7750c0ca8e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 12:47:22 2016 +0200

    limit: log session id when sleeping

commit dde74ab330d0287c050fdfff750f9bca83ac7a1b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 19 15:19:10 2016 +0200

    Fix memory leak for incoming packages MP-636

commit 8c1a54502b48289b2db32def04ae46c2e5709481
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 13:15:12 2016 +0000

    Version 1.11.4

commit 8f5de6bb7a472473df609705fc07fc2d0f78ffa1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 14:58:26 2016 +0200

    Use member use from xmlBuffer rather than size

commit 30321b3a42eaed9d6b60b603acc47cf338eb957f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 14:41:24 2016 +0200

    Fix memory leak, explain response MP-635
    
    The code leaked an xmlDoc structure. Using xmlCopyNode which
    takes care of namespaces etc.

commit e89ea8c95309f0792fdfa0dc053c275c3f2c696b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 2 09:46:48 2016 +0200

    auth_simple: path relative config

commit e2a4d240268cb031ec0ac65745bc5706c3496d03
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 16 11:45:49 2016 +0000

    Version 1.11.3

commit 5e22b99f75fb37c03a902b4d96892cbcbe62c39e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun May 15 10:03:12 2016 +0200

    load_balance: fix leak in sessions-to-target map usage
    
    Session-to-target map entries was not erased properly.

commit 8edb30e56765f9a43997d62250d7416202a97eaa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 30 12:22:27 2016 +0000

    Add Ubuntu Xenial. Remove Ubuntu Vivid

commit b03d7231e52ad6bc2f5560ce5fbeda79e868e756
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 7 08:33:15 2016 +0000

    Version 1.11.2

commit a5dc4db274fdd77426097175989e0e4068e6c490
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 7 09:48:47 2016 +0200

    load_balance: rename two local variables

commit 2a527a9d3d8f072afbc4f90c023e262c7c0ba555
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 7 09:46:47 2016 +0200

    load_balance: same log style as frontend_net / filter_log
    
    In particular log the session as well.

commit 55d7284ae1f9da0185194fe1855138f7b6236f38
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Fri Apr 1 09:30:37 2016 +0000

    test without xcode image

commit 8d1bf5c00830c44dceaaab4e813ca76d70ab9fc1
Merge: ef4815f e1d9852
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 18:54:03 2016 +0200

    Merge pull request #13 from wschnrid/master
    
    travis

commit e1d98523d166d57f6c9ea1c6a73a629c53fbc257
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 16:43:38 2016 +0000

    make -j

commit 17d1163bd32b22aeff1b6153c34020b5cc746009
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 16:43:14 2016 +0000

    configure inkscape for linux

commit 7bb556422c8d6100b4c63ebe8116a64eeb89dfb8
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 16:41:29 2016 +0000

    MacOS cleanup

commit ef4815f75263606939ece4b6d5f74c3da18684d6
Merge: 3713f09 4654b5f
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Wed Mar 30 16:20:47 2016 +0200

    Merge pull request #12 from wschnrid/xxx_travis
    
    travis ci

commit 3713f0974c31305d3b56e1d41354b4a6c3bf3de3
Merge: 8820761 2e6f227
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 29 10:47:49 2016 +0200

    Merge pull request #11 from dcrossleyau/review-links-1
    
    Review URLs

commit 2e6f2273ef09d2a88013b0b06057c7a3d8872fc7
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Mar 25 10:20:52 2016 +1100

    Fix a broken URL.

commit a2c88b6c8dc6f74efb2f59c34b9bbc1b84462aea
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Mar 24 16:50:48 2016 +1100

    Fix some re-directed URLs.

commit 4654b5fe898dc766309cd0357f429c8a69253afb
Merge: 3555bd7 8820761
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Wed Mar 23 14:12:59 2016 +0000

    Merge remote-tracking branch 'indexdata/master' into xxx_travis

commit a6177c2f68f02103ac977b5711a6f69d870d6419
Merge: 6d45f85 8820761
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Mar 23 16:47:24 2016 +1100

    Merge remote-tracking branch 'indexdata/master'

commit 88207613a16bea25c0074e402ed873339da652e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 21 09:52:22 2016 +0100

    Update doc/common

commit 3555bd74d74de55a448a12ef24df32d6a0264140
Merge: 73a86cf 6d45f85
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Mon Feb 29 09:40:44 2016 +0000

    Merge branch 'master' into xxx_travis

commit 6d45f85275a2f2f606a243736f229c204d312675
Merge: c679f7e 4f5b916
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 25 10:45:58 2016 +0100

    Merge pull request #10 from indexgeo/update-doxygen-config
    
    Update Doxygen configuration file to current (1.8.11).

commit 4f5b916ae50346763494b3198f7a6b710173c0fb
Merge: 265c83c c679f7e
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 24 23:45:16 2016 +1100

    Merge remote-tracking branch 'upstream/master' into update-doxygen-config

commit c679f7e308b29ebb9619cb05ea1d6d10312355d1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 24 13:44:28 2016 +0100

    Closing para section

commit 265c83c89a39cdb763460ccb042aec958642c5c0
Merge: c3f43ee e61d6c6
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 24 23:43:34 2016 +1100

    Merge remote-tracking branch 'upstream/master' into update-doxygen-config

commit e61d6c6a942b98d88a6183ab34f69beb1e2505d6
Merge: 843cb1a 0cc98b1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 24 13:41:18 2016 +0100

    Merge pull request #9 from indexgeo/review-examples
    
    Review examples

commit c3f43ee9966da750be84e5335a0ef6b7dd3b24b2
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 24 18:25:30 2016 +1100

    Update Doxygen configuration file to current (1.8.11).

commit 0cc98b1324997d734bdcbc228dae760a3a193455
Merge: 43b6e19 843cb1a
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Tue Feb 23 10:30:49 2016 +1100

    Merge remote-tracking branch 'upstream/master' into review-examples

commit 843cb1a0fc75025c2c6afc256d1cd78d3cee0507
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 22 10:54:47 2016 +0100

    Update doc/common

commit 0930222ad960f5385f7e744c6290efa594d95757
Merge: 09863a7 f5e85c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 22 10:49:49 2016 +0100

    Merge pull request #8 from indexgeo/master
    
    Update docs sections for install Boost and Config file syntax checking. Fix typos. Tidy *.rnc files.

commit 09863a7aff49ba11e4873141b3efbfd22313765c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 22 10:46:53 2016 +0100

    Check for trang in path. Closes #5

commit ce8d9647df88cc839aaa47723e9aa68b350f8eb9
Merge: 02275e2 6f05c41
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 22 10:29:32 2016 +0100

    Merge pull request #7 from indexgeo/fix-generate-relaxng
    
    Add missing declaration for filter_present_chunk.rnc

commit 43b6e19b520a697fabbf975807108a79e3d85d9b
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Mon Feb 22 17:01:53 2016 +1100

    Add a doc sub-section for "Other configuration examples".

commit a5a0e7197392bcf178e56e4f67a403d9fb2a8cc8
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Mon Feb 22 17:00:49 2016 +1100

    Fix typos.

commit 3a29dad4b4e1deced7b668e47262fbfa4eaaf99c
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Sat Feb 20 14:47:32 2016 +1100

    Fix typo, and change link to be direct to url.yaz.cql2pqf docs.

commit 4947c8b4bf1f8b230c762719ffa1a9ad1acf9f4a
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 18:57:31 2016 +1100

    Fix the reference to stylesheet for the scanResponse.

commit bf51bc88f09f5f3ec2c6f325090fbe74ac39b5ef
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 18:53:47 2016 +1100

    Add labels for Search and Scan input. Fix improper nesting of xml elements.

commit 6438574783ea8c56c56a41e26988ed70b2a32167
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 17:32:58 2016 +1100

    The sru.xsl file was missing from distribution. Used in config-sru-to-z3950.xml

commit ad3c82327f7e270d16aebd9eef99e254bcf74fc8
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 15:49:09 2016 +1100

    Regenerate the file etc/cql2pqf.txt

commit d1dee12185562dcb396d99530624116cba5ec8ce
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 15:45:18 2016 +1100

    Sync the manual change from commit f53693e2058a0fd3014bb24295f22b38e21a0154 into explain.xml

commit 2834a82afc4fca38396b95500a79d961e5a607c4
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 15:22:07 2016 +1100

    Add newline at end of output from xml/xslt/explain2cqlpqftxt.xsl

commit b8d12fe2f03e7d70c1b2bd93aa1b2e1076202370
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Feb 19 15:20:44 2016 +1100

    Fix typos in xml/xslt/explain2cqlpqftxt.xsl

commit 4cdccd09c4d7206e05dfd6fa38d7a9b88974adc0
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Feb 18 16:35:24 2016 +1100

    Text format changes only, using: xmllint --exc-c14n config1.xml > tmp; xmllint --format tmp > config1.xml; rm -f tmp

commit fd1291536df87286c71aa022acc602c47cb3f25c
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Feb 18 15:37:30 2016 +1100

    Tidy the instructions about RELAX NG and link to docs.

commit db94ed50f6161ba01b766168f0b7ee51ff8eee7a
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Feb 18 14:47:38 2016 +1100

    Update the product name.

commit 3934d66d1840129bc83fe9f81b2c622e53743a44
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Feb 18 14:44:08 2016 +1100

    Fix RNG validation of configuration examples.

commit f5e85c4b8a9a739f0f77c13ce18c3d97f79069d1
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Feb 18 13:54:19 2016 +1100

    Use consistent brief copyright header for all RNC files.

commit 8a066b365b3a9ab5d02a6d3ef75ac8721f5bf2c6
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 17 13:43:28 2016 +1100

    Update the docs section about installing Boost on UNIX.

commit c735bc8c170ceab982304c6fef6b120d712050c2
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 17 13:04:38 2016 +1100

    Update the section "Config file syntax checking".

commit 801dded2364cdb127aaa24795b8bcd159be35a86
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 17 12:06:30 2016 +1100

    Fix typos.

commit 6f05c4130b0dc9285e5385730b5467a1a9089a8c
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 17 11:39:56 2016 +1100

    Add missing declaration for filter_present_chunk.rnc

commit 73a86cf0568daf729bf4a8af379d7550b06fd248
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Tue Feb 9 09:43:52 2016 +0000

    disable INKSCAPE for check target

commit b3a31866f8abc9820c75595ee41ad47fb61c1ce7
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Tue Feb 9 09:11:47 2016 +0000

    fix macos build

commit df2532e983f2a9bb3397b4eb242e6ffcefa8eef3
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 16:59:23 2016 +0000

    boost already installed?

commit b4c567f696acfac0abe4134c44281061bf6ce74c
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 15:22:05 2016 +0000

    macos

commit 281e86ff50fcbb37f8afe5d715fc372716b5531f
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 15:16:04 2016 +0000

    fix macos inkscape

commit ead5ba57061ad653f542b1cd3e583440edee7ffe
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 15:09:23 2016 +0000

    add inkscape

commit 281bdaf74ca82c12bb4740c8fdc09d16776e1a67
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 15:09:02 2016 +0000

    add inkscape

commit 236f52854818ebc2a9f6bed49ece143531112227
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 15:02:03 2016 +0000

    typo

commit 69727a422572770e45af7fa53162de60c3124ccd
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 15:00:22 2016 +0000

    cleanup

commit d7c17e74fc8d69ac91f869ea47d9fba94ff02f86
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 14:56:34 2016 +0000

    configure travis

commit 02275e20dbb33bdc65c330967192cdeb64502eab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 5 15:06:36 2016 +0100

    Okay. README.md

commit aec966c283eb9caea3a39a18b1c2a4b0e75fbd05
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 5 14:51:38 2016 +0100

    README.md

commit af35648d36dda6430b1ab6b6d59a15d3e4eb98d8
Merge: b12ffc2 9a7f93a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 22 15:29:50 2016 +0100

    Merge pull request #3 from indexgeo/master
    
    Fix typos in Reference man pages

commit 9a7f93afa36342bf9d9b7d3e24e1d99d4dd36ad2
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Fri Jan 22 10:38:16 2016 +1100

    Fix typos in Reference man pages.

commit b12ffc279ef5603f13ce25c114093d27bf5bc4a1
Merge: 44004e1 624aef2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 21 12:57:46 2016 +0100

    Merge pull request #1 from indexgeo/master
    
    Fix typos in NEWS and Chapters 1-9.

commit 624aef26fa1c8040adfa67664fac1ede42973904
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Jan 21 17:02:20 2016 +1100

    Fix typos in Chapter2 to Chapter9.

commit 41020f212e464c9c47c25a1b79d92fa934766484
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Jan 21 15:23:52 2016 +1100

    Fix typos in NEWS and Chapter1.

commit 44004e1bd22471748b698b0b62f4d63d20b55a05
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 19 20:54:17 2016 +0100

    Fix uninitialized mask

commit bfe134c64c85a839090b381692c8bd72f88ed995
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 19 19:11:24 2016 +0000

    Version 1.11.1

commit b1b94eb98bc9fe37fb48dc2b1b7a41d4b21dc22e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 19 20:06:24 2016 +0100

    Happy new year

commit c067c171f186636b355a2f45106f3284d95ccb4b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 19 20:04:03 2016 +0100

    Build for Ubuntu Wily Werewolf

commit 4e4ad3e0dd8e1335c8a3f1cb91788187aff88de6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 6 14:12:15 2016 +0100

    Use submodules from Github

commit d1d2d3c0cedc409474c18fb774bdc11e58ef1455
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 26 10:39:52 2015 +0100

    Windows: use Boost 1.59, msvc 14.0

commit b57a6b7bf769f8642e062d96b5f47101ab9416ee
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 19:14:48 2015 +0000

    Version 1.11.0

commit f150117aba7cd6df46f63449fea1fee085ba899b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 20:10:51 2015 +0100

    Document new features MP-632

commit 86ca80da550dc8b26d253b74f43d8ff376216ab2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 20:09:42 2015 +0100

    limit=0 means unlimited MP-632

commit 01a40d09e6a956b3faa2743c62db290c252fa4bb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 15:14:29 2015 +0100

    Remove <info> from ref entry header

commit 072f37fafca7582882d21706c7a44f1d9be1df2b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 13:53:40 2015 +0100

    connect-max per IP MP-632

commit 4a46c6ad125dde75e1e35a09f8388f43eab5bb39
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 11:31:27 2015 +0100

    http-req-max per IP MP-632

commit 86b2928564b2701c34518f48244b830cc4647d7f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 2 13:01:33 2015 +0100

    frontend_net: initialize m_http_req_max

commit 1fe3038c15740cf21a2eb7b00edad8d216384c2e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 2 12:34:45 2015 +0100

    Report RLIMIT_NOFILE MP-631
    
    Filter frontend_net reports this during start.

commit 90a3c10e356c23355a8985398a22a4b264de919c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 9 15:10:58 2015 +0000

    Remove Ubuntu utopic

commit d50e15900d93b3df855b164bf776b948d7c7a7cd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 1 09:31:41 2015 +0000

    Version 1.10.0

commit a2327d00b64241d3de8e5a173535bf65d0eeffe7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 1 11:24:47 2015 +0200

    thread::attribute only available in Boost 1.50 or later

commit ed1d79c860c13fb92e5b7eea8de2cd608a6caa0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 1 10:54:31 2015 +0200

    max-threads and stack-size set in installed config

commit 8b8d18791d9d39b97954729016a980d9aac71245
Merge: fa40300 705875b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 1 10:49:49 2015 +0200

    Merge branch 'mp-629'

commit fa4030099714f3595d6778bcbd8118f449da41f2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 30 22:08:52 2015 +0200

    sort example sorts usmarc as well

commit 126846484f0250e14ca85d1d012d9e086f11ac3d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 30 22:07:41 2015 +0200

    Disable usemarcon in example config

commit 2573cc0648c5fd0332d1c30c7f84e9ce13c120d6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 30 21:57:35 2015 +0200

    Filter sort: does not sort leading present MP-630
    
    Was probably broken by work on MP-541

commit 705875bc5185fa585f54d5387323db10d898cea1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 28 19:41:33 2015 +0200

    Allow stack-size to be set for ThreadPoolSocketObserver

commit 09a3443aa1f7d5a49862af007a4044751ccc28c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 28 19:39:08 2015 +0200

    Revert config1.xml

commit bf357542a6cc1b8b1a04274803716c9f28f13d57
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 28 16:03:44 2015 +0200

    frontend_net: dynamic thread pool MP-629

commit 8951d049feaa4b499324d444c466a22d34260192
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 8 19:35:30 2015 +0200

    Fix boost not found on debian-testing MP-628

commit a1e5630de9f16cf2a01b10b75cd791a7ad195f98
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 4 12:27:52 2015 +0000

    Version 1.9.3

commit add86f9507cafc40ff729d3afaa838e6186a86eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 4 14:26:12 2015 +0200

    Fix virt_db creates result-set for failed search MP-627

commit 371d2802f2b6c89ac0a603d1ea447b08acd3861a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 4 09:54:26 2015 +0000

    Version 1.9.2

commit abe840d8d4a289b0cf6221a3e1bc11e640e6c708
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 4 09:53:17 2015 +0000

    Minor tweaks to man page

commit d45b7b68a2a34e3c1d97713182262a17ba030259
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 25 14:01:51 2015 +0200

    Fix load_balance: does not retry dead target MP-626

commit 98db99f0e90608d5dcdd0e6adeea38f9d6936e4e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 20 10:49:26 2015 +0200

    Provide example of target auth MP-625
    
    Also update schema, becuase route is optional for target element.

commit 259a989d5f7d9c966caa44f2bffc08ee3798e3a5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 20 10:44:56 2015 +0200

    Replace indexdata.dk/gils with z3950.indexdata.com MP-624

commit 4e5fbe510b39e6697927a98a5b6f0877929f999e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 20 10:44:54 2015 +0200

    Describe auth attribute for multi filter

commit 40348092fa9fefe3fd24a00ddd95b5c6db08c1b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 19 10:46:06 2015 +0000

    Version 1.9.1

commit 3f86d14d99bcef9f76bc6a47b997cf0b774418c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 18 15:45:04 2015 +0200

    Add CentOS 7

commit db801a04833e67ce418f62bd46380ce8627f051e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 14 20:34:21 2015 +0200

    Avoid naked ptr in filter configure MP-623
    
    The work was only half done in commit 2beb521c812 .

commit 550f4a0d4f273e59f901aeb1e27776431c37a771
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 6 13:08:42 2015 +0000

    debian compat 9 MP-622

commit 9c06e48efc47eb82226334be1a1cda1c54d18660
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 6 07:55:54 2015 +0000

    Version 1.9.0

commit 467ed471b499b9d2ade62bfdb68030bf0bae2753
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 5 13:06:32 2015 +0200

    Fix incorrect diagnostic for reverse cql2pqf MP-619
    
    The cql_transform_rpn2cql_stream_r returns Bib-1 diagnostics; not
    SRU diagnostics.

commit fd7947eb33783c7cc3f1c3a92db274a71b0fbe5d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 4 14:22:19 2015 +0200

    deb: deprecated substitution ${Source-Version} MP-621

commit 79841cb0e1e5a4943da025ecd11b31a7cf8f7b2c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 3 16:26:00 2015 +0200

    Fix systemd: reload stops metaproxy MP-620
    
    Detect systemd and just do nothing when reload/force-reload is
    used. Log, however, that it really is not reloading.

commit 19c04fe817034081a445db6440b61d11b8c5e839
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 7 14:31:12 2015 +0200

    Add http-req-max to frontend_net MP-617

commit a8687259e5aad871f92949a73cbe4210e7b9525d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 7 14:28:00 2015 +0200

    Remove cf_x-associate from config-zoom
    
    Because it does not satisfy zoom schema

commit 75f29f5bdc5926f421d0ea9809233833c607663d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 24 11:49:58 2015 +0000

    Version 1.6.10

commit a752c3a98eb824cf13596f3ddf3cade68ce04c49
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 24 11:45:13 2015 +0000

    Fix multi: hideunavailable don't hide targets that timeout MP-615

commit 3a1b72e39a435e47c68b0ae966b94829c3882c3a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 22 16:48:07 2015 +0200

    Fix idmetaversion strips n SA-743

commit 296621fc8d23651d72fc9c72b80fa3e82547f3bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 1 09:26:19 2015 +0000

    Version 1.8.9

commit 15b824270f6a0fd19411c8891bfefa7edb26fe8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 1 09:25:19 2015 +0000

    Simplify copyright file for debian package

commit c9798fcdc25fae7f68b1c7f0daeafea4b6cda94d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 1 09:13:24 2015 +0000

    Remove Ubuntu Saucy

commit 5b222094152f58701f0ea7dcc0e9a8c14c1fffe1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 29 11:44:00 2015 +0200

    Require YAZ 5.13 or newer

commit ef7c799c8f8a02e625f6891537b50ba2459cc99e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 28 13:49:16 2015 +0200

    Fix race condition in MP log output MP-522

commit a5ef45ea0723a19e2b1c572b30093434dcd84a5d
Author: John Malconian <malc@indexdata.com>
Date:   Thu May 21 18:06:58 2015 +0000

    'Group' is duplicated twice

commit ec10d7e2b6a8c70bbee3848b6b07891432d3f12b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 20 15:38:19 2015 +0200

    Fix crash in log filter when record syntax is omitted MP-613

commit 457d0756844416b97087f8d751fe3a2e66f7cc84
Author: Wolfram Schneider <wosch@indexdata.dk>
Date:   Wed May 20 11:23:28 2015 +0000

    last database change for config-loc.xml was by mistake, revert it

commit 8ea1b2ddc95fed6ff2680d226a792b5163d04fe3
Author: Wolfram Schneider <wosch@indexdata.dk>
Date:   Wed May 20 11:17:30 2015 +0000

    always use LCDB_MARC8 database

commit 95f63a31caa5781768463548b676819aa4c93cc7
Author: Wolfram Schneider <wosch@indexdata.dk>
Date:   Wed May 20 10:39:49 2015 +0000

    change target z3950.loc.gov:7090/voyager -> lx2.loc.gov:210/LCDB as requested by LoC, MP-612

commit 9963925e6e11279aa5ca4653e4278f4e47564e8d
Merge: e50562e c31ac51
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 19:01:11 2015 +0000

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit e50562e4bd1288868a08d67574dac6f22edfcf07
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 19:01:05 2015 +0000

    Add Ubuntu Vivid 15.04

commit c31ac511b08709d901cfbfcb71c1eb34e5e316bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 15 15:15:01 2015 +0200

    Fix Control-C does not stop Metaproxy spawned by shell MP-610
    
    Check for fork mode instead (-D) - rather than debug (-X)

commit 8030de74a37426f2f0c880b8d7d076c7b974d2cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 15:51:05 2015 +0200

    Bump year to 2015 for main documentation

commit 069e6157c1f5682ecb0381be992a9f70e96c0717
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 14 13:18:21 2015 +0000

    Version 1.8.8

commit 973e85e353f85f6ad792f6e8a5bc5a4d75fb7da6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 13 09:35:45 2015 +0200

    sru_z3950: allow CCL in SRU search MP-606
    
    Makes the sru_z3950 filter convert to CCL queries if query type
    "ccl" is used, eg ?query=water&queryType=ccl&... for SRU 2.0.

commit ac8dc223f367519284b186c9eed00f15b7bc202a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 13 09:23:55 2015 +0200

    Clean up checks for YAZ version in code MP-609

commit af17ce65db77bb9b783c44decd5976b4bb0f50dd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 1 12:27:03 2015 +0000

    Version 1.8.7

commit 762f876bf5b3641bab3be648b718e6fe009707e1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 1 14:24:45 2015 +0200

    Fix dead lock in session_shared (init) MP-605

commit fe49dee246e23ba8e6c10a4589e01d66a05facc4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 1 09:25:45 2015 +0000

    Version 1.8.6

commit 4ea2ab139c36629f5e63f66ad8426d3b0ade77dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 1 11:12:39 2015 +0200

    make /usr/share/metaproxy be part of metaproxy RPM MP-601

commit 564939279d82cace4201191523793b583b687d84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 31 20:34:23 2015 +0200

    Fix session_shared caches set with diagnostic MP-604

commit 953e615164c4c47ee871ef7901e90d6fcffd8473
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 27 14:02:59 2015 +0100

    Fix assertion failed: assert(m_in_use) MP-603

commit c8518aa2d1e8b4488c37a36ebbe323f473630ccb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 19 12:10:43 2015 +0100

    Log YAZ version upon start MP-599

commit de432d91843163e61fecb63ffe89b926bc2a6c2e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 17 14:20:06 2015 +0000

    Version 1.8.5

commit f9e0e1d7574ebdcec804119329d6ff923f25c470
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 17 15:19:33 2015 +0100

    Make two BackendClass members private

commit 93f32eb4fc7134af74d18ad7ef665f21083cbc83
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 17 14:17:17 2015 +0000

    Fix compilation on centos5 MP-597

commit 2a9828c81b1ebe08f8a5832e6e97417f4a5d1442
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 17 14:35:23 2015 +0100

    Document new z3950_client timeout features MP-596

commit 29c5c362880883124d65370c5c8e5b3701282fd2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 16 15:48:19 2015 +0100

    sru_z3950: undo Serialize identical SRU GET requests MP-598
    
    Now much more elegantly handled by session_shared.

commit 9144669e9d4439ac2fa0262ef114c0c4d927ae1f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 16 15:47:29 2015 +0100

    session_shared: anticipated init and search MP-597

commit ec04fc308287c2ca47e9bd580307bc9daac14ac9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 16 15:44:28 2015 +0100

    z3950_client: separate init timeout MP-596
    
    Both init-timeout and connect-timeout are configurable by this change.
    Default is 10 seconds.

commit 77ac88482e66fe6edbce17ad01987961d2426d46
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 16 10:36:22 2015 +0000

    Version 1.8.4

commit cc46c1f134121358b31b9295f77d11b76cd89a27
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 13 15:37:42 2015 +0100

    zoom: support cf_-params MP-595

commit b78e37fd3f724a0a7030c80dfdec5eb55bd5a87a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 5 14:26:32 2015 +0100

    Remove unused member string zurl

commit 6692b8d5ffb2da3cd727a66c479d91a0218dba4e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 18 14:07:14 2015 +0100

    http_client: returns 404 if no destination URI is given

commit 85903e91dfda0af808a7f1d8fef5eab0ef5c869f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 10 13:35:33 2015 +0000

    Version 1.8.3

commit ada737df8a221496581267f17f011e0c7c26d2fb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 10 14:05:56 2015 +0100

    zoom: allow / in user and password db args MP-592

commit 1cd59ab0bb4a0c51457d9df621529269addb772d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 2 11:09:18 2015 +0000

    Version 1.8.2

commit 75eedebe94c90cf8b72499594fa7f5a12f34c192
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 2 12:03:56 2015 +0100

    Requires YAZ 5.9.0 due to YAZ-818 YAZ-819

commit cddefe757b4047caa89b1c532df841377e041de9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 2 12:00:49 2015 +0100

    Log rotate script sends SIGHUP and chown for log file

commit 628a67c2e398bcccde0b082988e1b0728a124610
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 28 16:48:17 2015 +0100

    Use YAZ log reopen reature on SIGHUP

commit 17f8ca9a9804a97ae18399940262e625291ce368
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 26 16:07:11 2015 +0100

    Debian : init.d metaproxy reload should check configuration MP-591
    
    Fix logrotate too. That is logrotate will not rotate if
    configuration is faulty.

commit 586d78659d671683f33ec55f4a7d32b28e345ccd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 26 13:56:53 2015 +0000

    Fix Metaproxy stops logging after check config failed MP-590

commit a56de466fa2e0303c3e528f8bba8bbd2b3d8db02
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 19 10:44:07 2015 +0100

    Fix clang warning: class Map instead of struct Map

commit 0d90ccad7656fabd66f0164737d12370d657fe61
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 19 07:29:45 2015 +0000

    Version 1.8.1

commit be6623c7d58454621fa4377de92f24933133d9d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 19 07:24:41 2015 +0000

    Fix double free in log filter (with incorrect config) MP-589

commit 2132ff6b267c65831b47d481aaff7329207ff446
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 16 14:39:17 2015 +0100

    Add allow_ip feature - fixes MP-588
    
    Allow a list of IPs to be given separated by blanks
    <allow auth_url="http://mkc-admin.indexdata.com/..."
      allow_ip="127.0.0.1 ::1" .. >

commit 690bbc42f9678b5f6b895ac5c4ce427b08ab6dd2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 13 13:33:43 2015 +0000

    cql2pqf.txt reformat

commit f53693e2058a0fd3014bb24295f22b38e21a0154
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 12 13:47:08 2015 +0100

    Maps dc.subject to Bib-1 21 rather than 47

commit aba694b9aa071d4edf055f1fdb38676160646675
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 12 13:27:37 2015 +0100

    remove redundant class declaration

commit 8c65c2f5a6016b69950897934a892f9febfbc195
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 12 13:26:42 2015 +0100

    zoom: fix CS write-check
    
    Thanks to Dennis Schafroth for spotting this.

commit 8b67f7df0317c458ca008f38633d8a299b125e21
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 8 11:33:43 2015 +0000

    Version 1.8.0

commit e3b7970c1a533e4c14aa459f80ab002af4fdabf3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 7 12:19:55 2015 +0100

    zoom: handle contentAuthentication MP-587

commit 5e06ddc215c5aacc06e17a2e8661350a13fba2f4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 17:10:01 2015 +0100

    Bump year to 2015

commit a45b852c58666f546487489c8458b0071e4f4ca3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 16 12:37:50 2014 +0100

    Update doc/common again

commit 6963999d2afc964ff453ab01ab68eab6a8486a9c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 16 10:52:47 2014 +0000

    Version 5.7.2

commit 01189013b6ce8b20c9ee559777d38d97cfaee3e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 16 08:23:04 2014 +0100

    Destroy router and filters in parent process MP-584

commit 30ec1bf7cfbf66288cd18d180616712de9ec3558
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 12 13:22:14 2014 +0100

    Mention VS 2013 only

commit 1ee01d28f4d668e35631b20241dd0ce7a108efde
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:47:57 2014 +0100

    Update supported Visual Studio versions.

commit be15e5bac9a93b70c78f75bf9dbda8f368cf2191
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:47:50 2014 +0100

    Update doc/common

commit 756da1174eac03a58fb08eff58edc8b8a0a7450d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:25:19 2014 +0100

    Update for Boost 1.57, Libxml 2.9.2/Libxslt 1.1.28
    
    And use VS 2013.

commit e9804d91b92da906cb1af5eb35ad616701f5cc2a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 2 12:16:03 2014 +0000

    Version 1.7.1

commit 17981d61e25178362e3041a3e0090f0852514fe1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 2 13:12:46 2014 +0100

    Use YAZ backtrace facility MP-582

commit b130ba33698c694d3332ad6f10cec4e4fa8bbdd6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 27 12:27:00 2014 +0100

    Fix libmetaproxy-dev depends on libgnutls-dev - MP-580
    
    libgnutls-dev is unavailable on jessie.

commit 74728b63c51be8dc60ba686c37244b2c468e263b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 30 13:13:52 2014 +0100

    Update template filter to avoid Pimpl MP-579

commit fb926496546a1c495a4c24cd201bb0264227ed23
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 29 14:23:34 2014 +0100

    cgi: POSTed content - part of MP-562

commit 032466d946405f08353f42c0049b523cfd1f4127
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 28 12:54:30 2014 +0100

    Fix filter cgi does not relay session close MP-577

commit f22c5866171577fa6a27f07a784e8b1b84a331e1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 28 08:55:11 2014 +0000

    Version 1.7.0

commit b2a67e1600d11873089ea788f3e7073efee8d695
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 28 08:49:27 2014 +0000

    Add Ubuntu utopic 14.10

commit 62115bba63edf2fc7be111351842bedfd102b239
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 27 14:52:19 2014 +0100

    Document bind_host for {http,z3950}_client

commit 9b97f592234ac677840760fcea221c009528a8c9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 27 14:37:49 2014 +0100

    Require YAZ 5.5.0

commit 8b5b1897bd1223b6c8608685e0cceb82b47e5aed
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 24 21:44:53 2014 +0200

    Working outgoing IP for {http,z3950}_client MP-575

commit 4af83af2939aae2ddf5d9fb018663c1cf0f424a1
Merge: 4fcc63d 2372a72
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 21 08:24:09 2014 +0000

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy
    
    Conflicts:
            NEWS

commit 4fcc63d030496d72df862ffa38005b0c4b4c7d3a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 21 07:35:43 2014 +0000

    Version 1.6.0

commit 2372a72166b2d1e5f7f7ae847f037e68f0862fd1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 21 07:19:01 2014 +0000

    Version 1.6.0

commit ac87b6c9126c8838095daf27bff963b457a8acaa
Merge: 1b9283b ca9b9ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 21 09:07:32 2014 +0200

    Merge branch 'mp-564'

commit 1b9283b18eccbe5b776be0fae8a396228b03f099
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 14 12:56:24 2014 +0200

    Character set nogotiation for z3950_client MP-574

commit 908d2d54f29067642e565888faf4e2303a826a59
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 20 12:57:58 2014 +0000

    Version 1.5.11

commit 7e75c6abaa325fd42359128e8e91572beb17628b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 20 10:35:20 2014 +0200

    http_file: add include of sys/stat.h fixes MP-576

commit ca9b9ad18a3ee9002e08cfb22e7af00359869072
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 15 10:07:13 2014 +0200

    DOCUMENT_ROOT, GATEWAY_INTERFACE MP-564

commit 77f7f089896020b5bc2bb513cd64763b24d3d707
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 14 20:38:05 2014 +0200

    cgi.sh shows all envs

commit 6c3a29ebeff5c1113f0d778b4cf91810338aede1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 14 20:37:17 2014 +0200

    A lot of more environment variables are set for CGI MP-564

commit 39fe3f90ff2cf99ec39053df3c0835ab87b0deba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 14 16:44:47 2014 +0200

    Work on CGI filter; setting SCRIPT_NAME MP-564

commit 21f6f74a2418a5f180f12cd9bd2a1a000efd26b0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 30 15:59:42 2014 +0200

    fix documentation about SRU client support MP-572

commit 9fcdfa67cc281509e0f11e1f2aba255718a80cbd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 9 11:30:22 2014 +0200

    Initialize Libxml2 - for threaded operation MP-571

commit e4bcecb1d5a29b9dc3c5a674c29956def8fe01a6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 26 14:02:34 2014 +0000

    Version 1.5.10

commit 7d7d3cf59fbc9cd2592547dcbeda76ad2177a44c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 26 16:03:26 2014 +0200

    Describe retry db parameter in zoom man page

commit 4dff8f6712101094219dd9f4bb97486416d77f9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 26 13:29:53 2014 +0200

    Remove trailing-whitespace

commit 2bd2bcb4e610bbc11a279f253201e04978fb5c27
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 26 13:28:18 2014 +0200

    On SIGTERM shut down connection+listening sockets MP-568

commit 7a1156a357c869b12f603d3a4f0d962a5d15a7db
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 18 13:39:41 2014 +0200

    Do not build for Ubuntu raring, quantal (obsolete)

commit 8799cbe72feb29473a76022634f0e017728f63a6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 15 11:40:55 2014 +0200

    Documentation manref.xml depends on local.ent MP-566

commit 6197dde3460806f66adbd49055754d8bf50cb8c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 14 15:02:31 2014 +0200

    Version 1.5.9

commit 6c419dc09dae306558ec40453aa03e8cfc3db6c1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 14 14:54:01 2014 +0200

    zoom: make retry on failure configurable MP-565
    
    The default and existing behavior is that backend failures (any
    diagnostic) makes the module re-search once. The behavior may
    be changed by db parameter 'retry'. If given value '0' disables
    retry and '1' enables it. If not given, the Torus record may
    specify with element retryOnFailure (value '0'/'1').

commit aead2017499501bfeef771c1e2d9906324a011fb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 14 14:52:21 2014 +0200

    filter http_file: mimetypers optional

commit 00620b50effe98eed17a78fd8f26f0d9935bdad3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 12 15:54:24 2014 +0200

    cgi: reads stdin part of MP-564

commit 74d004efe9695419322c7e9ad4e60d29a27c820f
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Aug 1 12:13:15 2014 +0000

    Version 1.5.8

commit 638d2456bbbba9cb8f31fbbb6ca39ad090e3c223
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Jul 30 14:33:35 2014 +0200

    MP-559: Fix race condition with SIGTERM.

commit 9756dc3606b28968f72bda98ec668023d974f579
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 15 11:40:40 2014 +0200

    Version 1.5.7

commit 92ec44dd3ce8bc1a655e0985b30d5d20d144c22a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 15 11:38:44 2014 +0200

    http_file: passthru option MP-557
    
    New facility for http_file to passthru - even if an area is matched. The
    default behavior (passthru=false) is to return 404: Not found. With
    passthru=false, next filter is consulted.

commit e713a91b44d89e5237ca17467930dda116c65959
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 14 14:47:16 2014 +0200

    Do not build for Ubuntu oneiric

commit b57937e735043685ccb4b43e28066c2c39e94334
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 14 13:28:30 2014 +0200

    Version 1.5.6

commit 740af2e137ba5b3c36fb8fe056e1fdbbe2f499d6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 14 13:14:32 2014 +0200

    debian/changelog now auto generated

commit a20ceea13b0c2819c5fe1f701be5245eafcd4e85
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 11 16:19:34 2014 +0200

    Require YAZ 5.3.0 due to use of yaz_srw_get_pdu_e

commit eb5b6a470cf2a4725ee734c9bb7baa9ba978853e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 10 16:04:05 2014 +0200

    Fix ref to freed memory in log filter 1line - MP-556

commit 8ad47a5541b059938d469e47a539762e031e925f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 9 16:49:56 2014 +0200

    echoedSearchRetrieveRequest support MP-555
    
    Requires yaz_srw_get_pdu_e from YAZ.

commit a7c7e0c7c8d7ff6c2679ee86affdb00f8ade7e69
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 8 14:18:50 2014 +0200

    delete-trailing-whitespace

commit d2f1fad5bd172cab2a96612dc7ff06f627908409
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 8 10:09:15 2014 +0200

    Explain declares marcxml

commit 8bafead15501b6e8f8327ed336d0c8331c137788
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 8 10:09:05 2014 +0200

    SRU xsl in /etc/sru.xsl

commit db91b696cf387d71dabad57f4865164ce0f833b5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 8 10:02:46 2014 +0200

    Upd contact, author in explain sample

commit 6f9bcea8af272ded68efb8bff07cdc14745d2cc7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 30 16:21:34 2014 +0200

    Do not build for Ubuntu Lucid anymore

commit 5cd20a8b784d5a8d6c428bc1d5d8c272a8ffd9cd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 6 11:48:05 2014 +0200

    Version 1.5.5

commit ce6cad45d436ad6f2eb32f288769a017f78f5ddf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 6 11:26:31 2014 +0200

    Document zoom auth_hostname

commit 152c01491a6c92308f779e8f42b1cdbc046358f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 5 11:40:01 2014 +0200

    zoom: allow hostname to be given for ipauth MP-552
    
    The Torus setting for that is called auth_hostname.

commit fb9b7ab9580c0a33b6ec51d509dbb24b571b6f5d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 4 12:31:46 2014 +0200

    Version 1.5.4

commit 08044cc9a9980c950c294d0193c337b4ba0ba732
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 4 12:31:09 2014 +0200

    zoom: IP auth use field "ipRanges" rather than "ip" MP-551

commit fab213acccb083e5d88d14979fec9ca106c75076
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 3 19:12:57 2014 +0200

    Version 1.5.3

commit 4efeeb4bbff6c9b8eb4177fbe268ac240e8ca4e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 3 15:38:19 2014 +0200

    session_shared: close in ~BackendInstance MP-549

commit a395969830b02ecb29a24d455d60edb394af77e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 2 11:19:58 2014 +0200

    session_shared: mutex lock in BackendClass::release_backend MP-550

commit 1140d9a5e0798d73a36f72ffc89c94228115b1f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 22 10:47:45 2014 +0200

    Version 1.5.2

commit d5f308247c260a15729ce7b5fb2933c778c75b2b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 13:56:43 2014 +0200

    zoom: Do not include ZOOM C's fake surrogate diag recs MP-547

commit dcb3c31dc44aa5b29981d1accf6ed23190f1c3f9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 13:56:25 2014 +0200

    zoom: fix invalid present response in some cases MP-546

commit b57b6423aebc8f0aaeb4913f1a010e821dc6c456
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 20 11:42:24 2014 +0200

    Relay Torus HTTP error

commit dc7a90eee8d1433e0ed6a3ab67bfa4f913a58ea6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 28 18:42:26 2014 +0200

    Version 1.5.1

commit c4e649b6b0210d9c714cf166f246a3f2d66c12c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 28 14:56:02 2014 +0200

    Check for proper limits before using RecordCache functions MP-544

commit a31ffb4fb371820176ffc5584a699d2b8dd334c9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 24 12:30:06 2014 +0200

    Version 1.5.0

commit 8603085b71c4097132362f3f1609136641516896
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 24 10:35:34 2014 +0200

    Require YAZ 5.1.0, yazpp 1.6.0

commit f2ef2656a78a7310cd4130ca16f0dba12c650a20
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 22 17:24:56 2014 +0200

    Build packages for Ubuntu Trusty Tahr 14.04 LTS

commit 33dcdf8d08aeced0449de389a69a8757b0461a7f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 16 15:19:37 2014 +0200

    Document z3950_client's client_ip configuration

commit 88907efa4d22cad39f1545525c95289d8aa1226a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 16 15:17:49 2014 +0200

    Fix 'some man pages missing' MP-542

commit d83075418110776152e27a7e271a642109b6ea2a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 15 16:18:47 2014 +0200

    sort: Fix crash/invalid memory reference MP-541

commit 4851938e09d4a6dd97fedbd077f11fb9b4d58f48
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 11 22:09:03 2014 +0200

    zoom: use thread-safe RPN to CQL/Solr conversion MP-497

commit 4f7d8650b0ee4d2add656ad7657455232d5385f0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 11 11:04:39 2014 +0200

    Base wrbuf.c_str_null on wrbuf_cstr_null

commit 8b1aea41996929289581cd25091af0e528e0019d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 11 10:49:03 2014 +0200

    Add wrbuf.c_str() and wrbuf.c_str_null()

commit 6b53d99d063b40491100575eeaa4996303ef21f1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 9 15:24:57 2014 +0200

    rpn_cql: allow conversion from RPN to CQL MP-537
    
    This is achived by existing filter rpn_cql and using reverse="true"
    for conversion element.

commit c346e86f9e0b0414757f89aba11f7b37e3b12ac2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 2 20:32:43 2014 +0200

    sru_z3950: facet should be stored in additionalSearchInfo MP-533

commit dabe8b8d6442c8ad7bd139f8fb09f0dee40db959
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 2 12:02:45 2014 +0200

    Version 1.4.8

commit d1f820069b3542132d050df98bbd02a165b063cb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 2 12:02:08 2014 +0200

    Upd NEWS

commit f3a2a892b0fb8f2f68ecf39d9e1ff7cd336ca753
Merge: b54a57c 6ca602c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 2 09:48:51 2014 +0000

    Merge branch 'mp-532'

commit 6ca602c58dd24a3e0088e5ea91c2d4e03ab74918
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 2 09:46:35 2014 +0000

    sru_z3950: fix facet response (memory corruption) MP-532

commit b54a57c7af29c89371aa65dc766adac9ed61f58c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 31 19:35:05 2014 +0200

    log: fix crash idPass user is omitted MP-530

commit 7084cb9d797bc2843c3c60137d215ddeb461a24f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 25 10:00:44 2014 +0100

    Version 1.4.7

commit ed11bc4976b4ab91eb399455f5c2f4940d136eca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 25 09:46:43 2014 +0100

    query_rewrite: pass-thru non Type-1 queries MP-527

commit 5cb1f9609e107e4ba58e0d2726a28e0a3fe33135
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 24 14:18:28 2014 +0100

    SIGTERM: kill all child processes immediately MP-525

commit 70d88e9f01049b785c90a4899bca4f03e4eef673
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 16:40:15 2014 +0100

    Version 1.4.6

commit 4454178f3a48b5ebbcbb50d612b2ef84457758e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 16:38:31 2014 +0100

    Ensure Metaproxy is using YAZ 5.0.21 or later
    
    This is because YAZ 5.0.21 offers a new function
    zget_AttributeList_use_string

commit 038a6a3bb1363d6414bfdaac766bb50bbf7d16f6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 14:36:21 2014 +0100

    http_file: only supports HTTP GET MP-523

commit 56a046379458e5aa06881cc146b951d5b0711b85
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 20 19:23:00 2014 +0100

    session_shared: shut down expire thread
    
    This ensures that expire thread is not running after destruction
    and does bad memory references, etc.

commit ffe725e290246877e53874354229cd340a02de8e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 19 17:48:57 2014 +0100

    frontend_net: fix segfault on startup MP-524
    
    Would happen if MP was listening on multiple ports and one
    of the ports was already in use (and MP would exit).

commit dc2b8231ac2e47a34f5742ae5b5a1e5cf0ad4c98
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 18 15:01:07 2014 +0100

    frontend_net: fix memory leak
    
    This leak would occur if all sessions were in use and the input
    queue was cleared when a client would close connection (socket).

commit 384b6b4b2833616d461037a52b56c79bacf4c985
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 17 12:29:28 2014 +0100

    NMAKE: upd version

commit 414a181466c1f86c049758a2f99e195af6287951
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 17 12:28:59 2014 +0100

    frontend_net: fix compilation on Windows (SIGUSR1 does not exist)

commit d2ad092938fb8c02624afc7582927ff27c86bee4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 14 12:48:00 2014 +0100

    Version 1.4.5

commit 1f9dc5dc6b1fcaf732cd397370e25834ad891274
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 14 12:46:07 2014 +0100

    Change include of thread.hpp
    
    Seems like we're hit by this bug
    https://svn.boost.org/trac/boost/ticket/7979
    on Debian jessie

commit dbcf08a20fbdaf78c823c365b77b5876a07e8de7
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Mar 14 10:46:27 2014 +0100

    Use local skiplist  MP-520

commit 99d83cbd75e1a9ff8e0275bd081afc514555fb4b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 6 10:36:06 2014 +0100

    http_client: x-forwarded-for controls X-Forwarded-For presence
    
    If x-forwarded-for setting (boolean) is enabled, http_client will
    generate an X-Forwarded-For header entry which includes existing
    X-Forwarded-For (if any) and current peer address (immediate client
    of Metaproxy). By default x-forwarded-for disabled and X-Forwarded-For
    will not be generated.

commit 0098e12fb155644a8befc6c5c5a3d04308128e72
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 6 10:35:54 2014 +0100

    z3950_client: client_ip controls client-IP presence
    
    If client_ip setting (boolean) is enabled, z3950_client will
    generate a client_ip OID as part of init request which includes
    previous client_ip (if any) and current peer address (immediate
    client of Metaproxy). By default client_ip is disabled and client_ip
    will not be generated.

commit f3e215cc00b02e3d92016f095295af2ba4649e2f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 5 18:22:23 2014 +0100

    HTTP X-Forwarded-For/Z39.50 Client-IP support
    
    virt_db, multi: relays Z39.50 client-IP.
    sru_z3950: converts X-Forwarded-For header to Z39.50 client-IP.
    zoom: uses Client-IP or origin address (prefer Client-IP).
    frontend_net: Strips tcp: from peer address (so that it is no longer
    printed and stripped in zoom filter).
    z3950_client: builds client-IP list - combining immediate peer address
    as returned by COMSTACK and existing client-IP list (if avaiable).
    The Origin only printes first X-Forwarded address.

commit efd02482054ac750a9dcd3d10fa349e26c5e7e65
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 18 09:20:59 2014 +0100

    Version 1.4.4

commit 54830ce98edada799c4a6fd2968331e955068ba2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 10:46:39 2014 +0100

    Log when SIG{TERM,USR1} is received ASAP MP-513
    
    Do it in frontend_net event loop rather than in place for metaproxy
    main, which only exits when all sessions are terminated for SIGUSR1
    at graceful stop.

commit 15e63ff49000e082d8387c243941485ccacff13b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 14 20:01:34 2014 +0100

    Avoid yaz_log calls in signal handlers MP-513

commit 6ca1f8edd7718d4bbe88cba24b554c6403fc82c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 13:14:50 2014 +0100

    metaproxy-config: quote some RHS values (that might include blanks)

commit 09d9b36e4529a5cf42066f4a1e5b3ce635e04f34
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 3 13:39:26 2014 +0100

    Fix leak in sru_z3950 filter - when explain is returned MP-511

commit 36124975217061b8fb61e5bafb18accee24dba53
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 3 13:31:43 2014 +0100

    Allow stylesheet to be given for sru_z3950 filter MP-510
    
    This is based on a patch by Sven Porst and the functionality
    of the YAZ Generic Frontend Server.

commit b0ce7b47a0490c7edbb2f2c0794279db970a2102
Author: Sven-S. Porst <porst@sub.uni-goettingen.de>
Date:   Wed Sep 5 16:44:24 2012 +0200

    allow base attribute in configuration file tags
    
    the attributes are inserted by XInclude usage
    
    as mentioned on yazlist: http://lists.indexdata.dk/pipermail/yazlist/2012-August/003531.html
    and noted in a gist: https://gist.github.com/3551094

commit 2beb521c812e103ec23126db5828193fa239d2bd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 13 15:41:09 2014 +0100

    Router: use shared_ptr rather than naked one
    
    To avoid leak if an exception is thrown in configure.

commit 6537605b578008fe0c57c209b72e97b9a9a4f5e5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 13 14:33:57 2014 +0100

    zoom: sync up with Pazpar2 WRT authentication handling MP-492

commit 939bd6225ee5f00ec9e0baea138e0eadddbe2c6d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 8 09:51:20 2014 +0100

    Package metaproxy provides virtual package metaproxy6 MP-508
    
    This allows module packages to depend on a metaproxy server
    with version 6 API.

commit 383c1010e6cdbffebdce97c98c9f4e205717e613
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 6 13:23:38 2014 +0100

    Update lib version for metaproxy from 5 to 6 MP-506

commit b02df3fd0849c5222081013420c18f949c55f9c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 2 20:17:51 2014 +0100

    Happy new year
    
    Omit copyright year range from most source files. We don't want to
    update them every year anymore.

commit 9838c2eadf06b6bfe3d6eb264c1b485b51ba1a06
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 2 15:16:21 2014 +0100

    Filter destructors called upon daemon termination MP-505
    
    When metaproxy daemon receives SIGTERM the stop method of each filter
    is called. The stop method existed before, but did not take any
    arguements (void).. The frontend_net filter can now distinguish
    between SIGUSR1 (stop bind, but keep sessions running) and SIGTERM
    (stop immediately). Note that this changes the API+ABI of Metaproxy
    filters.

commit 491b957f16710bd20d924466d8ba3d7208f60573
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 10 10:59:59 2013 +0100

    Version 1.4.3

commit b3a0f3defa70938c6eb33b780cb1d7b106f666b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 10 10:45:58 2013 +0100

    Add Debian jessie, Ubuntu raring+saucy

commit b1d299c751b81d4c9bc113a0300daf0667063710
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 2 15:03:42 2013 +0100

    Add nocproxy=1 for contentConnector sessions MP-501

commit 068651435f6e341a06b62562f8df129d7de0e56e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 25 12:45:33 2013 +0100

    Doc: mention proper versions; fix link to Boost win binaries

commit 790d37c287f86b6e69acad1e68d1fdff5275ee81
Merge: 84d3e86 d7054d7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 25 12:37:18 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit d7054d7e5e1a89fde6c46a195d5663bc877fa14d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 25 12:36:49 2013 +0100

    Win: update for Boost 1.55

commit 66e414a28e37d64c456f7f3738d0f0925340c065
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 25 10:59:13 2013 +0100

    Win: avoid warning when using boost::split
    
    Done by defining _SCL_SECURE_NO_WARNINGS for Visual Studio.

commit 84d3e86a7c59528cf8775d0b37de6ff9f140be20
Merge: 35ac22f 97a7133
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 25 10:16:23 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 97a7133fc8325a08560a0326f80459ec31f516f6
Author: Dennis Schafroth <dennis@schafroth.com>
Date:   Sat Nov 23 08:52:26 2013 +0100

    Add const to Record less than operator in order to compile on OS X Mavericks

commit 35ac22f827a47dc4e79c0eaad5bc54b3a61fcf79
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 18 13:46:17 2013 +0100

    Fix LSB/HD conformance for /etc/init.d/metaproxy MP-500
    
    Debian: add support for /etc/init.d/metaproxy status

commit da5fc2bf8325d1842241541af8589978af2e8b0d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 15 20:31:27 2013 +0100

    Version 1.4.2

commit e73108d6da5b5f5b8a08751cefaa0a5bdf6bc106
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 15 13:48:33 2013 +0100

    document http_rewrite, present_chunk, sd_remove MP-468

commit 964ec58fa0d8664752262cef2f2707f10b16ba9c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 15 11:20:25 2013 +0100

    Rename cql_rpn source

commit 8abbc6f251628ac0266d66d36bb638fb3644b2c9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 14 15:27:14 2013 +0100

    Require yazpp 1.5.2 due to new RecordCache::add

commit bef823971eb13cedea9a6d26a3fd782514cfeb2f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 14 14:24:23 2013 +0100

    Call fixed RecordCache::add MP-499
    
    This ensures that proper comspec is used for cached records.

commit 574779b46e454b28d8de37a5628b92f99245fd87
Merge: 1be1a23 1dca4a5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 11:13:22 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 1be1a231bf51e92d9dd443282f9666ab7a0b4ca7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 11:12:24 2013 +0100

    Deprecate piggyback function with regular ints
    
    It may be harmful for large hit counts

commit 1dca4a52e26e617c1f64a213ee7de780346a74f0
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Mon Nov 4 15:31:42 2013 +0100

    X-Metaproxy-SkipLink MP-479
    
    Filter_http_rewritwe Understands and respects the header (which will
    normally come from the cproxy filter)

commit 88cbd90028404f012d6b1673d35941883806c788
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 31 11:07:40 2013 +0100

    Version 1.4.1

commit 15b65f7c9769142b709d079496929727d41a4229
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 31 11:02:25 2013 +0100

    Fix dependency for libmetaproxy5-devel MP-496

commit 9f2dd20cc26c23a736b42e0eb929782f4e76b9e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 23 14:48:45 2013 +0200

    session_shared: remove log msg about backend classes

commit 9ef76818affd5f828e28e83d473b2308b6ca46d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 4 14:23:19 2013 +0200

    Version 1.4.0

commit 82b21829b870f2347c6cf57ab61459c4f220b62b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 15:45:19 2013 +0200

    Fix SEGV for decoding invalid SRU requests
    
    Incorrect reference to union (was explain response rather than
    search response).

commit 3f336e2b35b6dd8f20647e7bb73255928bf4ad2a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 13:26:04 2013 +0200

    Ignore debian/dirs produced by building

commit 02713afda97105b9854d9be88a0a613bc6400f22
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 13:07:48 2013 +0200

    RPM: fix require to libyaz5

commit 3c88b644c6dd26392424ddb366ed58f8dc3241cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 12:18:28 2013 +0200

    use yaz5, yazpp6 DLLs

commit 60cb8a0ce1d85977c7d136d556e711c74e110ede
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 11:21:53 2013 +0200

    Use libyazpp6, libyaz5 and provide libmetaproxy5

commit 3c471e738f4eb31e2bf5649acf527987780d4483
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 10:41:32 2013 +0200

    Upgrade to debhelper version 7

commit 558ce9ed69e55b2193475156b142c60d171db5ff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 10:01:31 2013 +0200

    Depend on YAZ 4.2.69 (z_get_HTTP_Response_server)

commit b893b551f97213efbf6e84732c26a2ddb89bcb9b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 10:28:26 2013 +0200

    HTTP response with Metaproxy name and URL MP-493

commit 9181e947fbaaaaed1cbf53f38f13b56bc762366c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 14:01:22 2013 +0200

    session_shared: match additionalSearchInfo (includes facets)

commit b16a88ecd56e0bf89926dfd1eef008bf155221d3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 11:14:39 2013 +0200

    session_shared: relay facets for response
    
    That is: everything in additionalSearchInfo.

commit 98c084ed5dbfc41caa5fe152bf7de92151d9e03b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 21:22:36 2013 +0200

    session_shared: relay facets for requests

commit d89b94329401b771c440dc6aafd72b9309a8b0ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 15:21:45 2013 +0200

    zoom: build Z_Facet structures by hand.

commit 6c53f69359d38fb81ed546c97e558c42826706b6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 15:20:06 2013 +0200

    zoom: reset result set ptr to avoid option reading from it

commit 35fd2e05ea805ab48eb5f65d3c8847ccca9dc784
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 14:48:39 2013 +0200

    Require YAZ 4.2.67 due to yaz_facet_list_to_wrbuf

commit a5dc369fbffd8e27cde8557a7aa640dc0f222aef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 14:45:56 2013 +0200

    zoom: relay facets MP-490

commit 3b4860c163303e7a0c2ecc3946c4053cb6c72714
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 12 15:28:21 2013 +0200

    sru_z3950: relays facetList in otherInfo, additional info

commit 03e8dbd1c27b7ac1540e1710becc7d4ecf7fdb95
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 11 12:58:02 2013 +0200

    Version 1.3.62

commit ad6db37aced496979244d4e58c479708f396bd84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 11 12:42:02 2013 +0200

    Avoid reference to attribute value (not being there)

commit ddbce5fc4d40b7fdfbcb2b39031d12be6191dc05
Merge: edeb7dc 13447db
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 11 11:23:56 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit edeb7dc220cc1b66ae533ee4baba40b15732a4fd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 11 11:23:23 2013 +0200

    Odr_oct updates - YAZ 4 and 5.

commit 13447dbaee9e465d4da72b8914810e8ee4f632c6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 10 20:52:03 2013 +0200

    Local boost::smatch , MP-482

commit 489bd9188aed44d93c29f996311e0477152d592a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 10 14:18:54 2013 +0200

    Careful check of </script> termination

commit 73c1b7597e636f6bd66d7fbcdd2f8e8d0ae342f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 10 13:58:43 2013 +0200

    Try to reduce splitting of text nodes

commit 55fdfbb42225f71fb791bb8f9ec033ca0fddbe44
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 10 13:43:27 2013 +0200

    No-nest mode for script content in HTML parser MP-486
    
    This is not to be confused with quoted-literal which says that
    only things in quotes should be rewritten.

commit 0ff7436bf2ca0a279b1fefe0020ab862146306aa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 10 12:32:39 2013 +0200

    Remove old header match code

commit 40b194f21cadfda4f9b034e1a0742c570889b731
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 5 14:50:07 2013 +0200

    bounce: don't use strdup for fixed length content
    
    Error occurred in echo mode.

commit 539084d0c46c430a110c03e0a605bfd9a1aa92b5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 5 11:29:41 2013 +0200

    session_shared: expire backend class when no instances left

commit c423edb32fd6209510f7e4cd50a843398e708a43
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 5 10:42:33 2013 +0200

    cql_rpn: use path for cql2rpn file MP-481

commit e5077eed764e3f93dc86404a4ee414ce003ae643
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 4 15:39:20 2013 +0200

    virt_db: Fix leak of naked ptr

commit 54c6c2c4fa4378ced846240bea454bc9583f48da
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 3 15:51:53 2013 +0200

    Handle SRU queryType (YAZ 5)

commit f69a86122ff6184f7ce70c94494be3cfd6b516d6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 29 16:36:17 2013 +0200

    Version 1.3.61

commit b670ea150d6fbefa9ba1f77a3b99305279ca9c06
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 23 14:34:03 2013 +0200

    Ignore libmetaproxy4.dbg

commit 1efc4316e3b57f812727ddaa5963c87e125dfbd8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 22 11:58:28 2013 +0000

    Add ports.d/routes.d to RPM dir

commit 8f71ff0deb3b40baf87f8d96c0bef3768c15e14c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 22 12:53:09 2013 +0200

    Package metaproxy introduces ports.d/routes.d include
    
    This allows custom ports and routes to be added by 3rd party.

commit 1059a09ddcc2db5f374a3bb5fd7aa1c0de933d0f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 21 13:58:11 2013 +0200

    Version 1.3.60-2indexdata

commit dfcddedfe36f8e3bd02448263b3b2023fcc1ac28
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 21 13:21:36 2013 +0200

    Version 1.3.60

commit a3a74fe5744f47c1955f95e79791df2669660e62
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 21 13:07:12 2013 +0200

    Depend on boost.m4 for MP-475

commit 1e6b5f7e2806af3fea9fa177de4d917cf14cc926
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 21 13:03:15 2013 +0200

    Update NEWS

commit 4f5fe9b621891d0d4eabbd7dbcba65f96f11f528
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 19 14:09:55 2013 +0200

    HTML: clean up char checks. Add ptr to HTML parse spec

commit 2ee83c18eef23c98fd4e97d581401be193fdf41f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 19 13:40:04 2013 +0200

    HTML parser stops eating tag when <-char is met

commit c271eb1db3286cd6c309f2cde33dc90d7c3c4dfe
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Aug 2 14:21:54 2013 +0200

    rewrite: do not even compare content types, if we don't have any
    
    the regex_match caused a segfault if we had no content-type in the
    headers.

commit 96a9d0598df0722dc31117fd4559bb4b23a2225e
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Tue Jul 23 10:56:29 2013 +0200

    More logging when deciding not to rewrite

commit 19a8cbdf62b7307503fd4213a5b9626ec0d88f1c
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Mon Jul 22 11:40:49 2013 +0200

    within header=... matches only the header value
    
    Used to match the whole header line, but we need to use
    ^$ anchoring for host-relative regexps, and they need to
    anchor at the ends of the value. MP-470.

commit 9385dfd8322690a4fb9fadc474787a2e081a1d24
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 19 14:26:04 2013 +0200

    Add schema for http_rewrite filter

commit a8b25eb1e4dee0290182ca69fe49a01557c58811
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 18 11:14:26 2013 +0200

    Ruleset functional MP-469

commit a52a1c2251427a79ec9d0635b0bf9888eb1601e9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 17 15:21:59 2013 +0200

    Started work on ,-separated rule set

commit 69102e539b3774e6567e22836a788cf5d2b73b04
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 12 10:59:20 2013 +0200

    Version 1.3.59

commit 33f8c8e9143fc80b29498689b64899cf9f108917
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 12 10:51:26 2013 +0200

    Update NEWS

commit 3f5b658748a32db22137659bc51b1ac2dcfcf1d6
Merge: 7dafcdb 48d8459
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 12 10:44:24 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 48d8459a8f0a3d1238e0f23e978c1e8db534ab72
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Jul 11 13:37:58 2013 +0200

    Add echo option to the bounce filter

commit 7dafcdbbc006a374063e26984a2cff8576104f81
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 11 13:11:47 2013 +0200

    session_shared: resolve result-set references MP-292
    
    The reference is substitued with the query for old set if database
    match and query type is Type-1. If not the reference will issue a
    diagnostic.

commit d41d6bf3e177f21eca0c9856a538de84a8923d21
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 11 10:30:39 2013 +0200

    Require YAZ 4.2.62 due to new utilities in use

commit 55e06106b63485b77b5b3c114c39b79e4f23168a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 9 15:05:54 2013 +0200

    http_client: better diagnostics MP-455

commit 8ff69c27be66eb65b0b5fd6afa4de1a3556d7344
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 9 15:05:37 2013 +0200

    New utility create_HTTP_Response_details

commit c81b0c4ea84ed5f91a0e60c886d982aef9257c3e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 9 11:38:00 2013 +0000

    Add HTMLParserEvent virtual destructor

commit 6de003d8fb16f703d2c71c21128423cf691ce45d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 9 13:08:16 2013 +0200

    session_shared: negotiate init sz parameters MP-465
    
    By default, session_shared will honor the paramters given by client.
    An alternative, but not implemented, algorithm would be to only
    re-use sessions with same sz parameters. This however, could reduce
    re-use of sessions a lot. Hence this, simple algorithm instead. The
    negotiation to a maximum sz values can be enabled by using
      <init maximum-record-size="sz1" preferred-message-size="sz2"/>
    in configuration. This will make session_shared send those values
    to backends and use returned init values in negotaition to
    client before session_shared.

commit b8f4ac1af9456465a24ecd338fd998e292030abf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 8 15:23:49 2013 +0200

    More appropriate HTML comment handling

commit b3355bae26a0df1935bef769b4e83f7583e66770
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 8 14:22:35 2013 +0200

    Use yaz_xml_include_glob MP-459

commit e72710fc07c005bf835c3ed9bcdbc1068e118116
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 8 09:15:18 2013 +0000

    Avoid assign empty string for content regex

commit c4f5c25488b0ae53e5b856a0c14a4b8c210560fc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 8 10:20:48 2013 +0200

    header and attr are regex. Case insensitive compare

commit 13d8b45b1e703049ed2903adcf67a09dd9226557
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 5 15:43:52 2013 +0200

    Using regex for comparing tags

commit a58c13aa3753e1d549ad643d3d7268a8ca431714
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 5 14:36:04 2013 +0200

    Deal with &quot; inside embedded JS

commit fafb98623457b4b29bbe3a32af19e901d92106dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 5 13:43:06 2013 +0200

    Honor within type="quoted-literal"

commit 34b33150854c015d84bcec7d85b808387cc74d67
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 5 12:32:14 2013 +0200

    Refactor content parse to Content::parse

commit 6b85bd6e1a0c112720f54a45253820d9bccb2655
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 5 11:20:25 2013 +0200

    Simplify test_patterns function

commit b8c30d9591850c3c0c1f9f8b7e15e76ea5517375
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 4 16:43:27 2013 +0200

    Don't go beyond end of string for quoted literals

commit 8812a62c9cd99276c394c7f88192b9c115825ef9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 4 16:42:48 2013 +0200

    Test for JS comments

commit 24c59a891cc78bd319b5db6c5ade450585e37ed1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 4 16:16:54 2013 +0200

    http_rewrite: quoted literals

commit aed0227951a728103325801ebae842b96f57745f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 3 14:12:16 2013 +0200

    Simplify http rewrite test a bit

commit 61eac1ac42c75e21780707bf238a6d8a19068f05
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 3 14:03:09 2013 +0200

    http_rewrite: content areas
    
    One for type=html and one for type=headers.

commit dd17e564b39fa38a3d611853a3b13dacdff3d070
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 2 15:41:06 2013 +0200

    HTML parser: elements starts with [A-Za-z]

commit ed7601f8a0bf2f19ee13aba601f8fcdda99d8256
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 2 14:27:42 2013 +0200

    Skip start anchor for text sections entirely

commit 9c5a788489d7fc2bb6796b87ffe6d631f5ef0c90
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 2 13:24:34 2013 +0200

    http_rewrite: fix start anchor (^) match

commit 1751c7afd96e1984f5710284cdcb245a93d9ce6c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 2 11:03:08 2013 +0200

    http_client: disables HTTP redirect by default
    
    It can be configured with max-redirects in configuration.

commit 0cc98fc161f86765524e7d53ac0fb6a2196cf9af
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 16:20:54 2013 +0200

    filter_http_rewrite: don't crash if "Host" header is missing

commit 2c02be2dd0d82a2ce2db3050ce3a6bfe0a3ef16b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 15:46:43 2013 +0200

    Testing for all Replace rules in use

commit 1cdeee04edc872ec99d4b195e228d0964c049a0b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 15:46:01 2013 +0200

    Use all Replaces from/to in each buffer

commit dcf44e3b0a3feaa4bb651f3a7acaccdae35c2c46
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 15:23:23 2013 +0200

    boost::smatch part of Replace object too

commit da6bac74235b917ec0ea5afc39ee6b4c35d57b45
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 15:12:44 2013 +0200

    Refactor: compiled regex part of Replace object

commit 577119fc1080b77c58b08db6d6c0114398494a33
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 14:05:04 2013 +0200

    Remove trailing whitespace

commit bb6b58cbec0e41a8ba2403e540185e77882e8741
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 1 14:04:31 2013 +0200

    Option attribute values for HTML parser

commit 61a563ec4484df103182afd0b5f49e1f91d3454d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 16:40:50 2013 +0200

    HTMLParser more forgiving with bad attributes
    
    The idea is not to fix, but at least passthru as text.

commit 288111986392ffbd733d71cd964f49437b899bdb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 14:33:01 2013 +0200

    HTMLParserEvent, attributes takes quoting sep
    
    as argument, so that quoting (if any) is preserved.

commit 897639233e3a6232d039666ba38b393bf7ac0ef0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 14:23:02 2013 +0200

    Event.text for whitespace in <x/ > tags

commit c68b4f17734350d7613331d9bfbee615c62dd766
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 13:32:08 2013 +0200

    Set vars in replacement also if empty

commit bec25ede71e21b5905c696590da2dad757941411
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 13:31:46 2013 +0200

    Reformat a bit

commit 3b923d4060ee790cfa2a65a99b49ee347c17f4f8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 12:28:25 2013 +0200

    Stack up attr="#text" things

commit 41ddc790e888e2b0cfe5da66a34e26e737e20b54
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 11:50:23 2013 +0200

    Only do CDATA for attr="#text", verbose flag

commit 6dcfe679a15fd81aced28675b3ef91619165ae30
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 11:50:04 2013 +0200

    More tests for html_parser

commit 68250b45b381d70615236e9160e683c2ba8bf53a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 27 11:49:45 2013 +0200

    HTMLParser, verbose setting

commit 3ef4df94516a136b7ee18ec8a45e740ef9e9dc05
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 26 16:58:10 2013 +0200

    Revise HTML parser; keep spelling
    
    Fixes for DTD/PIs handling. 0-copy for tags and attributes (no
    limit). No debug output, unless verbose is set for HTMLParser.

commit fe752902775deb62f98786bd18b89a6a0edd0d42
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 26 14:33:01 2013 +0200

    No dupe function (leaks)

commit 167d92e5c6533c592b5a204b638a606ff6e2b428
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 26 14:29:58 2013 +0200

    Reformat

commit f51a51c6c6e1f8c5de6e90f548df3d8dc12e00ac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 26 14:28:38 2013 +0200

    Reformat of HTMLparser source

commit 8bcd4c3e063e932b2f80f9491ec0af66d3da5c2e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 26 14:19:55 2013 +0200

    http_rewrite using HTML parser

commit 213d7bae1233185595186f881a150ee238dac64f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 25 16:47:02 2013 +0200

    Deciding rules for within
    
    Not really tested yet.

commit 917e40f8768670e2c6da49e9d44ca92f01ea52ac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 25 16:46:53 2013 +0200

    Remove unused code, fix printing

commit 6bc88607a5726bcf482ceb23d0cf5e7dd9db8341
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 25 15:21:15 2013 +0200

    Refactor a bit

commit 4a14f732154658bbd097d833089f968d77568ebd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 21 14:51:07 2013 +0200

    http_rewrite: HTMLParser boilerplate

commit c16bc7c51598f8325376aca0558d4ab810781f89
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 21 14:30:09 2013 +0200

    Remove redundant include

commit 1a43a127795955f8a5b509391995068867279b19
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 21 14:28:56 2013 +0200

    http_rewrite: rename Section -> Phase

commit 3ea5cbf51b66f787daac04cd6c625c217e09080e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 20 15:12:13 2013 +0200

    http_rewrite: parsing of new configuration
    
    but at this point, still no HTML parsing and only first
    "within" rule is being executed everywhere.

commit 2714f8fc3bd1ae4b9c4133190efa3f8198d63d50
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 15:06:44 2013 +0200

    Add http rewrite objects for windows

commit abb6c0e006a3701899adcfaaedba3be405df3248
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 12:47:12 2013 +0200

    http_file: raw mode functional
    
    and schema updated accordingly

commit 4727ee6eaf08c309fdb6ee3454c7b62b482e3d5c
Merge: f383972 c5552c2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 11:44:09 2013 +0200

    Merge branch 'master' into http_file_raw

commit c5552c2d6a0aa6876bebc3238c309066f963357c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 11:42:50 2013 +0200

    sort list of filters

commit 3965a0918cec02fe4ef202638fd714150b93a0ba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 11:26:21 2013 +0200

    http_rewrite: Avoid ?<group> regex'es.
    
    They don't work in Boost 1.33 (rather old).

commit 2bde9b746dfd661553c28a129a667363cc7a1581
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 08:59:38 2013 +0000

    Reformat: remove trailing whitespace

commit ec7e55c86b12403bf0b6e869339c24cbbd4fcdff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 08:58:50 2013 +0000

    string offsets of type size_t

commit 8949e75975de65f081f8eb9197e9f5f9ee9dd227
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 08:47:33 2013 +0000

    Fix warning

commit e17fbdb735a7524ba17ff13938707fcaad7f5470
Merge: a4af532 fef9933
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 19 10:26:59 2013 +0200

    Merge branch 'master' into rewrite-filter

commit fef99337bb6e6f908982427797c66ae775f9ae1c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 17 14:49:22 2013 +0200

    filter sort relays RecordComposition
    
    including elementSet in use for search.

commit b8d5728fc9d3461f5bfd7d79f415512822c38dcc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 17 14:48:51 2013 +0200

    Add util piggyback_to_RecordComposition

commit e3eea165c2eaeee9a34d49506be6cff973a4395e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 14 10:42:02 2013 +0200

    Remove useless comment in retrievalinfo schema

commit a4af532550c13d415f757b9dcbd74e3c44ec4794
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Jun 13 12:57:45 2013 +0200

    Fix src/Makefile.am after merge

commit c9d6971088c3b1a3a3faa658e54390c809852e16
Merge: a370d3d ffc8fc2
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Jun 13 12:16:03 2013 +0200

    Merge remote-tracking branch 'origin/master' into rewrite-filter

commit ffc8fc2e03a64fe20b84e0cd5e1fe722d84271ee
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 13 11:57:17 2013 +0200

    Build-in filters part of libmetaproxy so again
    
    And registration takes place in FactoryStatic . Not really
    elegant.

commit eba87fb71f077336da1209320b2e3bb6b6ef27aa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 21:49:23 2013 +0200

    Version 1.3.58

commit 3f4bd901440c6f15c3468cd46a34993d7a2d8571
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 21:41:57 2013 +0200

    Fix load of filters cql_rpn, sru_z3950

commit c09664fb48b008394fa61ebaf4870c14d5fb1984
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 15:44:10 2013 +0200

    Version 1.3.57

commit 6d551a370d3701df6755f6fd5e24475b1c591aec
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 15:41:51 2013 +0200

    No longer build for Ubuntu natty

commit a370d3def5758d5f2d1d7113a27871655fc7cec5
Merge: df9b11d fc12f25
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Jun 12 15:31:08 2013 +0200

    Merge remote-tracking branch 'origin/master' into rewrite-filter

commit fc12f2596c5150ee78d41d379430476208ea0548
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 14:35:14 2013 +0200

    Move Factory{Static,Filter} to libmetaproxy
    
    It's needed by RouterXML.

commit 2f5822f65ed804ddccd0036e05ea66f20e25be70
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 14:34:44 2013 +0200

    FactoryStatic: rely on auto load for dl-enabled systems
    
    We don't need the static registration for those.

commit cec05aa8c24b33f36e6aa1c8a00d3ecb58dd5e84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 14:08:33 2013 +0200

    Add RouterXML in public API MP-450

commit 42509e27416325060d28e320ccb92c187859c852
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 12 11:39:29 2013 +0200

    Remove FactoryFilter:have_dl_support

commit df9b11da1202e8af0eb10633a44405e45c94800e
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Jun 12 11:36:52 2013 +0200

    Removed global test setup
    
    It didn't do anything much, and failed to compile on Centos5

commit fc881acd97f7302976646f7d197d45d86469e243
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 11 15:20:17 2013 +0200

    sru_z3950: separate x-client prefix for each dbargs
    
    Eg x-client-user=kurt rather than x-dbargs=user&3Dkurt .

commit 6d9867ed4cbb68635f4819a9a9c104a219160780
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 11 14:59:52 2013 +0200

    sru_z3950: honor x-dbargs MP-452
    
    As an alternative to dbargs in path. The x-dbargs argument
    is without the comma separator. Value must be encoded in
    particular = (%3D).

commit 1792cb2b795187eb86cbd9780e0d7b71ea3a270c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 11 13:47:22 2013 +0200

    http_client: honor X-Metaproxy-Proxy MP-451
    
    And require YAZ 4.2.59 because it has z_HTTP_header_remove.

commit fe8ab21a7dfdd452298ec356395b2956c25d18fa
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Mon Jun 10 17:28:10 2013 +0200

    Refactor HTTP rewrite filter and tests

commit 2c08da821832998446e5fe92acf4d1e87fe531d4
Merge: 0ce3228 2397eb3
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed May 29 13:12:49 2013 +0200

    Merge remote-tracking branch 'origin/master' into rewrite-filter
    
    Conflicts:
            src/Makefile.am
    
    Signed-off-by: Heikki Levanto <heikki@indexdata.dk>

commit 2397eb36b4ea68b2c1d33e119f3916972d5b661e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 29 12:45:07 2013 +0200

    Add test in example module using RouterChain

commit 483f47b95650cf92da0c9cc08363c2d761e78cdc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 29 12:34:19 2013 +0200

    router_chain part of public API

commit 2e7843d90dd0a9ac8496570318159fb4c3955fe4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 27 13:15:35 2013 +0200

    Version 1.3.56

commit 6e933ec5c63455f83f146aee997e4e10070620a9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 27 13:12:59 2013 +0200

    Use different port in example

commit 0ecb1d73b92e966df651394e91d19381d22f4b71
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 27 13:12:04 2013 +0200

    Include config_proxy.xml in dist

commit 9ba857a582fe7b7e4890d5c520a072d173e02e0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 27 13:11:58 2013 +0200

    More documentation for http_client

commit 071036bf0b9ed47ed36512c2f9a93191036184c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 27 13:00:35 2013 +0200

    HTTP proxy example

commit 0e42f0c38d544b48a49e17e548ae57dc23cf4977
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 27 13:00:28 2013 +0200

    Update NEWS

commit 19317eb63692c8039849a70e71e7619d71679502
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 16 10:13:50 2013 +0200

    http_client: remove Transfer-Encoding from resp MK-445
    
    The Transfer-Encoding should not be relay'ed back to frontend_net
    etc.. This will cause a bad response.

commit 2a1dd8859c8b0e606bae7311c5781f64744cf5f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 15 09:17:08 2013 +0000

    Fix tstdl linking

commit f383972cb68f4bd0ae13101600281313d1fa9665
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 15 11:03:36 2013 +0200

    Work on raw fetch in http_file

commit f97d0ca28b921765133e40c58d1b1b8ef3e7ecef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 15 10:53:45 2013 +0200

    sd_remove: log error msg + addinfo

commit f943413ae943aa332af9cef69e6a148a47639c7c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 15 10:21:50 2013 +0200

    Remove useless examples

commit 541dca64a8e7b495045a8ac4068f8e15eb12b303
Merge: ae1e928 e6e0048
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 15 10:05:23 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit ae1e9287148b9d73a6bf7cc35cda45c833a02648
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 15 10:04:14 2013 +0200

    Fix linking in shared mode
    
    The libmetaproxy library is stripped further and contains
    only utilities by this.

commit e6e0048fc813a45acdd712e7579ba846f936fa17
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 21:34:02 2013 +0200

    Update nmake for present_chunk filter

commit 068b205511080cca73129afc44bf44894f4fbca2
Merge: dbe562a 8214f56
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 21:32:50 2013 +0200

    Merge remote-tracking branch 'origin/mp_434'
    
    Conflicts:
            etc/config1.xml
            src/Makefile.am

commit dbe562a3c8ceaaf5133e99e1ed974acfd4acddd6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 15:40:26 2013 +0200

    Update nmake for sd_remove

commit 588f4bd1b557334c6da47d41ca17c9c044811100
Merge: 46bfa80 43afefc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 15:34:17 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 43afefc5b93c3e3336d974605fa5b15946e839d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 15:33:55 2013 +0200

    Update nmake for new filters

commit 46bfa80f1062328333a1fe841581938bdeb94eb7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 15:21:39 2013 +0200

    New filter sd_remove
    
    which removes surrogate diagnostics.

commit 7b628a49843d4d741d6d927b621762795fcc6fe6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 14:21:43 2013 +0200

    Update m4

commit e38f1b959c56b11e2e0c48bcde12cb2a05f8ea84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 14 11:17:51 2013 +0200

    Use dlsym to load all filters
    
    Not on Windows, however, where dlsym is unavailable.

commit 0ce322844494022dc85a9c776d9ff041aad17520
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri May 10 20:28:02 2013 +0200

    Avoid re allocations

commit 327c0b4339d90ee73a9dac0d692bc94bf7f05ea1
Merge: a258482 7611584
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri May 10 16:53:20 2013 +0200

    Merge branch 'rewrite-filter' of ssh://git.indexdata.com/home/git/pub/metaproxy into rewrite-filter

commit a258482a3b53b90b0932f4a789ba66e8e1576c05
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri May 10 16:50:56 2013 +0200

    HTML push parser
    
    Based on Adam's tclrobot but more aligned with the HTML specs
    
    * all different forms of attrs supported
    * whitespaces after tag names allowed
    * pi/dtd passthru
    
    also various fixes.

commit 7611584ef0d15383d61c9a0fca5b4cc6aedb6f48
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Wed May 8 18:02:40 2013 +0200

    Fix the test case

commit fc60434912ceab56484a525b650089310526746f
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Wed May 8 16:49:30 2013 +0200

    Try to comapte buffers

commit 2b862fc3e525e3d53854e9825ae2e22683e8a03c
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Wed May 8 16:04:30 2013 +0200

    More self-contained test

commit af4043d1f48abf3bda98ff36ee91251d25001621
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 8 12:20:30 2013 +0200

    Separate boost system check

commit b1ca965f09c0dd217f9f5147f3f7009ec0f6d292
Merge: 100c522 3c9b71a
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 17:25:00 2013 +0200

    Merge remote-tracking branch 'origin/master' into rewrite-filter

commit 100c5228470dc9e35d400d7ab641d5064d2079b1
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 17:24:17 2013 +0200

    Avoid some re-alloc

commit 58a90ea3da0cae8b9b198034736cc505e1f8273a
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 16:45:38 2013 +0200

    Fix multiple match aggregation

commit 1933e4904a95ec7c430b61a2dcc0e907cbac75de
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 15:44:57 2013 +0200

    Fix response rewriting

commit 3c9b71a3db56e63476d68ef6b19b5c1a0c47fa75
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 7 14:46:54 2013 +0200

    Allow YAZ log level to be given for metaproxy prog

commit 9d360837a60816800dd96d1355ecf4e79b689478
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 14:43:09 2013 +0200

    Using log level

commit 9aac52ec77441c6b1cfb37fd89d7a55c8935ca71
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 14:41:44 2013 +0200

    Prepend with proto

commit 8dbed786f672225bef92284dbe38d86f03dac7cc
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 14:32:34 2013 +0200

    Use yaz_log

commit 9b91a13b0a31663c323c684ed0b25c8e96616c23
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 14:11:05 2013 +0200

    Log when the filter is invoked

commit e70af82aac79f1313b235417da3fc6d592f96e5f
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 13:49:50 2013 +0200

    Include filter in the static factory

commit 655d20d3dfd67a2b3373190f0c966a43455b6db2
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 13:42:54 2013 +0200

    Fix warnings

commit 5a0f6c23f56d1df24e8ce09408bb68a0c2526b94
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 7 13:29:47 2013 +0200

    Update example module to use metaproxy-config
    
    rather than yazpp-config.

commit 74403430257e9f719f17e2966c4c6e85f7f05526
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 7 13:28:56 2013 +0200

    metaproxy-config --libs returns Boost libs

commit 12818cf2adcaa3b021cc16a224bfb1303ab6c9e9
Merge: c26efce 08385bd
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue May 7 13:27:00 2013 +0200

    Merge remote-tracking branch 'origin/master' into rewrite-filter

commit c26efced52c043f96c6560b453975d77ebde1b0f
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Mon May 6 16:35:01 2013 +0200

    Add XML config test

commit 67e481dac76e773799e3e18c87d29f0a210cbfb1
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Mon May 6 15:48:48 2013 +0200

    Configure from XML

commit 3a51c4a584225b0e77d17600acb527337f5ac8ce
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Mon May 6 15:27:42 2013 +0200

    Factor out impl from test

commit c106731ba24ab8570ca249809c7aab46364c303a
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Mon May 6 12:45:46 2013 +0200

    Rewrite body too

commit 7ef92a349bd1cc29eff66914bc7477c553ccadc1
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Mon May 6 11:41:52 2013 +0200

    Refactor

commit 517d835e05e8f9169119ee9108692c2337d7b8bd
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri May 3 15:01:55 2013 +0200

    Reconstruct headers before matching

commit 6ca510d9c7b0c706fc86caebb728028404b09fb2
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri May 3 14:04:08 2013 +0200

    Add response rewrite rule

commit 08385bdedb0bf44f9e5bc27bfa21dcf2c9b103a1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 3 12:51:35 2013 +0200

    SSL server example

commit 8dcf822edbbe7fa3dd1912255dd5a9d8f3ad8865
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 3 12:43:45 2013 +0200

    frontend_net: SSL/HTTPS server MP-441
    
    because we can specify a certificate now.

commit e0e337fdc7a6660c5ea314a04616ca1a37956244
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 3 12:43:12 2013 +0200

    Require yazpp 1.4.1

commit 4e89edd8b0199b4ffc2201db311a8fd75932489c
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri May 3 12:40:30 2013 +0200

    Handle muliple req/resp patterns
    
    Tried in order, first martched first used.

commit 15b0ee3b555ce9fdb416e78836209841efc6e596
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 3 12:40:26 2013 +0200

    http_client: simplify check whether URL is abs_path

commit 4ee6d6c8a6c4819aba23f73413c16c8473b8877d
Merge: 519cf04 b21b705
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 3 09:24:52 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit b21b7052da96f92e426d9857cc65e2dfcabde62f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 2 18:19:32 2013 +0000

    Update m4

commit 191cdaf893b48dfc7610b4dbafda7702aa620f1e
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Thu May 2 18:30:30 2013 +0200

    Only remember match if not empty

commit 08452009e877e546c2532fe9769604487560ae7d
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Thu May 2 16:24:34 2013 +0200

    Use C++ strings and handle non-capturing groups

commit 4f22c19e67ecdd64dc60cfcce8f4101da9590fd2
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Thu May 2 14:14:15 2013 +0200

    Resp/Req rewriting works
    
    The matching approach is a bit different now -- the region is searched
    for next match and the replacement is performed in line.

commit 519cf04ede8ce910b4048b98c8150adb8d983204
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 2 13:57:26 2013 +0200

    http_client: new setting default-host
    
    Which serves as default host URI prefix. HTTP requests received
    without a host in the HTTP method line will use default-host.

commit 3995708473a9be2bad986515881f8e262bdec024
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Thu May 2 11:50:39 2013 +0200

    Drop boost::xpressive
    
    and revert back to boost::regex which seems to parse
    Perl-like capture groups just fine (unlike xpressive
    which wnats Python style, sic)

commit 8181c47896ffd66e31add5fd15236bc5f28a2596
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Wed May 1 17:15:34 2013 +0200

    Functional request header rewriting
    
    The regex gets scanned for named captures which are than indexed
    and used in the request URL recipe (configurable).

commit 47789373e770fa544d6ac25568fe555f8e8e05ab
Author: Dennis Schafroth <dennis@indexdata.com>
Date:   Wed May 1 15:31:53 2013 +0200

    Example: Using metaproxy as general HTTP proxy

commit 648fc8831ed96f4e8fc228e0c1fa16a960d25074
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Wed May 1 09:39:32 2013 +0200

    Ignore everything (with excetptions)

commit a627adf593e208501bb62986ae0d1a99a8f5fa4b
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Tue Apr 30 17:11:07 2013 +0200

    Humble beginings

commit 47b574af2ed178501d3b96bc21e762c3c1e47b2f
Author: Dennis Schafroth <dennis@schafroth.com>
Date:   Mon Apr 29 18:50:48 2013 +0200

    Fix: support new configure API

commit fd86a93ae44458252f267dcdff71b62fbbb9da0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 29 16:10:54 2013 +0200

    Update m4 due to different msg WRT Boost system

commit cf5c6188aab934c100c4a71a54e8804abcd8d27f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 29 15:56:45 2013 +0200

    Metion libboost-system-dev

commit 97ec18ba6a8254709d3ea1452dd325d0cbc5d813
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 29 15:40:32 2013 +0200

    Depend on Boost.System for Boost >= 1.41.0

commit 58556d445148f40d65dbfee9f87ddae009d08cae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 24 14:07:26 2013 +0200

    New filter http_rewrite1
    
    Which serves as purpose on how to rewrite HTTP content with
    Metaproxy.

commit f9825b023dfeeceda7f16cbac2a5b2a9f47257bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 24 14:07:23 2013 +0200

    http_file rnc: area is 0 or more

commit d1a80cfe16b0a6a24bd3db3be14cb04552050dd5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 22 17:12:27 2013 +0200

    Debug package libmetaproxy4-dbg MP-435

commit 8214f56ad711f5a61213a7cf4027a8cca93fc5d1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 19 16:42:44 2013 +0200

    New filter present_chunk
    
    This filter allows splitting of present requests into smaller
    chunks.

commit 66ccbf941e10d3c2c07ef3187e855e58e541c93d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 18 11:37:27 2013 +0200

    http_client documentation

commit 409c020044df74e1883710cbc1f2860dee8c5ac4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 18 11:31:44 2013 +0200

    Implemented http_client MP-432

commit 12de2acc1bb1bf2b96f1855ced81fccf4650bdb8
Merge: d943061 2de1ea2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 17 13:44:53 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit d9430615078ef3d582160301e009e6677d181f5a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 17 13:44:49 2013 +0200

    Fix spelling in sysconfig/metaproxy

commit 2de1ea231bd0c0c1147eb845fd9bdfd94b3974fe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 10 09:48:46 2013 +0200

    Version 1.3.55

commit d753a6a3fe09080bd4b8209e14ff3338ea0b5044
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 5 11:35:02 2013 +0200

    Update ZOOM documentation for authenticationMode

commit 22157cbfd7246ab82596ddec5ace08cc52dcf9fe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 5 11:34:41 2013 +0200

    Example config using authenticationMode

commit c61f7b681537dda603e27d3e65d8c0e9254502dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 5 11:33:59 2013 +0200

    zoom: Torus setting: authenticationMode
    
    which may hold values "basic" and "url".

commit fa3bd4d2a13db989a57262b42f105a4d4ba28025
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 4 14:54:04 2013 +0200

    Torus setting authentiation signals auth type
    
    user/password/url uses x-username, x-password for SRU.
    user/password/basic or user/password uses HTTP Auth for SRU.

commit ff0e884f49cbdede40f98f680fc09cf93c285261
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 27 13:56:59 2013 +0100

    Ignore local0.ent

commit 699075159011e4fd3e0e37f58579201b4630de46
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 27 13:37:50 2013 +0100

    Version 1.3.54

commit 52df783f74f8336e05fa2698648aed395c9086db
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 27 13:05:05 2013 +0100

    Documentation rebuilt if local.ent changes

commit b949fca87e4c8041cac5706197a850604df6f045
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 27 11:33:12 2013 +0100

    Spell Solr as Solr

commit 9b935138134a914fcc2d773112733e3c6448dc1d
Merge: a9a8c8f d4ecc19
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 27 11:28:38 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit a9a8c8f599d32df565d91542d0938400c681c41f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 27 11:26:14 2013 +0100

    Change case of Solr in msg

commit d4ecc19eb2ef64774f55e7d49dc64e25309d6896
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 25 09:31:34 2013 +0100

    Check for Libxslt support in YAZ
    
    and rely on definitions from yaz-config, rather than doing own
    xslt/xml2 checks.

commit 41bb035dfc40b470d8efbc27dcda5ac3f754df0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 19 12:20:21 2013 +0100

    RPM: simplify make install rule

commit 3a331f89650516f614122ef51cc1523277b56db8
Merge: 88ae89d 6e9a17f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 13 14:27:49 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 6e9a17fa34cc226ffcb870b37229af25beefbc35
Merge: cad85a5 4a2b79f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 12 19:05:40 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit cad85a512ba53d408d7bede0a752474d8d648dc8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 12 19:04:30 2013 +0100

    Allow yaz_log time-stamp format to be set MP-430
    
    This done at a global level via option -m for megaproxy server.

commit 19d7767de608818706f2c4250e810dbb0d6108fa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 12 18:59:10 2013 +0100

    Doc: fix id of metaproxy-config ref

commit 88ae89d44e94fb935ec29b4755959332e9116aac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 28 16:11:00 2013 +0100

    Doc update for USEMARCON support

commit a309e13d47573bc16aaa531668ea9d02ca3f28a4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 28 16:01:25 2013 +0100

    Trim retrievalinfo header

commit 4a2b79f8d5e74dcfaaf1cf47829ddb1f76237c7d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 28 15:42:53 2013 +0100

    Mark Usemarcon as supported

commit 964befe50e85b904a7aa1e01c6cae2a7939b1109
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 15:06:44 2013 +0100

    Example using log category 'line'

commit 45061f08ac076567b5f1cc6fd8170154d29d2c7c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 15:06:39 2013 +0100

    Document log category 'line'

commit 2495ef28534a85e3f425301c053a48de7f7a53e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 15:06:11 2013 +0100

    multi: make a few log msgs to DEBUG

commit 884948918b1336f7cda40ec639f42d95183faa65
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 12:43:02 2013 +0100

    multi: do not alter scan package either

commit 47b8c6b8d645c3cedbcb4a82f1f0767f8668e0d8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 11:41:30 2013 +0100

    multi: do not mess with request package
    
    For search, database-names were modified and the request package
    was left with dangling pointers that caused a log filter to
    fail (request package inspected after multi was invoked).

commit 57794febd64a883811ca95540c346d0e61dee13e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 4 13:57:16 2013 +0100

    Solr example

commit 0060d2e66f5c63c26264c5507fe9defd47361add
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 13:38:08 2013 +0100

    Version 1.3.53

commit 8f3dca312950e5311072e979c273454a2c2b3f35
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 12:43:23 2013 +0100

    Require YAZ 4.2.50 or later

commit e6a17673266ab8fa5394620063b5724f39e55208
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 11:33:24 2013 +0100

    OPACXML to OPAC conversion example

commit b64bbdad88b7c3a990dc7b224e2716fd96e92f78
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 11:32:36 2013 +0100

    record_transform: allow OPACXML to OPAC conversion

commit 8ced8e7b5de3ecba12ac68ce5c5e8cddf40d800f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 6 16:36:30 2013 +0100

    Bump year

commit 99404587e07e9198cd941ad06c500c4246e2c983
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 28 13:29:43 2012 +0100

    zoom: document content-proxy

commit f48b9c4a53735ff0328b6775a1818a5de9237270
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 28 13:24:56 2012 +0100

    zoom: document db parm content-{user,password}, torus_url
    
    Also <torus auth_url="..> which makes zoom operate in authenticated
    mode via Torus lookup.

commit 15a1a2a9ca988b5fb923729809886f1e2fceacdf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 4 12:57:33 2012 +0100

    Add Ubuntu quantal

commit d145783548d4be5edde297509bce2be790fcbbb3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 30 18:52:49 2012 +0100

    Version 1.3.52

commit fe3058de676f75bafacf90d60f2d0e50a8183b45
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 30 17:50:03 2012 +0000

    zoom: fix http:// check

commit f765f54b6e82159c6b5ea09de95bf50ee299c567
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 15 13:12:23 2012 +0100

    Version 1.3.51

commit 62e536f8fbe95a1e29a54d6f9638b7b3b9582570
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 14 12:36:30 2012 +0100

    Remove yaz_log msg

commit a7ceaa4af871063a421015549c6d3a99504f9458
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 14 12:35:20 2012 +0100

    zoom: only append http:// for SRU if not already given

commit 691b79dad340d6ad6945e7f421b9be6243b948fc
Merge: 7bfa7de ccbce94
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 12 16:01:59 2012 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 7bfa7de321ea5aa63e79f8cdd930f2f78fdc3e79
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 12 16:00:58 2012 +0100

    frontend_net: allow max size to be given
    
    Controlled by attribute 'max_recv_bytes' of element 'port'.

commit 2302cf9af7ffd18ec0b0a4a193962ce73fced74c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 12 15:59:03 2012 +0100

    Depend on libyazpp5
    
    Because it provides a new ABI

commit ccbce944e7a7118c348b3bb70d7c175cb5819c32
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 12 14:47:40 2012 +0100

    Use yazpp5 DLL

commit 22824936312c2b73d227027d305c3c7366dad447
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 14:27:04 2012 +0100

    Version 1.3.50

commit a27d064228dd3ad9abe4d023fea77ec9630e916b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 14:30:47 2012 +0100

    No CVS ID in local.ent

commit db24db82188d7971d6e918d0e4546b31b7395aff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 14:19:50 2012 +0100

    Avoid boost::is_any_off to avoid warning
    
    Actually a big fat warning only issued with Visual Studio.

commit 05759475960458c945c502692c772f920408034f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 13:28:24 2012 +0100

    Specify Boost libpath for Windows
    
    This is because some boost libs depend on other boost libraries
    that we don't specify in linker invocation.

commit 6f89f42a210fd19ec30db126c600443f664c9686
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 13:02:20 2012 +0100

    Scope classes, tweak for TIME_UTC
    
    Scope classes due to VC 9 being different from GCC.
    Use TIME_UTC_ on Boost 1.50 and later.

commit 3ad0bd0907d1e9843632e0130151abee43a50492
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 13:01:17 2012 +0100

    Only use kill on POSIX systems

commit d609c061e5cee88e8baf6c045f197a38cb0d4a59
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 11:38:02 2012 +0100

    win makefile: use Boost 1.51

commit e0bd49319bf50c78026da47b7ffe38eef46ef408
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 12:06:42 2012 +0100

    session_shared: specify module for addinfo in diagnostics

commit 5f0d3fb3aa612b9a9ba2a9c756bcf3117a10d959
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 12:05:51 2012 +0100

    cql_rpn: specify module for addinfo in diagnostics

commit bea71b0778660249cb48e979277341e3a54a192b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 12:04:31 2012 +0100

    z3950_client: specify module for addinfo in diagnostics

commit f3ea846f85897cbe1a2c53c5be33a464104f8eab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 12:03:21 2012 +0100

    zoom: specify module for addinfo in diagnostics

commit 7280c8cd82ee5081808bacd5597cf8b9ee3f4a10
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 29 12:01:49 2012 +0100

    zoom: tweak logging for Torus fetch

commit b60179d1fb22d7aff610b0695416c0cd692e9753
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 26 14:45:29 2012 +0200

    Add CentOS 6

commit 857894d3c2350542a0de5baec17edbde29c9953c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 26 14:32:35 2012 +0200

    sru_z3950: using yaz_decode_init_diag

commit 19386e546e57b3327ebe41f1634c91861678c620
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 26 14:32:20 2012 +0200

    mp_util::get_init_diagnostics based on yaz_decode_init_diag

commit 0627418ae05d1f79ec21f5579db0dbaf3c5ac286
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 26 14:27:27 2012 +0200

    Require YAZ 4.2.44

commit 98baf24c524d68c2bc44e31863a89b0f66e2dbda
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 26 14:22:20 2012 +0200

    filter_session_shared: relay init diagnostics
    
    Diagnostics generated by filter_session_shared, are augmented
    with addinfo with some details.

commit d37c338745a7a18b7cb4a3d8b1a0f41a0ce64f80
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 24 22:46:30 2012 +0200

    sru_z3950: map Z39.50 init diags to SRU response

commit 36c2c4b8900e01da1b2c2b1f1237379ad02dbbc1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Oct 20 11:40:55 2012 +0200

    Actually add the man page.

commit 2008e3653a97ae57cfa25ecbb92e6e1d3c01b568
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Oct 20 11:19:13 2012 +0200

    Add metaproxy-config man page

commit 5b16379883d214e0e774701d63a5d9e3387fd7a3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 19 15:00:27 2012 +0200

    Add set -e to prefm script

commit 9c542c267b45b0a71ad7797308fad7c3cf659de5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 19 14:57:58 2012 +0200

    Use dpkg-buildflags in build process
    
    This is to use hardening options for the libraries and programs.
    Refer to http://wiki.debian.org/Hardening for more information.

commit b0812c8d92a9508c8b832a0489ee72236c84c500
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 19 14:57:29 2012 +0200

    Fix email addresses in debian/changelog

commit 453ef6af83ca65ce67454e77764fd382162f8813
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 18 15:54:00 2012 +0200

    Version 1.3.49

commit fad6d50149f4d49eda0d5d7898a4944fe63a246e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 18 10:56:10 2012 +0200

    frontend_net: simplify, use mp::xml::get_route

commit bed9f4c782f6f411e40bbbeb517f48dbddf6de49
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 10 13:51:01 2012 +0200

    zoom: new config element passthru
    
    This defines an element that is passed verbatim to the backend -
    in pz2 mode.

commit 5482e353c65fea5e44b6c68c6975e6dd58e6d508
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 9 15:50:27 2012 +0200

    auth_simple: get_user a static function
    
    rather than member function. Fixes compilation errors on some
    platforms.

commit 486de023b9af76368fb702a67ed31358b2d899e9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 9 15:37:20 2012 +0200

    auth_simple: allow both idPass and open auth
    
    Also fix SEGV that could occur for open auth.

commit 5533ba9a6d3ccb4d202de8c330a00ce7edccfeed
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 8 18:13:30 2012 +0200

    Version 1.3.48

commit d152384a9fc6337abc7cec0a5767577653aab9f0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 8 15:45:43 2012 +0200

    z3950_client: fix string handling for init diagnostics
    
    in the case where addinfo was absent.

commit 00ee71c307a1330c3365e39cec662992a05f3857
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 8 15:35:27 2012 +0200

    query_rewrite: no charset for error queries
    
    Avoid performing charset for query conversion errors. The
    resulting Type-1 query is invalid in this case.

commit fa801e268585b30441b9a6e2e79efa6dc3bf769a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 4 11:59:48 2012 +0200

    Version 1.3.47

commit 793996694632f95053e1ebf6c9a8f30fd38af9d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 4 08:14:15 2012 +0000

    At graceful stop, kill children processes
    
    Metaproxy already did this for normal stop (SIGTERM). This ensure
    that children processes spawned by modules are removed upon
    termination of graceful stop too.

commit 4bd08b71f78bb367242def280d60aad067f826bd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 4 07:47:19 2012 +0000

    Log when metaproxy is invoked in test mode (-t)

commit 87cddf2855646e991e4b50e92b877475da3b9e80
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 3 12:47:32 2012 +0200

    Set yaz_log prefix to PID
    
    This is to make it easier to track what Metaproxy process is
    logging, especially duing reload where multiple Metaproxy processing
    are running.

commit 0ae008a7ad69b79036d0d40de074d8caeb3eb4fd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 16:17:42 2012 +0200

    multi: combine both NSDs and multiple NSDs into one

commit 0c6eba26ee91d65a80d59cded57a8b7d3c8686fe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 16:16:30 2012 +0200

    z3950_client: fixup multiple NSD's too
    
    Like surrogate diagnostics, a (backend=target) is appended
    for each diagnostic so that can be determined the origin of
    error.

commit 2ed18a489ee3765497d711432fdaeab9b40fd844
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 14:54:50 2012 +0200

    multi: hideerrors also in use for present response

commit 0e3e8a44c4be9640180a4dc0670a82284c848b5e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 11:27:10 2012 +0200

    Solr example in zoom man page

commit 51093f3567f2ba5a247441ba33e5a696731e1eca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 11:26:22 2012 +0200

    Bad use attribute for Solr

commit 4f606f0faf502a0aa4d05d3b84caca247759c806
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 11:01:24 2012 +0200

    Strip trailing white space

commit 900d3fb02e11f3cb57ed11c91e53ded8345d1a7e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 10:59:24 2012 +0200

    Configuration example of using Solr

commit cb6d93b675a17201e65cf4d41bf351d59ff21a4e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 10:58:56 2012 +0200

    Update zoom schema
    
    Torus attributes url and realm are optional.

commit f93c665ae1f46f6b3ffc5fe935b3e26abd641a28
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 2 10:56:31 2012 +0200

    Fix query_rewrite config example

commit eb212c18f54ec854e1de8a759aa3b65ed69aeae8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 28 16:03:11 2012 +0200

    Log at least first non surrogate diagnostic
    
    Instead of "Z_Records_multipleNSD"

commit a59a52927e5ee439e086f612b7752ab7e6808150
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 28 14:26:09 2012 +0200

    multi: Fix check for opt Records in present response
    
    A SEGV could occur if a target did not return records and
    no diagnostics.

commit 7971e2f1544ae8525722e6c345cfc2e2003ccb6b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 24 18:04:57 2012 +0200

    Version 1.3.46

commit b8e963ed4f4accb1a3c0bf06f0da35cf698a69c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 24 15:39:18 2012 +0200

    Call yaz_daemon_stop just after stop of socket bind
    
    instead of after graceful stop loop has ended (which could
    take a long time).

commit 73f37c91c144b070020df2f27472c09b62367acf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 19 15:38:37 2012 +0200

    Reformat: delete trailing whitespace

commit b1fd6c16f885972e0a68591b115edf120ffd7b21
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 12 14:50:50 2012 +0200

    Version 1.3.45

commit f33e9f453cafd768594ff5fdada87e000bb909ae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 12 14:13:20 2012 +0200

    sru_z3950: relay surrogate diagnostics

commit 64ea1561c55ac73114b70bf464234ef071b6e92d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 10 15:41:59 2012 +0200

    Recert local changes to config-zoom.xml

commit 674573595292de5994a0d790993113a0e4ff24d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 10 15:03:38 2012 +0200

    Version 1.3.44

commit da11b64c59616be495146527a768a0492400b50b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 30 15:47:43 2012 +0200

    zoom: Honor extraArgs, strip # in zurl

commit b013268fe327f6171c9c224bf1ef6a8178def2b9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 30 12:54:45 2012 +0200

    multi: fix SEGV for scan

commit fb8cc0b693613d65043352b90089c8938cd39703
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 28 12:27:08 2012 +0200

    New tests for url_recipe_handle

commit 5fac51b910cd5a69b262138452d1f3b26f155b1c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 28 12:26:09 2012 +0200

    url_recipe_handle: allow %{var[reg]} substitutions
    
    It's like ${var[reg]} but does URI component encoding as well.

commit 6fd164dca3c8b91d083f1309a40ed662b97b547a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 22 12:25:06 2012 +0200

    Version 1.3.43

commit ea5bd074c9989cc235e80d542d5a9170c22d9b70
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 22 12:22:13 2012 +0200

    RPM/Deb: require yazpp 1.3.2
    
    because it fixes a missing close of non-keepalive HTTP sessions.

commit 8cde75331b5886eba4304ab076409d1ebfbea4eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 22 10:28:51 2012 +0200

    http_file: allow zero size files (bug fix)

commit 001faafd8baac9e3b802eaf89eb49c6546d7edd7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 21 15:28:24 2012 +0200

    Fix zoom schema: auth_url is optional

commit 90d10ee55ecc01a387068d90b6edd6fbf536f6eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 21 14:43:02 2012 +0200

    Update m4

commit 0fc862b4bb34b371d0f06096be0abfedd0a54d0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 20 09:47:33 2012 +0200

    Spelling

commit 4ec559b4b247d4a064112db9df98f44011b8b4a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 20 09:22:11 2012 +0200

    Version 1.3.42

commit be351e7616efd7cc992ee774c7dc9d99fc1983bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 17 11:34:37 2012 +0200

    zoom: init member cqlt of Backend

commit 581e7621e9664408aac1f0386f7d823f4906860c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 16 09:14:30 2012 +0200

    zoom: tweak diagnostics for Torus auth
    
    If no result was found in Torus lookup and user&password was given,
    then return 'VInit/AC: Bad Userid and/or Password'. If lookup failed,
    and user/password was not given (IP auth in effect) return
    'Init/AC: Blocked network address'.

commit 57a48e6fff520cb9848e14af3b09f3092cc6436a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 16 09:10:59 2012 +0200

    zoom: escape user/pass/ip in Torus auth lookup

commit a65b7be116265cf331eb823acc9e48738f30e33a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 15 16:15:00 2012 +0200

    frontend_net: handle X-Forwarded-For
    
    This is stored in package.origin() and may be used in filters
    as usual.

commit 7ebda9fb6eb58f2c365a6ca0eb67f8a559f7119b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 15 16:03:03 2012 +0200

    zoom: IP auth in place

commit 42b324e99ca943e6bed560e3021219d513672ca2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 15 15:39:28 2012 +0200

    zoom: authentication via Torus
    
    Enabled by new configuration setting: auth_url . If this is defined,
    the zoom module will contact Torus for auth/IP lookup and that will
    define realm to be used in session (IP not done yet).

commit 10eb3fb47dbe530687683849b08fec6b39a3f6a6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 10 10:46:06 2012 +0200

    Version 1.3.41

commit 81d733c7014f85212ff844b8d6e0e2f2bb569022
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 10 10:41:48 2012 +0200

    sru_z3950: SRU response has same version as request

commit c82f33874743548147f485752d0441a0691624ce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 9 15:20:49 2012 +0200

    Fix split_zurl bug (missing char after /).
    
    Bug introduced in db015fa75ee1f475040dba0512fc (version 1.3.40)

commit b9e8337ac04be2e5fb43c9256aafdb1a4a9c8725
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 7 13:43:12 2012 +0200

    Use m4/id-config.sh

commit a545b9f62205580474a11b7c80c2bf53dba912c6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 6 12:27:31 2012 +0200

    Version 1.3.40

commit ed20c681f4e90f045196bc8d1c90d01c31117d65
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 6 12:26:28 2012 +0200

    NEWS

commit 34522a41af7d5f73638334983df0842584a8af85
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 6 11:22:16 2012 +0200

    Unix socket example

commit db015fa75ee1f475040dba0512fca094e3a54d9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 6 11:20:10 2012 +0200

    Avoid using unix path as "database name" for virt_db
    
    Fix split_zurl to use cs_get_host_args which considers
    unix sockets as well.

commit 66aef53c5b85935ead2400a648bbe5486a6a277f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 2 15:23:26 2012 +0200

    Version 1.3.39

commit 6205fa5083d14060cdad6e27f3cdbacf8850b3c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 2 15:20:59 2012 +0200

    Update NEWS

commit 73da32be92051bafbbd89cb2d0b0234ec149aa9c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 2 14:11:16 2012 +0200

    session_shared: don't reset timestap for query match
    
    If an existing result set is found matching the current query, the
    timestamp for "last use of set" is no longer reset.

commit 2e63f8129fbd6ff31b322590117c428c1b4afd3d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 2 09:29:18 2012 +0200

    session_shared: Hit count is type Odr_int
    
    And not 'int'.

commit 4d1fada854feb955592489edf60f2e5121ffb148
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 1 13:14:47 2012 +0200

    zoom: allow Torus record wrapped in single "record" elem

commit 3b0062a8b4cfc23559bcee50a532609a857f669a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 1 12:48:26 2012 +0200

    z3950_client: don't tamper with target zurl
    
    Fixes use of unix sockets in the Z39.50 client.

commit dd21227b80709993b132d073d3276e875f54fca4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 30 14:07:19 2012 +0200

    zoom: New database arg: torus_url
    
    This is the a way fully specify the URL of the torus record to use.
    When in use, the udb and realm are not in use (unless %realm and %udb
    is given in the torus_url!). Thus, this overrides <torus url=..">
    configuration.

commit e3632ee27fc2425832e4b551544f7a19ccfaaf24
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 6 12:55:32 2012 +0200

    Not needed: DH_COMPAT=5

commit aed993a526acadd5b80786de93b1ef4666a8c5c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 14:14:26 2012 +0200

    Version 1.3.38

commit dc5019971e7ad0478bf374452f59da5e8413482e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 14:13:07 2012 +0200

    Update NEWS

commit 48b98b7ec52fcbcf8f8d8259566745d509e56b7b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 14:06:33 2012 +0200

    Wait for MP to terminate on SIGUSR1 in Deb init.d

commit a14a09b58d112f182db3243622323bd23666a659
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 12:03:12 2012 +0000

    metaproxy.init: wait for MP to stop on SIGUSR1
    
    Unfortunately, killproc utility silently ignores option -d when
    a any user signal is given, so we have to wait ourselves for the
    process to terminate.

commit b8518fdcc17653703a49cfce96271df40f9b79b0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 12:59:56 2012 +0200

    Postpone yaz_daemon_stop until out of router loop

commit 3573d46e04b1f5061719091bd18d09ce8a944606
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 10:55:59 2012 +0200

    One line log: log HTTP as well

commit 64671485649150d7793c1f303950a08eeb959323
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 10:21:12 2012 +0200

    quote addinfo in log for access log

commit fc1ede2a94c028ae8054783308043c1d466e34e8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 4 10:20:31 2012 +0200

    One line log: quote addinfo, log record syntax

commit d0e2b3b30cc34fb84b947d079a605cce2019539f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 15:33:04 2012 +0200

    Require yazpp 1.3.1 due to new processEvent behavior

commit 1b72e841d03102d47febaefabd4d95bfbf4b5b7a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 15:32:39 2012 +0200

    Using line log

commit 1c21b8aca2dc0bff75c352213482d9e326d5cf12
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 12:55:59 2012 +0200

    rpn2cql in config zoom example

commit 55a63876b5d793644526ffbcae18f71884932303
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 12:54:46 2012 +0200

    Use base path for resolving rpn2cql file name.

commit edef690ce3dbbbf6fd763f78a0a870f8ac6f5bd1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 12:54:09 2012 +0200

    zoom: update schema for new element rpn2cql

commit 845d8d73fc7b8d6815073ddcfaba3b0ee0a26b0c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 12:53:16 2012 +0200

    filter log: update schema for category "line"

commit 59d1304e5fea258caef162259be5f50682da35d4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 12:42:12 2012 +0200

    Allow rpn2cql properties to be given
    
    This is done in per-target, by element <rpn2cql> with content
    being pqf.properties filename.

commit 37370de3f869fec7204c42f0a28086f2fba820d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 3 12:16:07 2012 +0200

    One line log: all APDU names logged

commit 15f9d3c217f4c1b3d4bf40743014523ea8ffdc5a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 2 15:53:02 2012 +0200

    Avoid memory management in FrontendNet::stop
    
    Using free in a signal handler may cause a dead lock.. This patch
    makes the stop handler set a stop flag and do "stop listening" work
    in main thread.

commit f1cc4b4b376376d19998f036e08cee76be3b7c54
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 2 14:23:24 2012 +0200

    One line log: scan, init

commit 87591c413bf815ed70329dabe2c8dd767eb522f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 29 14:50:51 2012 +0200

    Start work on 1line log (ala GFS)

commit f5fc9e8609f1658eaa92915a5646b2fa39cbb507
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 29 14:49:48 2012 +0200

    Dont overwrite package.request

commit 5f934fd196d6f52a6338b054f8a2cc7bfb7a0c4b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 11:28:49 2012 +0200

    Version 1.3.37

commit 877ab9aa3f716fd4452bad5cbda65abdd38a4e49
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 11:25:13 2012 +0200

    Update NEWS

commit 4e20ba1dc80872ef81bc814d9af648ddc704c5d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 11:21:18 2012 +0200

    Document frontend_net's: message, stat-req

commit 47dbd1de7138760f24a41cbe0e3062b7e41aa409
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 11:14:11 2012 +0200

    frontend_net: report threads in use; fix XML header

commit 5ea0250959340c9cde8603e99c8f967eadf1990f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 1 11:13:39 2012 +0200

    Add ThreadPoolSocketObserver::get_thread_info

commit 54ba460c3427f3a1cfcfc5c230b77b883e98d642
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 30 14:39:07 2012 +0200

    Update doc/common

commit b46d2379f2e3b7e0de3a94b8be2b3da20803a19a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 29 14:51:28 2012 +0200

    Update referral to libyazpp dev.

commit 069d404cfe3b0d51d1b49edf57cdb3cec180afee
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 29 14:21:36 2012 +0200

    frontend_net: report min, max, average response times

commit cb4456f564de9bb46f60aef81474f22ef1bd6dca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 25 14:16:31 2012 +0200

    frontend_net: report stuff to helper method

commit 24037b116e6c6a46a477e973e60e5fe6030b46c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 25 14:07:14 2012 +0200

    frontend_net: add facility to log response times
    
    New frontend_net setting, stat-req, specifies HTTP path that triggers
    the generation of the report that includes distribution of response
    times and total requests.

commit 609b34d0f6fd3268c4ec38713b0db99f0a362d40
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 25 12:59:20 2012 +0200

    frontend_net: refactor and use Rep class in helpers

commit cabf4d45007436abe46147df5da77901ea39238b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 25 12:38:34 2012 +0200

    frontend_net: refactor scope of helper classes

commit 81f90a08f9a6dc1a850293d09ecb87ae27311e35
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 25 10:38:47 2012 +0200

    Debian: remove pidfile in metaproxy reload process

commit 1e70857c889965912be219bfca37471173c56249
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 24 12:39:43 2012 +0200

    Don't display start log message when config testing (-t)

commit 3eab67d06323488694ea804539e8c28f78cd8999
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 24 08:46:36 2012 +0200

    Fix reload problem in init.d script for RPM
    
    The '/etc/init.d/metaproxy reload' in some cases would stop and
    not start metaproxy - effectively stopping the service.

commit 8e3df507f47705eca10f7686f012ef7e08bb147d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 21 15:24:47 2012 +0200

    zoom: use WRBUF for CCL buffer

commit bd0a7c98c64501c5343fc6ea1ed0705f7bfa2b0f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 14:43:58 2012 +0200

    Version 1.3.36

commit 0673772db863a09a1a9234001fa17b4563e3037f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 14:42:45 2012 +0200

    Update NEWS

commit 10970bb91099da2d89445b9ecdea611190aca618
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 14:39:54 2012 +0200

    Reformat

commit d0199347137c1614ee18af04fb1e52ff4a613cba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 14:37:51 2012 +0200

    Log XML errors to yaz_log; not to stdout/stderr

commit 4e5866e906b8bea8ca01e62ca83af9aed9c794ff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 13:55:25 2012 +0200

    Deb init.d script implements 'reload' using SIGUSR1

commit 862678d9b615e53544f3fdc5e6b77be2b1b9a648
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 12:59:45 2012 +0200

    RPM logrotate uses reload

commit fd40c88f36efd57a2eb69f2773c213d8c729d5d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 12:59:03 2012 +0200

    RPM init.d script implements 'reload' using SIGUSR1

commit 94cb206e33957c66b9972a7618ec0e99fb5ee8de
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 15:58:09 2012 +0200

    Version 1.3.35

commit cba631d8d861f1bf032ea92666653215fecb5681
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 15:54:43 2012 +0200

    IDMETA: add centos5

commit 9f6fd28865b5cafa682ee8704e2735a29ec524dd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 15:52:30 2012 +0200

    Note on NEWS

commit 8933137c60065ec0b0aa7495df6213acb5ba78bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 15:32:20 2012 +0200

    Require YAZ 4.2.33 due to new yaz_daemon_stop

commit 1158dc8bbcb0bd5d161333380fe91e93185674a6
Merge: 4c528bf 9401913
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 12:58:36 2012 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy
    
    Conflicts:
            src/metaproxy_prog.cpp

commit 9401913fbcdbead99f1180848f5fef0d02fd871e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 12:57:23 2012 +0200

    Fixes for Windows compilation

commit 4c528bfa11ac8640b5bf8f7018d0d096d30081df
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 9 12:23:47 2012 +0200

    Use yaz_daemon_stop for graceful stop

commit 9ec9630d5b143f0fc57e999a7b7b1710f990e19f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 3 16:41:38 2012 +0200

    metaproxy: kill children too upon SIGUSR1 exit

commit d28c341cafe348192c6a5615f5b92486f5223111
Merge: 8be1f8e 7e6c60a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 1 12:22:06 2012 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 8be1f8ebc6a5578daeec06543feda12d5fb374d6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 1 12:22:04 2012 +0200

    Build for Ubuntu precise, no build for maverick

commit 7e6c60abf88038e050951cf31b322f2883e815f7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 30 12:14:06 2012 +0200

    virt_db: return other diagnostic if init is rejected
    
    Diagnostic 236: "Access to specified database denied" is returned,
    but only if init response from backend does not carry diagnostics
    aleady.

commit a61bc43a600095cd5066021f5239a25e78eff082
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 30 11:39:20 2012 +0200

    multi: relays user info for first rejected target
    
    The other-information field for init response for first rejected target
    is in common init response. This ensures that some backend init
    diagnostics are returned to the frontend.

commit 5c159b4dbe1cff43a1285a5c798e398c70a1a7ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 30 11:38:35 2012 +0200

    z3950_client: fixup addinfo for init response

commit 02763589daff902e98af1cf6570bcf3e8cbcc6f1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 26 10:58:32 2012 +0200

    Change start log message to 'metaproxy start'
    
    Was 'Metaproxy start' before. Consistent with 'metaproxy stop'
    message.

commit 518797519fea5741e4fa45f36c97eb9c4a18640b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 26 10:53:25 2012 +0200

    zoom: document zoom's proxy_timeout

commit 5569554610119ddd1fdd5541c26815b43a09aadf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 18:53:10 2012 +0200

    Version 1.3.34

commit 6bea85d1dd70b7a6fcfb6fb035cb96a394a3161c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 18:49:30 2012 +0200

    RPM/Deb metaproxy.xml enables frontend_net logging
    
    Enable frontend_net logging by default and remove the log filter.
    Because the frontend_net filter already logs incoming request.

commit eeca22cf9d54fe8bc6f84867b07dd11a7b7c0b07
Merge: cd9adbc 1a73716
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 18:46:22 2012 +0200

    Merge remote branch 'origin/frontend_log'

commit cd9adbc2242f5e6df96c384fab647b5a68273b71
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 16:19:41 2012 +0200

    zoom: use other diagnostic if Torus server is unavailable

commit 1a737169ecb023f16157fbc44d80ecbf02f07a8b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 15:02:53 2012 +0200

    zoom config example: use frontend_net for logging

commit 81d40a90a4722048f345834f4c384950550c984a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 15:02:44 2012 +0200

    enables frontend_net log

commit 146b834236c9b6f73d2d6e5296095360ee026f56
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 15:02:18 2012 +0200

    frontent_net: does "access" log if message is configured
    
    The filter only logged thread usage upon completion. It also now
    logs incoming request ala "access" in the log filter.

commit 84d77f9bb8c4b6d7f4d3a2a8aa53eda1264a6de0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 14:00:36 2012 +0200

    RPM: metaproxy libs depend on yazpp 1.3.0, yaz 4.2.32

commit 7fad8b60f7214dd1405442ed911deaa484be8bb2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 13:58:17 2012 +0200

    zoom: check for valid proxy from Torus too

commit 978cd9da915a5ef599997b71e5b2576201edbb5a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 13:24:35 2012 +0200

    Build require yazpp 1.3.0

commit 1c92d8843e50589b0e30d0879fc583c4e4395d9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 13:22:39 2012 +0200

    Log when metaproxy is stopped

commit da8bf1cd6228fb7829051546ce226cbc8369663d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 13:22:17 2012 +0200

    Add helper variable

commit cdeefa2a50b80f85d2acb5d238ef70d4baebb457
Merge: 84c5e99 99592aa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 11:14:36 2012 +0200

    Merge branch 'master' into graceful_stop

commit 99592aa50f9ebdf033ddf3c576a34c6a12f81324
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:34:51 2012 +0200

    Vesrion 1.3.33

commit 6f5c65bac85dca97e514041d015ab10b669fac4a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:32:54 2012 +0200

    Use new diagnostic for proxy failures

commit d0e7f69b5a478e2a3b3b83b3f9df6dded96c4804
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:21:27 2012 +0200

    Require YAZ 4.2.32 or later for build

commit 2b6396f68d1f478f77af3ab8bba007aaccb2624e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 09:47:59 2012 +0200

    Make check_proxy, you know ... work

commit 84c5e997dc7d9775959c953f64a330eac18a0d00
Merge: 39c94a0 36e44f6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 15:21:56 2012 +0200

    Merge branch 'master' into graceful_stop

commit 36e44f62ebd8f66995eb3a3f069ea024d63246dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 15:05:50 2012 +0200

    Version 1.3.32

commit 6bd242f99846e3663a0551c6d18d6dedd7a94a38
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 14:58:08 2012 +0200

    sru_z3950: pass through incoming Z39.50 requests
    
    sru_z3950 filter passes through incoming Z39.50 requests again. Was
    not handled by mistake in Metaproxy versions 1.3.29, 1.3.30 and 1.3.31.

commit 39c94a0ea4e457d63823a7fb3601fcf0a889cc66
Merge: 514dca3 c926fbc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 14:30:19 2012 +0200

    Merge branch 'master' into graceful_stop

commit c926fbcbd8adcc1abf1a1527860bb9f23aa0c43a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 14:30:08 2012 +0200

    Do not build for Debian lenny anymore

commit 514dca32f3830f498c3bb7566e238dbb9b12d67c
Merge: 027ebb5 785f7d1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 14:14:52 2012 +0200

    Merge branch 'master' into graceful_stop

commit 785f7d19f97f736688ab130ff78b990bb6c83595
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 12:31:24 2012 +0200

    Version 1.3.31

commit 53f4ad9ff2a693396570c9374f24b4b1b6023e64
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 12:26:46 2012 +0200

    zoom: refactor retry logic to separate function

commit 02e4dbf521762a71750d75317ea8c97264efa3d9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 24 12:08:36 2012 +0200

    zoom: properly handle proxy failover for re-used backends
    
    Also log the diagnostic that is received from the backend in
    case of retry/failover because they will be not be returned
    via Z39.50/SRU.

commit a69aab7f06d719aebc15d6fa354bbd5805d36139
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 23 20:07:15 2012 +0200

    Version 1.3.30

commit e9fc8662160df07233ea250ffa503f979258ef41
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 23 20:02:48 2012 +0200

    Update NEWS

commit e45bc00564a8a3d2422b3f4d21b295f0c32d0054
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 21 10:35:14 2012 +0200

    zoom: proxy error returns diagnostic Bib-1:1014 / SRU:3

commit 0e655a16ff31347f31878649bb0cf9bc6420469b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 21 10:24:44 2012 +0200

    zoom: return addinfo="proxy failure" for proxy failures
    
    This commit also changes the scheme for dealing with proxies a bit.
    zoom now always do "proxy-check", even if there's no failover.
    Fortunately, that's not very expensive.

commit 027ebb5197840e639e963f3ca477746f8598d698
Merge: 5b13052 3552169
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 20 15:31:29 2012 +0200

    Merge branch 'master' into graceful_stop

commit 3552169fcc031ee61f606d8b1b7bf1503085d47b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 20 15:00:07 2012 +0200

    zoom: implement cunning scheme for retry/proxy failover

commit 48b505dcef7adb16d08b452074b5af327317f8d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 20 14:58:29 2012 +0200

    session_shared: disable session retry by default
    
    Can be enabled by restart="true" in resultset section.

commit 9b02d07037bf3651fd0a0a681c72610994cf6e5d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 20 11:16:47 2012 +0200

    zoom: guess if invalid response was an auth failure

commit cdb16de21076d813934c494cd941f83b381182c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 20 10:54:41 2012 +0200

    zoom: Init rejected wo diagnostics maps to Bib-1:1014
    
    Bib-1 1014, "Init/AC: Authentication System error", seems pretty
    generic. We don't know why the init would fail; IP, user, block IP, etc.
    sru_z3950 filter maps this to SRU diagnostic 3: "Authentication error".

commit 5b13052f4b5e568e3511d87c2e20c5332fc7db91
Merge: 15ea05a f7e9a24
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 13:57:31 2012 +0200

    Merge branch 'master' into graceful_stop

commit f7e9a24fefaa0fc07d82d4462eeb38af0f25460e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 13:25:27 2012 +0200

    Version 1.3.29

commit 22adc12d2edd064097e33f4d7e826e91a0f5c3ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 13:24:31 2012 +0200

    zoom: update zoom info on contentProxy

commit adabf7382370909961c3aad95f5fd8c0f12fed25
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 13:18:15 2012 +0200

    Update NEWS

commit 056d8d0c4ee4b9e383463ecdde7aa84901909aa4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 12:20:20 2012 +0200

    zoom: may read cf-proxy's config settings
    
    This reduces manual configuration of the content proxy server host.
    The %s notation for server is no longer supported. The ZOOM module will
    use the old style session.proxyhost if "server" is given (deprecated)
    and use the new style proxyhost/session if "config_file" is in use.

commit 577fc632f773efe022b843a9d1f62978edf33006
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 10:16:55 2012 +0200

    Minor updates to config zoom example

commit 0ee1fd4b16bd7c5510c756790e8e4f1d2217de31
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 18 10:13:37 2012 +0200

    zoom: more configurable format for contentProxy@server
    
    The proxy attribute of contentProxy element may include a %s magic,
    which will be substituted by the session ID. For example
    server="proxy.indexdata.com/%s"

commit 15ea05a9ad38b8f63868845eff0ebb62c3d8b0a1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 16:20:03 2012 +0200

    Signal SIGUSR1 akes a graceful stop
    
    Thus, all Z39.50/HTTP connections to the server are kept alive, but
    the listening socket is closed. Signal SIGTERM destroys the server
    immediately as before.

commit 102cab997609bf96205b0831eb71fc6fe9bb732a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 14:46:38 2012 +0200

    Frontend_net exits when all sessions have terminated

commit 3597c200e3876e2c7a44e6eca0d60fab397de900
Merge: aff78ce fee3c45
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 12:49:12 2012 +0200

    Merge branch 'master' into graceful_stop

commit fee3c45cf4ce01083218e41622f54e5fced0fadf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 11:28:25 2012 +0200

    zoom: simplify cproxyhost XSLT parm passing

commit 722c498e016a6eb94044c608a7d1dcb21e5013cd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 10:33:12 2012 +0200

    Remove incoming requests that can not be handled
    
    Requests in queue for filter frontend_net are removed if client
    closes connection for the session and request is not yet handled.

commit 73bda3a639851ca17dd1449b94203600a32cd838
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 16 14:56:48 2012 +0200

    sru_z3950: serialize requests
    
    This is to ensure that pipelined HTTP requests are handled
    properly.

commit 6748134a62789bfe56bb46fac8c2b14fbff457cc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 13 14:14:15 2012 +0200

    sru_z3950: reformat; remove useless comments

commit aff78cecdb2c7292899ae15ee8a5fd41accef2b5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 10 13:43:29 2012 +0200

    Beginnings of graceful stop

commit 5ab20a4efe37e1de2694dd3f53f11f87ba35345a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 4 17:46:23 2012 +0200

    Fix metaproxy.prerm: missing /bin/sh header

commit 883183d05fc355a22f2c4b69d54029518df6840f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 4 13:40:27 2012 +0200

    Version 1.3.28

commit 42ae53ab6659eeb7e99b53a1d0fe6b02ffb05d63
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 4 10:34:24 2012 +0200

    zoom: remove 'xslt successful' message

commit dc0a7b40ef2cc8138c93e078dd8c34de64460ebe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 4 10:33:53 2012 +0200

    New WRBUF wrapper mp::wrbuf

commit a5e7c606c8a833d94a701f0edb73af7fdc75e38f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 30 13:18:57 2012 +0200

    Version 1.3.27

commit f0c871ff728c47822c48e275cd9e9d147b74fa31
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 30 13:14:00 2012 +0200

    Metaproxy conflicts with CF 2.12.5 and earlier
    
    This is because Metaproxy is running as a different user now -
    and old lock files etc, previously created as "nobody" would cause
    permission problems for CF.

commit 8e494be7d760b4fe8f5b0d9e48a19b2dca7d962b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 29 10:14:49 2012 +0200

    User info in /etc/metaproxy/metaproxy.user

commit a118ca6222c2d5fb113f991bd8e57b158ccc4839
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 29 10:14:30 2012 +0200

    Debian compat 5

commit 896157cb0f215b54125773b8a98c257c1724239e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 28 13:12:32 2012 +0000

    RPM: metaproxy running as user "metaproxy"

commit 45100f4c43b1d7c10aee311c0ce5ab754c76e8b0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 28 13:08:34 2012 +0200

    Debian: metaproxy running as user "metaproxy"
    
    New scripts to create and remove this user during installation
    and removal.

commit a7917ec84bbd64d8120ff763c62bef7a92a67804
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 20 10:58:57 2012 +0100

    Version 1.3.26

commit e811a41c4bdd59c50edaf7bada94caab869587e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 20 10:57:24 2012 +0100

    Update NEWS

commit 635b233414744ef7b99f0f8498895af8fa30bd94
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 20 10:46:58 2012 +0100

    RPM metaproxy.xml: add comment about logging
    
    in the frontend net filter.

commit 3ad4016fb41388c1e70327924f781c5eb8ec0c51
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 20 10:23:38 2012 +0100

    Sort module documentation, schema, fixes

commit 9bdca8ff2274385c4cb76dd69a6e3e12cf294168
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 19 23:03:30 2012 +0100

    sort: cache sorted records
    
    So they can be refetched invidually for example.

commit 19f9ce0629754d3c379a7c9676d91ba69d4275d8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 19 20:15:40 2012 +0100

    Sort filter using xpath result for sort criteria
    
    Sort order may be given in configuration.

commit 64aa16ad23656f60d1716c0adf47be075a573cc3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 19 16:08:32 2012 +0100

    Further work on sort filter .
    
    Using x-path for getting score, but this is not yet in use.

commit b3974a565a726b9afaad86bcb66b56ae3ceb351a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 19 10:13:24 2012 +0100

    sort: add skeleton for new sort filter

commit bbe527cd451b7d260381d36a161b09ed0ae5c6ca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 19 10:12:19 2012 +0100

    template: Use full configure for Impl configure

commit e6db0e02a1c60fca3405cb5ecec96d2176a0be09
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 19 10:12:07 2012 +0100

    Remove useless comment

commit d033362394680e07b279e694bf597ffd51207fba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 16 13:42:47 2012 +0100

    multi: adjust mediumSetPresentNumber to disable piggyback
    
    The value was adjusted from 1 to 0.. It should not make a difference,
    but still.

commit 99277f256bd542a4bc259d0e8c88b2b7c1c256ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 17:28:14 2012 +0100

    Protect the two Usemarcon handles
    
    Multiple threads may use these. Allow only one at a time.

commit 834a56072ae148a50f689837c777cdd3b6c1680a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 16:59:34 2012 +0100

    Update scheme for XSLT parms
    
    This is actually supported in next YAZ version

commit 50b8a2a1725e7552986efd893d9f9d0374749fd0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 13:21:39 2012 +0100

    virt_db: remove query-encoding facility
    
    It's not in use and not documented.

commit ce4555008a27376b5d04e361bd3128049fdaca26
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 13:18:07 2012 +0100

    multi: allow backend-auth to be given for target element

commit 4e67e7b651f010f3f7d11180a6d1062d1bffa50c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 11:03:53 2012 +0100

    configure: fix check for YAZ version

commit 347842ac7d8f8ca5955794e9c5c3a977ab27c886
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 09:59:42 2012 +0100

    use outputcharset in example

commit 80dd43ea3bf2f69fda09584b60d8a0a5ce3f1dee
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 09:56:48 2012 +0100

    update retrievalinfo schema
    
    Allow outputcharset (missing and supported for quite some time)
    and leaderspec (new in YAZ 4.2.29).

commit 4969c41f80238989c11c289041cd3ff16e817ba2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 8 09:53:36 2012 +0100

    multi: empty route pattern uses route as default
    
    That is
     <target route="z3950.indexdata.com">z3950.indexdata.com</route>
    may use the shorter notation
     <target route="z3950.indexdata.com"/>

commit 27171cdbb4849ac03e3fdf3fdb6d2fa5fdd8d452
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 7 15:01:40 2012 +0100

    query_rewrite: use config path to locate XSLT

commit d3786d00ef2609f57271545410349e3c3c9d10fd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 6 12:04:49 2012 +0000

    Add include of sstream header

commit 9633f388601013d6a4de9367a307dfe647dbbaa6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 6 12:44:50 2012 +0100

    Filter frontend_net may log statistics
    
    If a custom message element in frontend_net configuration it makes
    the frontend_net filter produce a log entry whenever an operation
    is completed. The log is always written using yaz_log with the
    custom message given, the package ID (session ID) , the time
    the operation has been active (end-to-end) , the threads currently
    active/total and the size of the request input/output queues.

commit 09a360ce6e6b550c75c6d30502e1019a8e9f5fa6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 6 12:39:39 2012 +0100

    Require YAZ 4.2.28
    
    This is because record_transform uses yaz_retrieval_configure_t
    introduced in YAZ 4.2.28.

commit e55d02d0c0a3d7c2f17fa224442478d2bfde501c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 5 14:09:54 2012 +0100

    zoom: re-connect when database is reused
    
    Re-connect is necessary if a connection is lost or a timeout occurs.
    If not, we'll be seeing zero hits, when we shouldn't.

commit eefae4c1ecdcb2d4098ac7955ed44164eab5e6cb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 2 22:48:45 2012 +0100

    Minor documentation updates.

commit 83ae8e57480f04a97741e3b3c9ae6896bbcc5f8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 2 22:46:09 2012 +0100

    Update doc/common

commit 915efbba95f2a46ef5abf35e8fe85f2d0d0567ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 2 22:46:04 2012 +0100

    record_transform: doc updates

commit 13ededc67712ac2ecb30677b016b3f6cf4ad4eab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 2 13:19:32 2012 +0100

    record_transform: new step usemarcon
    
    For calling USEMARCON to convert record(s).

commit 47d5388d4fdd3078cc457cf58d9776084d68d323
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 2 11:22:17 2012 +0100

    Update m4

commit a219ca4725cc04435d474dd33178324ac0253244
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 1 11:29:06 2012 +0100

    record_transform: honor piggyback searches

commit a98e585533731f291d98d94e761ec55c4ab5bfd8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 14:56:27 2012 +0100

    record_transform: remove some dead code

commit 4fabbaa1f81fc6f5dabd8444a000d6a0020e85f7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 14:51:13 2012 +0100

    Reformat

commit fbd550a4d263e71607b13109ad8f7d92dfcbc741
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 14:17:41 2012 +0100

    query_rewrite: charset conversion of query terms
    
    This is an optional feature. Enabled by element <charset> in
    configuration with attribute 'from' and 'to' that specifies
    from/to encodings. The default 'from' encoding is UTF-8.

commit cceac061932f960efb1f5dc16b57842355010b2d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 09:54:44 2012 +0100

    Version 1.3.25

commit ac9068da01ea574d6f9f29204b3d126515fb8a1b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 09:53:51 2012 +0100

    zoom: ccl_err_msg may return 0
    
    So use odr_strdup_null. Just in case.

commit 4dc76c583b5304becb202df6becf189f4b533bfe
Merge: c465fae e35c241
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 09:51:49 2012 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit c465fae0526232a4a260c3237da25ec8a0e16e96
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 29 09:51:17 2012 +0100

    zoom: doc updates WRT content proxy host

commit e35c241a360c41190acad88ff1f50577d30bde7f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 21:07:38 2012 +0100

    RPM/Deb: compile with 4.2.27 or later
    
    This is to ensure CCL_ERR_TRUNC_NOT_.. defines that appeared in YAZ
    4.2.27 are checked.

commit 1c7ebc4b50e702c562b9ae91eb2bb0612b9d3735
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 17:07:56 2012 +0100

    Update NEWS

commit b561cc43d3194c3dbd7d95316d6ad51fc2d673dd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 17:06:11 2012 +0100

    zoom: Only base database as additional info
    
    When 'Database does not exist' is returned.

commit 3fa135948842dbec0c5e972034971d097041f99d
Merge: ade7f72 7d8e39a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 16:06:20 2012 +0100

    Merge branch 'hide_errors'

commit 7d8e39aae55965682ae039a4e689c3c7c7b0414d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 16:06:01 2012 +0100

    multi: document hideerrors

commit 6097cecad8b19ee9f0809b1f697c568b30359fc0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 16:02:57 2012 +0100

    multi: adjust schema for hideerrors

commit cb616835c5599e3f13e5f32245a7856a1de6eb2f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 15:36:13 2012 +0100

    multi: hideerrors functional

commit ade7f72c658f8232e6afbc79b0094f7c6edd0fd7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 15:37:51 2012 +0100

    zoom: urlRecipe by default disabled

commit e8565bbfdfe774c8df8ca33b43fd7ecd3d1208d0
Merge: 1856d16 1601cfd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 14:43:48 2012 +0100

    Merge branch 'master' into hide_errors

commit 1601cfdde92b0311701c1208f7b322087d2ac9cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 14:03:21 2012 +0100

    zoom: insert generated-url before common XSLT

commit 595de95c680356eb12decda100d449f7af5dc698
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 13:54:16 2012 +0100

    zoom: content-proxy no longer part of generated-url

commit 1856d16cee33e8cc3b375c6a6fd2b2bea8c59f74
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 13:23:25 2012 +0100

    multi: initial work on hide_errors tweak

commit 7a5fb5eb34cc8f0d976259a4c90a448de29a3d3c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 12:50:17 2012 +0100

    zoom: mention record_xsl

commit fc117fe38417cf8f1907547132d064958e816601
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 12:31:48 2012 +0100

    zoom: tweak element set rules
    
    If element is not pz2/raw, use explain_xsp if present; if explain_xsp
    is not present don't do any pz2 retrievals (old behavior).

commit b8550b672196ca7e6fe11a8cba7155beb8794286
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 28 12:23:47 2012 +0100

    zoom: extra XSLT with cproxyhost param
    
    The extra XSLT enabled by if record_xsl attribute is specified
    for zooom configuration. This will make a final transform
    (after pz2 transform) and will be passed parameter cproxyhost
    if content proxy is enabled; not passed otherwise.

commit 5ab2f171118becf7ee6e9ef5bdddbf889b280b7c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 24 13:13:09 2012 +0100

    zoom: document timeout setting.

commit 9b6f7c3b6c45c1a2d818d4c7535cf08c4dfb4017
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 24 13:07:37 2012 +0100

    zoom: timeout is configurable
    
    Set as value of attribute 'timeout' in element 'zoom' of configuration.

commit bace5c0e6b0a1e499fd1c6a4c07b8c6ddb1702ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 24 12:42:47 2012 +0100

    zoom: fix spelling for a few errors

commit 0f9a9f5d11f0f8089048cddc7d2df36c7f83345d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 24 12:36:53 2012 +0100

    zoom: tune CCL to Z39.50 diagnostics mapping
    
    Throw Bib-1: 108 "Malformed query" for syntax errors and related ones;
    throw Bib-1: 3 "Unsupported search" for everything else. Details from
    the CCL parser is provided as additional-info.

commit ca806a2b529bbeedbd4a67eb9b198f027dc54ebe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 23 11:21:56 2012 +0000

    Version 1.3.24

commit 2c998821b9d4caee6414ac94acaa3dc103bdd883
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 23 12:18:52 2012 +0100

    Update NEWS

commit 69e8b24d30efbd7d0d8bb24bc213341608be812a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 23 11:51:16 2012 +0100

    Swap elements resultset and session in example config
    
    To make our schema checking happy.

commit f6c8aec048d60523b78957a6662e37f42234bd6e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 23 11:41:44 2012 +0100

    Avoid re-using backends for Explain searches
    
    This fixes a bug where re-used IR-Explain---1 searches would
    result in an empty response.

commit 17607c73e4110d10b6fcc6562eedc50faea5cafa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 23 11:39:44 2012 +0100

    Reduce resultset ttl in config-zoom.xml example

commit c223dd8029f912e3b610941f4af0be67a0269b71
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 15:56:19 2012 +0100

    Slightly different sample URL

commit ad61dd21aed42423f9337743fbc727b01e9e5a27
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 15:55:17 2012 +0100

    Skip missing ccl_map values

commit fb0a4773ef0c4e3a79cca01e3672a45c348f1b68
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 17 15:31:25 2012 +0100

    Update doc/common

commit f78dce57fd157beaf61eaec9298f40be286b0552
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 10 17:44:19 2012 +0000

    Version 1.3.23

commit c5d75af8a78941b89d1d089cc9d967962fa3637e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 10 15:41:17 2012 +0100

    Update NEWS

commit 048cb527b39afbbb55f9b8f68c4393326390c683
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 10 15:35:35 2012 +0100

    Describe new configuration for zoom WRT ZeeRex.

commit 55248f83c4d706bc529873d01d3696388e816d32
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 10 15:35:03 2012 +0100

    zoom: warn if %query is not defined and Explain is used

commit 7e5890242666c658b790de08e9d72c3cfac9a2ff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 10 15:26:24 2012 +0100

    Update zoom schema: new explain_xsl attribute

commit c742d94819db993687fcbd279427c7644dfeb88b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 10 15:22:48 2012 +0100

    zoom: present and search operational for ZeeRex.
    
    Note that recordSchema is not set at the moment. serverInfo host+port
    is not changed either. Could be set in explain XSL.

commit dba860afcd0aa86cddd862c6116c903fd796da29
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 8 20:19:11 2012 +0100

    zoom: further work on ZeeRex service

commit 11d41068c8c1148e664dc8f78a744a17637c262d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 8 20:17:23 2012 +0100

    Document session_shared configuration

commit 908c8147d8bcef7ed9c84e0c6720a56dd22e6e86
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 8 20:15:29 2012 +0100

    session_shared: restart (error recovery) configurable
    
    Whether a search is restarted on errors or not, is configurable by
    attribute restart in element resultset in configuration.

commit c1915c1645ff4b7ccaa4ec1f0584fdd4371b253c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 6 15:59:11 2012 +0100

    zoom: work on ZeeRex service

commit e2a93caa6b725e6bdd83a9d4e8079dfdcc3581e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 6 11:23:42 2012 +0100

    session_shared: only relay init for first request
    
    session_shared, for each backend class, now only relays first init
    request (rather than all). The module only needs to save init
    response info once. This avoids the need to check for session max.

commit 88c4837237dbb3aac753192bd95bafd132a22261
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 14:13:00 2012 +0100

    Version 1.3.22

commit f7cbcff37415fa7685250c401cbe3e3473ed3f0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:52:42 2012 +0100

    Document changes

commit a7dcb216bd825d87f9ae2c8a9b30788a109468a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:40:13 2012 +0100

    Document session_shared's session max

commit c46e565afa6539c06b8ddb4b064fde755e15c825
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:36:25 2012 +0100

    Document correct default result-set ttl

commit a25c80f0f737af62ff22bd076e3dec06b96a5002
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:31:40 2012 +0100

    Update session_shared schema for max sessions
    
    Also, make the attributes optional.

commit a83814901948c8dc8d6d3da35e413dad5bf03400
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:29:56 2012 +0100

    session_shared: allow max sessions to be given
    
    If attribute "max" for element session is given a more aggresive
    result set re-use will be enabled in order to avoid creating a new
    session. If this fails and all sessions are in use a temporary
    system error diagnostic is returned with appropriate addinfo.

commit 9a318d33c4c99ee4158d39e3a62988af0229d7cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 11:24:51 2012 +0100

    session_shared: only reuse sets with matching db
    
    At least for backends with no named result sets.

commit 51bd69f6e778ab83e4017172625c0decc8465e1b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 1 12:58:40 2012 +0100

    session_shared: Simplify ttl conditional
    
    A result set ttl of 0 will make immediate reuse of a set.

commit 91f90a841fce947728e6c36e7fb923579d979cdc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 1 12:35:19 2012 +0100

    zoom: reset result sets (major leak)

commit bc4b62c22af464a0074a9952acd476aa6470eb2b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 1 12:23:45 2012 +0100

    Remove yaz_log message

commit 88858ac607fd062c5eb7ac913856d9ccf986abdb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 1 10:29:19 2012 +0100

    Fix two WRBUF leaks (memory)

commit 15e0f02369c05e0bd4f86b5f1ce38dd10f30a71b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 18 15:47:03 2012 +0100

    multi: combines diagnostics from all backends
    
    All diagnostics from backends are combined into multiple
    non-surrogate diagnostics; rather than just one diagnostic from
    first backend.

commit f7a44b23d29c36ada743bbdb2898b3a81e7deaf9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 18 15:31:30 2012 +0100

    Fix diagnostic fix up
    
    The diagnostic fix up where (backend host) is added would not
    be added for v3addinfo.

commit 50597d2f7d3607e91c94601eb8eb495d73be3eae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 11 12:20:24 2012 +0100

    Happy new year

commit 5d7d42cf065583a68999f485b0fe17bfdf20667c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 14:47:14 2011 +0100

    Version 1.3.21

commit 6a6ff0bcc7512a3d8aaf0b58b13a80a4c8f57840
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 14:45:47 2011 +0100

    Changes

commit 411f35ac9662dde6a05046b5d9f96c333a6d903a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 14:41:51 2011 +0100

    zoom: pass realm to cproxy parameter file

commit 1194d7a8ddc44a1087197f20b2c6038bcb243c64
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 13:43:11 2011 +0100

    Version 1.3.20-2 for testing filter include

commit ca216aa57ce97fd8c898edd1d2fc1034ed06daa3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 13:39:28 2011 +0100

    Allow filter collection element inside route
    
    This makes it possible to include multiple filters at once.

commit c4067804c0b78ee0bbd4e280b85def0ce2cc0f3e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 22 14:17:15 2011 +0100

    zoom: nocproxy also disables urlRecipe

commit 06c2a9279a2ed7904a748de80a8d43d15d33d006
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 21 14:58:03 2011 +0100

    Version 1.3.20

commit c183d6e0861aab51c0c608712b88a779e2aaf24c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 21 14:56:34 2011 +0100

    Changes

commit f929d1a69c318f165d73c9cb2646e899b4d3c31d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 21 11:18:42 2011 +0100

    zoom: return diagnostic if CQL sortby conv fails
    
    Diagnostic Bib-1 214 "Illegal sort relation" is returned.
    Gets translated to SRU diagnostic 90:  "Unsupported direction
    value".

commit 62a23ba49b1e07a85c1283a2971fbf9043fc04cb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 19 16:00:15 2011 +0100

    Document db parameters nocproxy, proxy

commit abfa858112f06cbe6d53caaa3c9f7393110df092
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 19 12:33:49 2011 +0100

    zoom: honor database argument nocproxy
    
    This disables creating a content connector session (for non-CF
    targets, usually) and also relays nocproxy as database argument
    to a CF target.

commit 61b5bda0da8de41af63ae13d0145ca75806d4eee
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 14:27:50 2011 +0100

    Version 1.3.19

commit dbc8c45d72be16124513a124d44f068702ea6cc3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 14:26:32 2011 +0100

    Changes

commit bba94e786e0ef6a2a3f1af8026d93c73302cab29
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 13:00:59 2011 +0100

    http_file: unmatched HTTP requests are passed through
    
    The previous behavior was to return 404: not found. But that's
    no good if we have filters after the http_file filter.

commit 40387c8987ef9f01ca97bc5e89db2a35c328f9a3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 12:45:37 2011 +0100

    http_file: URI decode paths; strip #, ?.

commit 3b9de1c22d69590ad7470a27f9091f61bb825d7e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 12:44:45 2011 +0100

    util: Fix leak in uri_encode. Add uri_decode

commit 8085904b5f89768a01a4ddf5eb74b371b6999166
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 13 16:03:15 2011 +0100

    zoom: allow list of proxies for proxy parameter
    
    Such a hack that goto seems proper.

commit 6b55a4ff13d83c11d239a5860f6070ffb840f6c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 8 12:37:20 2011 +0100

    Version 1.3.18

commit 8317ee625d41059494a490a802fc2bd1f89cdcab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 8 12:23:49 2011 +0100

    Fix zoom schema: content_url is optional

commit d65892652c3ecc5c8bbd69b45ecb0afa5e0c3443
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 8 11:24:12 2011 +0100

    News update

commit 8c9c3b0f7bf85453c42e418f4a740d570f2189c1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 8 11:01:21 2011 +0100

    zoom: separate Torus URL for content things
    
    A new attribute, content_url, is allowed in the torus element of
    the zoom module configuration.

commit 901f5dac26098062f04ae8e647e06880e526abe9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 8 10:28:44 2011 +0100

    zoom: honor content-proxy

commit f874b10d8097f623e313d15da3b4f7305daa7511
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 7 15:08:53 2011 +0100

    zoom: extend addinfo with native diagnostics
    
    Diagnostics as received by ZOOM C are put into addinfo -
    including ZOOM, HTTP, SRU and Bib-1 diagnostics. This indicates
    both a backend diagnostic and the original form. Seems like
    a big improvement to what we have had so far.

commit 6bbc073d4048f6bbff75e165b7539b9adbe22559
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 7 14:11:49 2011 +0100

    zoom: log diagnostics and records as they pass

commit 1e20397384366cc4a16ce8550e7a39c045cde615
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 7 12:30:22 2011 +0100

    zoom: db arg content-{user,password} dealt with

commit bf6a5858e2c8839a5f8a4bdf087bcb94c54084bb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 7 11:25:32 2011 +0100

    Spell fixes for urlRecipe description

commit 803ba02705871ad2ad4b29b764c64e7a83d958ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 7 11:18:25 2011 +0100

    zoom: urlRecipe's default value is ${md-electronic-url}.

commit 48303fd661d8987d0ad1211180b36cd7c2484d46
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 6 14:42:21 2011 +0100

    SRUVersion -> sruVersion
    
    SRUVersion is still accepted in code but not in schema.

commit c6cc6660f674545fe13e19082f67d5b935e044ed
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 6 11:54:09 2011 +0100

    Create content file only if connect succeeds
    
    Also do not put "cfproxy" setting in the file. It is not used by
    proxy.pl anyway; "proxy", however, is used.

commit 099056ff38366162d878e0ec1f743196691d8ceb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 6 10:12:32 2011 +0100

    Add include of shared_ptr.hpp

commit c1ff7bd12671aa518fbe9b1576b5c47b2cc18fa9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 5 16:10:24 2011 +0100

    Document x-session-id, x-log-enable

commit 22b142c281f87fe0fee7bb11c907943c6a9f631f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 5 12:34:59 2011 +0100

    Require YAZ 4.2.22 or later

commit 8090a550770dd7da5d1ef7c7ff2b301902694629
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 5 12:27:19 2011 +0100

    sru_z3950: Only call package.log_reset if log also enabled
    
    This is to ensure the log is not reset by this filter unless
    also enabled by it.

commit 1cdd720a9a3ba872aa092c80b28413d8b2579eed
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 5 11:46:11 2011 +0100

    PackageLogger control by SRU opt x-log-anable
    
    The log also includes APDUs from ZOOM - requires new YAZ utility
    ZOOM_connection_save_apdu_wrbuf.

commit 7e2a07a78f7bf299a40b04bda27e9bd6f3ae05b1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Dec 3 01:18:17 2011 +0100

    First go at Package logger
    
    SRU to Z39.50 filter captures log from package and makes a
    extra response data with log content inside element 'log'.

commit 5cf0d3a0f0bfbe8567d5e95830fe2d3794a58b27
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 2 18:57:10 2011 +0100

    zoom: log CQL query and when parsing fails

commit 371a02c325fb4d7cdfc24a81c38e36077382e648
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 28 22:19:57 2011 +0100

    zoom: new TARGET profile setting: SRUVersion
    
    When set, ZOOM Cs sru_version will be set to its value.

commit c799f273ea2c871bb32d5b3d46c029661da6c3b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 25 14:33:34 2011 +0100

    buildconf removes autom4te.cache
    
    This is to ensure that software version is not cached but taken
    from IDMETA as it should.

commit 7f3c867e9614a9a7c617522da5b6299284100236
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 25 13:36:57 2011 +0100

    zoom doc: note on URL encoding of db parameters
    
    Add a few links to Torus settings from description of database
    parameters.

commit 30006392c5d236b5da322842855bd246b2ccfdd8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 25 08:45:21 2011 +0100

    zoom doc: describe database parameters

commit 67be36f16b447ed4de993482a59a6d570eda8183
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 23 21:33:19 2011 +0100

    Remove Ubuntu karmic from build

commit 4b0bdb5d236d599acc03ebbaa41155c5a5163427
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 17 13:38:25 2011 +0100

    Version 1.3.17

commit ae887cad7a7eaceb0510d89ad1bb74f34934210b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 17 13:36:02 2011 +0100

    zoom: log Torus record.

commit 9041eedc322ed6160521322b4ccf5b3dc0c24f2d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 17 10:27:40 2011 +0100

    Version 1.3.16

commit ffd2f60242c7a22320cf68056cfa34ed5ccce317
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 17 10:26:51 2011 +0100

    Fix Debian conflicts line for libyaz4

commit 5a89fecb0eb5a6824bda6aa91b07ede056a30dd2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 17 10:15:11 2011 +0100

    Change target profile parameter CfSubDb to CfSubDB

commit 2e628cd8033ffba8be20f95f26112e325ff82ddb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 16 11:27:29 2011 +0100

    Avoid YAZ 4.2.18 which is broken WRT SRU

commit 11f839cda40c4c3689a98c6531e9d21253e05456
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 15 10:57:19 2011 +0100

    RPM: get version from IDMETA
    
    So we don't need to update the spec file for each release anymore.

commit ad45084c4cbf56bac358970fbe30c75fa8e4b6f6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 15 10:56:35 2011 +0100

    IDMETA part of dist

commit a368d528f6a5f8904e87294f8acaef68749668d1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 15 10:55:11 2011 +0100

    Read version from IDMETA rather than configure.ac.
    
    In other words, configure.ac gets its version from IDMETA.

commit 2436040326062b67cb43837e5dad00e915ad46af
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 15 10:54:20 2011 +0100

    Fix make distcheck

commit ab03fe3d58c7f13278392efdb40f7003c47b9f04
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Nov 12 13:55:10 2011 +0000

    Version 1.3.15

commit c45ae107e9836f63beb51f5792f9963f221781ef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 11 20:43:10 2011 +0100

    zoom: avoid relaying db arg "realm"

commit 2f438a597d89f68ee36a06240ca94de383083edc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 11 14:53:49 2011 +0100

    Version 1.3.14

commit a507f14255c42f914cb6349d4e718613378edd30
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 11 12:19:23 2011 +0100

    config-zoom: using new realm attribute

commit 298c3c20d481cfce45efa87c69dacdd34861cf05
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 11 12:17:16 2011 +0100

    zoom: allow Torus realm to be set via database args
    
    Database argument realm=x, will subsitute %realm in Torus url
    with the realm given. If not set, it will use new realm attribute
    for torus element in configuration. Implements bug #4826.

commit 128c9ed48b267a44d73919f662043bd034a20be6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 10 12:46:07 2011 +0100

    Update doc/common and m4

commit 74752851576f8c4837173e4e9ee274e092eeb40d
Merge: 8fa9ea5 d5ba688
Author: Mike Taylor <mike@indexdata.com>
Date:   Mon Oct 31 17:08:38 2011 +0000

    Resolve

commit d5ba688109e7138b0deeb197328795a3e1c9d7bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 21:59:49 2011 +0200

    Change inkscape option for PDF export
    
    Option --export-bbox-page is no longer available. Using
    --export-area-page instead.

commit f382c39ab7cdc815ef8320d45dbd878d4f6548f9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 20:30:29 2011 +0200

    Verion 1.3.13

commit b13554ae4822e865e35847af7446fd026e37a6c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 20:27:07 2011 +0200

    Partial revert f1593e3 : add Origin assignment method
    
    If not, we can't assign origin to package.

commit 604b1ef3b76306798120e62e71a15c744596b834
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 14:01:44 2011 +0200

    Version 1.3.12

commit b6ea100d3fb9f64ca9fd88606c77ba1d715224ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 12:44:16 2011 +0200

    Slim down the Origin class

commit f1593e31882800fcfc3dad7d3ec42e709754128d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 12:21:29 2011 +0200

    Remove two unused Package methods

commit 7e6114a9626879b9b10dc0722f97497235ad929d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 26 10:31:24 2011 +0200

    Relay x-args to non-CF backends

commit 7c5fb946e66c826b048423025d58124e1f005606
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 11:24:19 2011 +0200

    Router FleXML checks route attribute in filters
    
    Fixes bug 876.

commit 05e993ae4f41e85603561e3b460d726e70046c8c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 10:59:12 2011 +0200

    Fix error message WRT start route

commit adc7ac9e0be827f24e32c8619529b6b7f91d93ba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 10:58:53 2011 +0200

    Unused variable

commit bcb66e8e0d7fd2ce5ddc37eb0bc5ec1722ffefa6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 10:58:37 2011 +0200

    Reformat

commit 9760e7ae6557c8b32432f84a27fb1ada5e0c1469
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 10:34:25 2011 +0200

    Add missing line; removed by accident in prev commit

commit c19c258db7edf27757252656c67a1a93064e676b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 10:31:02 2011 +0200

    Remove a few useless comments

commit d9940423e4649c319547e9c3dd6a2e4a092b4b90
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 25 10:29:37 2011 +0200

    Include sstream for ostringstream

commit 1bb6809b7640875d8b018b09b601b476fb3b8222
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 24 14:50:28 2011 +0200

    zoom: accept and relay db args x-name to CF targets

commit 3e584362b6933174b28cf98ff3138a589ed8326d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 24 14:28:11 2011 +0200

    New log method for package class
    
    This is to facilitate some kind of consistency for log messages. The
    zoom filter uses it. For example x-session-id stuff is included.

commit cdb9d2053fa54a0a2d7da1514164de3bbe52edb3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 24 13:18:54 2011 +0200

    Custom session ID may be specified for SRU filter
    
    The ID is specified by using x-session-id argument for the SRU URL.
    It is attached to the origin instance and passed down the chain.

commit db7203a455f748966f4fa6c906bf2b0a859cf87c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 13:50:01 2011 +0200

    zoom: add various links within documentation

commit c03baef23be97fa40de8b65e46a3fdde9469effa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 13:36:42 2011 +0200

    zoom: document all settings

commit 25fe4af8fd9beacbc6e7884b098bb4688f73edf6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 11:26:42 2011 +0200

    Documentation: nxml mode

commit c9a3938f6ac03698cff3942dd2a54e5261e79b36
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 11:06:01 2011 +0200

    Reformat

commit 6ce31309381822f3fe2a5364be1cd73a7472d62f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 10:48:21 2011 +0200

    Documentation: nxml mode

commit 757801de550ddcf90d0a7ff2c5fcdac299fd3d8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 10 16:10:31 2011 +0200

    zoom: handle torus url not given (is optional)

commit 2e5efc21c03caec53122f872cbb95657dd3c823f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 10 16:09:38 2011 +0200

    zoom: fix 0 ptr ref; occurred for bad URLs

commit b3acb59a189d35972417558297963d8db3bdcd35
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 28 15:15:31 2011 +0200

    Documentation updates, mostly about software versions

commit 82508decdacd6a22155069daaf359a77d210d46b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 28 13:10:26 2011 +0200

    Mention libbost-regex-dev

commit 3c90b08f3409e0f0ede6581bc3013f86a1f1e8ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 9 11:07:48 2011 +0200

    Version 1.3.11

commit 807b4a4f2f12f18ecd7ffe4198e7d3c7053f2c36
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 9 11:00:20 2011 +0200

    Fix bug #4612: session_shared returns diagnostic 2
    
    The problem was that a session was marked "in use" in cases where there
    were no network activity on target (caching , research).. MP would update
    its timestamp of last use when it was not really used.. MP now only marks
    last use timestamp on network activity. The expire loop now waits
    session_ttl / 3 seconds - was 30 before - to ensure that configurations
    with low session ttl's will expire properly.

commit 237b943e96e766992ac8611d69615dd5caf59ec0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 9 09:58:30 2011 +0200

    Version 1.3.10

commit 30b0943d4387c7a70dd0095503eca7c9721dfa9c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 7 14:38:24 2011 +0200

    zoom: new target profile setting: sortmap_field
    
    If sortmap_field is given the field is mapped to the value for the
    sortmap. Values not matching sortmap_field are passed verbatim.

commit b716eaa867855acf7695856f4214e6b206acd947
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 7 13:56:46 2011 +0200

    zoom: new target profile setting: sortStrategy
    
    This value passed to ZOOM_query_sortby2.

commit e2a894e39368873395f9d6e60010569bcd740b59
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 7 13:52:23 2011 +0200

    configure: add check for YAZ version

commit 8fa9ea5f3b2f07b7e7156bcd27161a7a092ee47f
Merge: eec533f b8b4457
Author: Mike Taylor <mike@indexdata.com>
Date:   Wed Sep 7 12:18:56 2011 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit b8b4457bb5938ddd7adf86cb259e587c88ebd0a0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 6 22:00:17 2011 +0200

    zoom: prepare for using ZOOM_query_sortby2

commit eec533f49ad28f58c3f6153281e6ef13be3708d3
Merge: b7edcef a6be17b
Author: Mike Taylor <mike@indexdata.com>
Date:   Fri Aug 26 15:09:33 2011 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit a6be17b47acb7c23ffb8d920a9722c925e92d426
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 25 20:57:22 2011 +0200

    Version 1.3.9

commit 2fe982495d9b13a132a2c488622602f6a3c43e87
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 25 20:52:59 2011 +0200

    zoom: urlRecipe creates <pz:metadata type="generated-url">

commit b7edcef0801225d466b1284a00a03b9ca6e7658e
Merge: c2feaf4 31c9b04
Author: Mike Taylor <mike@indexdata.com>
Date:   Thu Aug 25 16:06:17 2011 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 31c9b04bea2484fbb9eb273e33f9b102f4284b04
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 25 16:59:38 2011 +0200

    zoom: cp param uses auth:

commit 2cbe7d4cf90ac1a2e0c9594b4e0d077f456c830e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 25 16:58:49 2011 +0200

    zoom: log RPN

commit c2feaf41b556d12128ce7f496a452fef03b6cd4c
Merge: b1b640a 00e22ca
Author: Mike Taylor <mike@indexdata.com>
Date:   Tue Aug 23 13:08:21 2011 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 00e22ca5aaa9e4254aaacf9818b4789bf55adcdf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 23 13:39:21 2011 +0200

    Move away jstor-pz2.xsl

commit 08f12eea6b5ee84728db1f3571b4be21e891cb12
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 15:14:41 2011 +0200

    Version 1.3.8

commit f9c51d56981ac0c630c21b390f4866bf56a60e4c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 14:54:04 2011 +0200

    Add jstor-pz2.xsl for testing

commit 0bb2aa8fa192b9bb0b8a3c96b20180d24e275f62
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 14:19:24 2011 +0200

    zoom: Set option schema in SRU mode

commit 2fa1fd32d3386fd41e98827ffe439fc981c1c4f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 12:44:11 2011 +0200

    Version 1.3.6

commit 3ff7dd2dd5ce46f751b896e613e394427434ade4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 12:43:59 2011 +0200

    Summarize changes

commit d09aef2b0f7bd651a1132750144cb9d1460dca91
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 22 12:37:14 2011 +0200

    zoom: new target profile element literalTransform
    
    This element holds XSLT, encoded as string, for target. Only if present
    and non-zero length it is considered present. This takes precedence over
    transform.

commit 2ecb988a6ef95fe9d982f50f933626d7695e397e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 17 12:23:09 2011 +0200

    Update m4 for boost unit test check mods

commit 53ac85fa53ab6081c4c8fb1b6da8e7e548512ccf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 16 15:33:51 2011 +0200

    Update m4

commit 2e476ab60877fa26fa0dbe141e98483022f20867
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 16 13:53:56 2011 +0200

    Don't rely on trang anymore for Git checkout builds
    
    Configuration in etc will only be properly validated if trang is
    available. From now on only relax NC files are bundled with the
    source dist.

commit ae9ca9a376fec9139307fe4188a065584eee47b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 15 15:55:04 2011 +0200

    zoom: set ZOOM options WRT retrieval before search
    
    This is to ensure that records that we get back by piggyback have the
    greatest chance of being "identical" and cached properly for following
    present.

commit b468b79801ad1e8ee16e9fa0a95c54abbb9181ff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 15 15:49:22 2011 +0200

    session_shared: relay preferredRecordSyntax for search

commit 990c610a6a791fff480ba1053cea487901dd476c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 15 15:48:16 2011 +0200

    sru_z3950: set preferredRecordSyntax to XML for search

commit 12f0ce014f67acaf20a7155e5094805d8ef52569
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 12 11:07:59 2011 +0200

    Version 1.3.5
    
    Depend on yazpp 1.2.7 and YAZ 4.2.8.

commit eb2f36fbec12a2063183d5ae4a9568c55e28acdc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 12 10:57:13 2011 +0200

    zoom doc: describe log, proxy

commit cf16212cc3ea5a38f40b49779814eaeba57e69c0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 10 15:41:22 2011 +0200

    For Torus record fetch, proxy may be given
    
    This change requires yaz_url_create functions from YAZ.

commit c03de7dafac23351fed3dd22486f5362f9ff7232
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 4 15:22:57 2011 +0200

    z3950_client: mark non-surrogate diagnostics from backend
    
    The additional information in this case is appended with
    "(backend=%s)" where %s is the backend target.

commit 03a9487db98a9e9cdf41f22a0cdae3fcaae8fc74
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 4 10:57:41 2011 +0200

    zoom: throw diagnostic for records for some udb

commit b1b640a84feda9d1e4618f44d3d6754b690e3ee6
Merge: 0884c5b 4de623c
Author: Mike Taylor <mike@indexdata.com>
Date:   Wed Aug 3 16:50:51 2011 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 4de623c02179a8db0b8d7ff8309bc55435a4f473
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 3 13:30:05 2011 +0200

    z3950_client: create close response if cs_connect fails
    
    Solves bug 2922.

commit d2a1afba74f86ba46a8b2783235f45ebeb92c76f
Merge: 5d21a3c ddb4d5c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 2 10:11:10 2011 +0200

    Merge branch 'master' of ssh://git.indexdata.com:222/home/git/pub/metaproxy

commit ddb4d5c0727e6f59adc88fff81e98ae7b3130cc7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 2 10:10:41 2011 +0200

    zoom: no need to pass cfauth for cproxy

commit 480e27ce804872a51e86e3d2db8a07a1f4e094bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 2 10:10:18 2011 +0200

    zoom: using fopen rather than open

commit 5d21a3cf208a7bc9951846dab4b8b6ff97b46863
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 2 10:07:37 2011 +0200

    Int casts (Odr_int stuff)

commit 700432caf095fe10b180186c27bf0803fb6acd0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 2 09:43:55 2011 +0200

    zoom: always set piggyback option

commit e97027abe6e12ad59d16b475c28e3767c83b1343
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 2 09:40:26 2011 +0200

    Avoid useless variable suffixlen

commit 497a211095ba56eb02abf47516261dad1eb2fc76
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 22:24:43 2011 +0200

    Version 1.3.4

commit 9f6426850c666fe89ac56d7d0e4fe445d4a5842e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 22:22:57 2011 +0200

    zoom: honor piggyback setting
    
    Makes some SRU targets behave that insist on maximumRecords > 0,
    but also increases performance.

commit bd2f40fe6690ff236d0a5e144ff8982a63052ac2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 15:31:33 2011 +0200

    Version 1.3.3

commit 8061d2fc4d8a18397f1652c2ec3bc63e14223be5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 15:28:38 2011 +0200

    Update dlpath for libdir/metaproxy4 in config metaproxy.xml
    
    Was incorrect in version 1.3.2.

commit 74d6e05f79dadb1ed38506dbaea4b3a347ef00f7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 14:39:42 2011 +0200

    Update debian git ignore

commit 6e5694249f3031e2d1d09ef4449e446403054d5e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 14:30:02 2011 +0200

    Version 1.3.2

commit 53bfc9d7b38c12a08d6f3109fbcff9c7b62a0289
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 11:39:09 2011 +0000

    config-zoom: content proxy connector added

commit 844c0b8ab1de859d3c1052b81c0fc056b2cd5437
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 13:05:13 2011 +0200

    Use rand rather than mkstemp for session
    
    Problem is that the generated URL is not case sensitive so we need
    a temporary file name without case mix.

commit 86aa10e05c5f6aadc0d08c761ca91457fffd2039
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 12:33:19 2011 +0200

    zoom-config.xml: enable apdu log and adjust contentProxy

commit 9a9d010617b8aa26bd30eb3cef4f9dbe79fb6f96
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 12:31:53 2011 +0200

    zoom: contentProxy attr @tmp_file fully specified
    
    A suffix for tmp_file for contentProxy may be given.

commit 23784d7ce704b89b85896ed310741f6a49ed19d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 12:02:06 2011 +0200

    Pkg metaproxy depends on libmetaproxy4, same version
    
    While technically not required, it's convenient that metaproxy
    program uses same version of libmetaproxy4.

commit 2e16b5f7a7b4e9dbf40e7e0d6e873430c68bab02
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 1 11:25:07 2011 +0200

    libmetaproxy4: modules in libdir/metaproxy4
    
    Not libdir/metaproxy, because it clashes with libmetaproxy3.

commit 155b86cb13bcc6d1055b2a26856f7e4195f496bd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 29 16:19:07 2011 +0200

    zoom: add facililty to dump APDUs.
    
    Triggered by <log apdu="true"/> in the zoom filter configuation.

commit 3094d68080f8bebd6c3b041899d37a3459796eb5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 29 16:02:25 2011 +0200

    zoom fix: convert backend SRU diagnostics.
    
    The zoom filter speaks Z39.50 and thus SRU diagnostics must be converted
    to Z39.50 diagnostics.

commit 0bf2433a3002efb03f3d894cb4f2c694fbf4359b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 28 14:54:59 2011 +0200

    Version 1.3.1

commit 90369a79ef6b900b7487f095f55c32c9c49975ae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 28 14:50:37 2011 +0200

    Define wrbuf_vp_puts for YAZ < 4.2.6
    
    This function is declared for YAZ 4.2.6 and later.

commit cc219724dfe5b390413a4c93f85786c586c18893
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 28 13:56:54 2011 +0200

    zoom: improve diagnostics WRT record conversions

commit 96bf6cbba970961cc00a74c09e4c384fbecc305c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 28 11:20:30 2011 +0200

    zoom: relay database param 'user' if 'password' is unset
    
    For non-Z39.50 resources also split authentication (user/password) into
    user + password options for ZOOM.

commit 27adb8ad4f93c84267ae0390f7dbb70614e666ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 27 16:56:17 2011 +0200

    zoom: allow cproxysession as database arg.

commit 837411123bc29e9972ec131a90cefa22b8010022
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 27 16:20:45 2011 +0200

    First go at sort.
    
    For SRU targets the CQL sortby is used against target. For Z39.50
    it is converted to Zebra's type-7 embedded sorting. Leaves two
    areas: built in sorting - by the zoom module; and Z39.50 standard
    sorting. Note that CF should eventually honor type-7 embedded
    sorting.

commit d908bd814ae464d896adf1b280b897bfaac290bb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 27 11:35:58 2011 +0200

    Version 1.3.0

commit ba1aede8a7951f95af1c7f623c728ddf51b4a46a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 16:39:47 2011 +0200

    zoom: put contentConnector in temp file

commit 8555167adc8ae9af57bd96826c247c9d28e7edd9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 16:22:42 2011 +0200

    Refactor database URL logic
    
    And reduce by 20 lines or so.

commit f809ef28dac1e878e863166a88fd4c1210201597
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 15:51:03 2011 +0200

    zoom: generating content proxy parameters in file

commit dbabb6f5b9082c204c466cd13dbcd6d808aebc79
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 15:05:21 2011 +0200

    zoom: create temp for contentProxy
    
    The temporary file name is configable by tmp_file attribute of element
    contentProxy of the zoom filter.

commit 9c185372ad2fdbb942cfa7e9151eb5ac21ff7238
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 26 13:41:38 2011 +0200

    mp_xml::check_empty displays filter type on error

commit fa49389565de4827e5faacc91a14068358675fda
Merge: 4eb9ec5 5e9fa1e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 16:44:02 2011 +0200

    Merge branch 'master' into content_proxy

commit 4eb9ec58eb14d82b0532b4a4dab56c98ccdcea11
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 16:40:35 2011 +0200

    Start work on contentProxy support
    
    New setting in Torus/record contentConnector specifies a connector
    to be used for contentProxy. If this is defined (non-zero length)
    then content proxy rewrite is performed on generated-url from urlRecipe.
    The rewritten server is specified by attribute 'server' in element
    contentProxy in zoom filter configureation.

commit 5e9fa1eec8e1afc63a4acc3a1c018d416ab9b547
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 14:10:42 2011 +0000

    Version 1.2.10

commit 8eff7fecccca024ff59c9c305592fe8e3c5cab36
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 14:46:11 2011 +0200

    Fixes for Win makefile. Update to Boost 1.43
    
    Unfortunately, Boost 1.46 and Boost 1.47 have linking problems.
    Some .lib refers to libboost_thread*.lib while only boost_thread*lib
    is available. Version 1.43 do not have this problem (.lib files still
    have prefix "lib").

commit b484b17197842b9f282db212fce12ed44e2a2371
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 13:05:42 2011 +0200

    zoom: use yaz_filepath_resolve for XSLT files.
    
    Might as well use this function when it is also used for filter
    record_transform. Change the error handling a bit, for example
    do not even attempt to XML parse a non-existing file.

commit 8686feb1ea052b98b592e1d12ed4bb3ac2528c13
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 13:04:27 2011 +0200

    metaproxy program: set file path to "." if empty
    
    This to ensure that yaz_filepath_resolve will find file name
    if configuration is in current directory (in which case path ends
    up empty).

commit 50a5c6b6fb48be9e14e6f9f6928fddd2368291f8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 25 11:05:59 2011 +0200

    Adding '(backend)' to addinfo for backend diagnostics
    
    Solves #4405.

commit 3e5cfd27a2ad6b68e0a09f44379b14ce54685c0d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 21 15:58:11 2011 +0200

    zoom: using configure path for XSL load

commit 3173ed849a3f4d91b17e693d9c27ac38e930ef4e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 21 15:57:19 2011 +0200

    record_transform: using configure path for XSL load

commit 4bfec20c393570a81471c644fad6268eed3dba29
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 21 14:54:43 2011 +0200

    Add path to configure method of filter.
    
    This changes the API.

commit d201492ea7198dd89dbae087eec0363a8e64e089
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 21 13:49:13 2011 +0200

    Bump metaproxy library from 3 to 4

commit 97308459def084d6fb7a89b8197006d73be563eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 21 13:06:22 2011 +0200

    metaproxy daemon: option -t tests configuration

commit 0884c5b06c5d6878c2b2fbfdc7e528bf6877d888
Merge: 96f1182 e797a04
Author: Mike Taylor <mike@indexdata.com>
Date:   Wed Jul 20 17:17:16 2011 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit e797a04d0c73841a7cf52d35140fd1d0cbc97456
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 20 14:23:17 2011 +0200

    jstor test - locally defined

commit 0c1bd1c90f3d00834369be8bc9ed8b1dfb820122
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 19 16:10:39 2011 +0200

    zoom: for non-CF pass proxy from URI parameters
    
    Always pass subdatabase from Torus (if given).
    Pass cfProxy from Torus only if database parameters are given.

commit f3d6c3fed28aad086369677f9b677ba52e805f04
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 19 12:35:45 2011 +0200

    Parse file_include_path to filter parsing

commit 42b728b3414f1d68863b1b3f2209340483c9fd80
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 19 11:28:15 2011 +0200

    Make config-zoom a smaller example

commit 85078c9292325d8c0c36007d68becf986bfc97c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 18 14:22:43 2011 +0200

    xmlutil test: display standard exception if thrown

commit f361b19c06d801535a66ed1cd77b75e496b85426
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 18 14:21:48 2011 +0200

    url_recipe: avoid empty regex
    
    On some Boost regex libraries an empty regex throws an exception

commit 96f11822e640c404d9bbd8508b40c8a76996580a
Author: Mike Taylor <mike@indexdata.com>
Date:   Tue Jul 5 12:49:49 2011 +0100

    Note the need for libboost-regex-dev

commit e5329397729e8959a821c6956f75012372fc0a77
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 30 19:34:43 2011 +0200

    URL recipe in place

commit a5fe7e6104de3fccbbbe7cb57253b261b0ac6ecc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 30 17:40:29 2011 +0200

    Beginnings of url recipe handling

commit d2ccc2b0152f996aabc02937bf8f5fb3706f8fe7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 30 16:47:05 2011 +0200

    Make config-zoom well-formed again

commit 9e396fc077bd70b894fd17882e12c25d7ba02591
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Wed Jun 29 22:39:48 2011 -0500

    Reinstate misspelled index names, but mark as deprecated.

commit 70b0ecf6e0d25c09f389abbe9a9e04a500fbaf9d
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Wed Jun 29 22:38:44 2011 -0500

    Fix typos in two CQL index names.

commit 0f94a4a954324a7cfc37bedf9e3d9556104b3807
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 29 18:14:09 2011 +0200

    metaproxy man: add productnumber

commit a1a80d707d6ca511e2b8af0f9a98fffbe329c538
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 29 16:42:08 2011 +0200

    Debian control: split long lines

commit fa8eaf5a037b49f183efcd7896650b2cd346791e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 29 16:23:19 2011 +0200

    Debian: build depends on libboost-regex-dev

commit 6c3cad561216a81af52a840209e69b95cd42dede
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 29 16:13:26 2011 +0200

    configure checks for Boost regex

commit 4704e952bfda8554853246cc04badb246de2f6aa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 29 16:12:37 2011 +0200

    Update m4

commit c4c8c06091cdee7a042ad9ac75401951d090e94d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 28 00:23:07 2011 +0200

    metaproxy init.d stop: stop by PID only
    
    In some cases the name of the metaproxy will be lt-metaproxy . This is
    if metaproxy is using shared libraries and is not installed. Omitting
    name option from start-stop-daemon will make it stop based on the PID
    file only.

commit e12dd92614be28022838867b85eb073862bbbf61
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 27 22:20:44 2011 +0200

    Version 1.2.9

commit bc898fabdde5d8dff76c8e4b4247d065e8caeeec
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 27 22:20:11 2011 +0200

    Doc: Fix spell of emphasis tag.

commit d435cf1b2add5d13af71f5812131fd942e7feff3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 27 19:18:56 2011 +0200

    zoom: enable marc-8 by default for usmarc and opac.

commit b8129e460a97429d0ed0109bb0367fd83b2abfac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 27 13:44:19 2011 +0200

    zoom: assume marc-8 by default for records except XML.

commit e6c81eb90be1f335010b747ef7af0a1358927215
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 25 20:52:37 2011 +0200

    Factory: modify add_creator method

commit 21f827642aea20d64c3a121b8d3fdc225d30e544
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 25 20:48:42 2011 +0200

    Refactor MP main a little and clean up

commit 0ab193a2d16d347afed730fbbb0e7b37a2ecc6fa
Merge: 211a8c7 b8cb280
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 24 13:03:56 2011 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/metaproxy

commit 211a8c72f414b63ecf8378583da58f4172cf9de1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 24 13:03:45 2011 +0200

    zoom config: local fake CF target

commit 4b744e569b5db9942ea7994700fc81d1e05501b9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 24 13:02:41 2011 +0200

    zoom filter schema: Update for CF-stuff.

commit 7714bd2ae12043b2e1f9105ae95169fb6c8d04c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 24 12:37:59 2011 +0200

    zoom: For non-CF targets database arguments are parsed.
    
    User may supply db,user=myuser&password=mypass for non-CF targets.
    and these values override what's given the authentication from
    the target profile.

commit b8cb28040e138df63ebb91b9fb27560143883c8b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 24 12:37:59 2011 +0200

    For non-CF targets database arguments are parsed.
    
    User may supply db,user=myuser&password=mypass for non-CF targets.
    and these values override what's given the authentication from
    the target profile.

commit 90c281a9b71b45c8914076f477c5819b5cb52505
Author: Adam Dickmeiss <adam@curry.dickmeiss>
Date:   Fri Jun 24 11:57:10 2011 +0200

    config-zoom: set element_transform to pz2

commit b9e82b9adecd1dbd44e54c28d6b0d1336721bfec
Author: Adam Dickmeiss <adam@curry.dickmeiss>
Date:   Fri Jun 24 11:55:03 2011 +0200

    session_shared: fix ref to freed memory
    
    Would occur if a search response had non-surrogate diagnostics.

commit 2a22abb08a31fd2ce7343b26fdcb045bd8e42199
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 23 12:56:22 2011 +0200

    zoom: configurable element sets for record transforms.
    
    The target profile based transform is specified by element_transform
    in element torus of of the ZOOM filter configuration ; default value
    is "pz2". Target profile based retrieval is specified by element_raw
    in configuration. It will perform same steps, but omit the XSL transform.
    Default value is "raw".

commit 45bbe28811b41c82a5908050b45b37f2644c3d59
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 22 19:07:07 2011 +0000

    zoom: element set is omitted if not set in profile
    
    But only if pz2 transform is in effect. Previously the default
    element set was to "F".

commit ce5802c21024c8eb2b9cd55fe6c2864b33fc3fda
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 22 15:55:23 2011 +0200

    zoom doc: spell fix

commit 457ec46cd0fa35e591a80d6495928b7494a944d4
